Manuel utilisateur
Accueil
Cover SYCON.net Master DTM


Introduction

Introduction
Introduction
Sous-thèmes
•
À propos de ce manuel
•
Cas d’utilisation
•
Avis juridique
•
Marques déposées
•
Exigences du système
•
À propos du DTM maître PROFIBUS DP
•
Exigences du DTM maître PROFIBUS DP
•
Structure de dialogue du DTM


À propos de ce manuel

Introduction [image] À propos de ce manuel
À propos de ce manuel
Ce manuel propose des informations d’une part sur le réglage et la configuration des paramètres d’un appareil maître PROFIBUS DP basé sur netX à l’aide du DTM maître PROFIBUS DP, et d’autre part sur les éléments pouvant être lus dans les volets de diagnostic.
readsymbol
 | Consultez le manuel de l’opérateur « netDevice et netProject » pour créer une configuration réseau ou le manuel de l’utilisateur du DTM générique pour appareils esclaves PROFIBUS DP afin de configurer l’appareil esclave PROFIBUS DP.
Codes d’erreur
readsymbol
 | Tous les codes d’état et d’erreur sont disponibles dans le manuel API « Hilscher status and error codes ».
Sous-thèmes
•
Aide en ligne
•
Liste des révisions
•
Conventions utilisées dans ce manuel
Entrée de glossaire: Maître
Type d’appareil initiant et contrôlant la communication sur le bus.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Entrée de glossaire: PROFIBUS DP
PROFIBUS Decentralized Peripherals (périphériques décentralisés)
Entrée de glossaire: Maître PROFIBUS DP
Appareil qui initie le transfert des données sur le bus et qui constitue un nœud de réseau actif, ayant l’autorisation et la capacité d’envoyer des données sans requête externe.
Entrée de glossaire: Esclave
Type d’appareil configuré par le maître et exécutant la communication.
Entrée de glossaire: Esclave PROFIBUS DP
Périphérique (par exemple appareil IO ou lecteur) ou participant passif sans autorisation d’accès au bus, qui peut uniquement accepter les messages reçus ou demandés par un maître, et peut transmettre des messages à ce dernier.


Aide en ligne

Introduction [image] À propos de ce manuel [image] Aide en ligne
Aide en ligne
Le DTM Maître PROFIBUS DP contient une fonction d’aide en ligne intégrée.
➢
Pour ouvrir l’aide en ligne, cliquez sur Aide ou appuyez sur F1.


Liste des révisions

Introduction [image] À propos de ce manuel [image] Liste des révisions
Liste des révisions
Indice | Date | Version | Composant | Modifications
23 | 18/01/17 | 2.1000.x.x 2.1000.x.x et 2.1100.x.x 2.1100.x.x | PBMasterDTMx.dll PBMasterGui.ocx et PBMasterDTMx.dll PBMasterGui.ocx | Section Diagnostic du bus mise à jour.
24 | 27/02/17 | 2.1000.x.x 2.1000.x.x et 2.1100.x.x 2.1100.x.x | PBMasterDTMx.dll PBMasterGui.ocx et PBMasterDTMx.dll PBMasterGui.ocx | Section Exigences du système, ajout de Windows 8.1 et Windows 10.
25 | 05/03/18 | 2.1000.x.x 2.1000.x.x et 2.1100.x.x 2.1100.x.x | PBMasterDTMx.dll PBMasterGui.ocx et PBMasterDTMx.dll PBMasterGui.ocx | Document intégralement révisé.
26 | 01/08/18 | 2.1000.x.x 2.1000.x.x et 2.1100.x.x 2.1100.x.x | PBMasterDTMx.dll PBMasterGui.ocx et PBMasterDTMx.dll PBMasterGui.ocx | Document révisé.
Liste des révisions


Conventions utilisées dans ce manuel

Introduction [image] À propos de ce manuel [image] Conventions utilisées dans ce manuel
Conventions utilisées dans ce manuel
Les remarques, instructions, résultats des étapes d’exploitation, messages d’avertissement et positions dans les figures sont signalés comme suit :
Remarques
importantNote | Important:
 | <remarque importante à suivre pour éviter tout dysfonctionnement>
note | Remarque:
 | <remarque d’ordre général>
readsymbol
 | <remarque permettant de trouver d’autres informations>
Instructions
1.
Indication d’exploitation
2.
Indication d’exploitation
➢
Instruction
Résultats
Résultat intermédiaire Résultat intermédiaire
Résultat Résultat final
Messages de sécurité
Le marquage des messages de sécurité est détaillé au chapitre Sécurité.
Les positions 1, 2, 3 ou a, b, c ou A, B, C se rapportent à la figure utilisée dans la section concernée. Si les numéros désignent une section autre que la section actuelle, une référence à cette section et à la figure correspondante est ajoutée.


Cas d’utilisation

Introduction [image] Cas d’utilisation
Cas d’utilisation
La liste ci-dessous présente les cas d’utilisation applicables.
Cas général | Sous-tâche | Chapitre, section
Démarrage de l’appareil |  | Démarrage de l’appareil
 | Création de la configuration du projet | Créer la configuration du projet
 | Démarrage/arrêt de la communication | Démarrage/arrêt de la communication
Paramètres d’affectation des pilotes et des appareils |  | Vue d’ensemble des paramètres d’affectation des pilotes et des appareils
 | Vérification ou adaptation des paramètres du pilote | Vérification ou adaptation des paramètres du pilote
 | Configuration des pilotes | Configuration des pilotes
 | Affectation des appareils (avec ou sans firmware) | Affectation des appareils (avec ou sans firmware)
 | Sélection et téléchargement du firmware | Sélection et téléchargement du firmware
Licence |  | Licence
Configuration des appareils Ethernet |  | Appareils Ethernet
Configuration des paramètres des appareils |  | Vue d'ensemble: Configuration des paramètres de l’appareil
 | Réglage des paramètres des appareils | Paramètres du bus
 | Réglage des données process | Données process
 | Définition de l’adresse des appareils | Table d’adresse
 | Définition des adresses de station des appareils | Table des stations et Définir l’adresse de station
 | Configuration des réglages du maître | Paramètres du maître
Connexion/déconnexion de l’appareil |  | Connexion/déconnexion de l’appareil
Téléchargement de la configuration |  | Téléchargement de la configuration
Importation de la structure de réseau et chargement |  | Analyse du réseau et Scanner réseau et « Télé charger »
Configuration in Run |  | Configuration en mode Run
Diagnostic |  | Vue d’ensemble du diagnostic
 | Diagnostic général | Diagnostic général
 | Diagnostic du maître | Diagnostic du maître
 | Diagnostic du bus | Diagnostic du bus
 | Diagnostic des stations | Diagnostic des stations
 | Diagnostic du firmware | Diagnostic du firmware
Live List |  | Live List
Mode débogage |  | Mode débogage
Diagnostic étendu |  | Vue d’ensemble du diagnostic étendu
Moniteur de paquets | Test de l’envoi et de la réception de données avec le « Moniteur de paquets » | Moniteur de paquets
Test de la communication avec le « Moniteur d’IO » | Test de la communication avec le « Moniteur d’IO » | Moniteur d’IO
Moniteur d'images de process | Utilisation du « Moniteur d'images de process » pour répertorier la structure du bus de terrain et la structure des données d’entrée et de sortie de l’appareil transférées au bus. | Moniteur d'images de process
Droits d’utilisation |  | Droits d’utilisation
Cas d’utilisation


Avis juridique

Introduction [image] Avis juridique
Avis juridique
Copyright
© Hilscher Gesellschaft für Systemautomation mbH
Tous droits réservés.
Les images, photographies et textes contenus dans les supports d’accompagnement (se présentant sous forme de manuel de l’utilisateur, de manuel de l’opérateur, de description des travaux et de tout autre type de document, textes annexes, documentation, etc.) sont protégés par le droit d’auteur allemand et international, ainsi que par les dispositions relatives à la protection des marques et au commerce international. Leur reproduction intégrale ou partielle à l’aide de méthodes techniques ou mécaniques (impression, photocopie ou autre), leur édition à l’aide de moyens électroniques et leur transfert sont prohibés sans accord écrit préalable. Il est interdit de modifier de quelque manière que ce soit les avis de droits d’auteur, les marquages, les marques commerciales ou les déclarations de propriété. Les illustrations sont proposées sans tenir compte de l’état des éventuels brevets correspondants. Les noms de sociétés et désignations de produits mentionnés dans ce document peuvent représenter des marques ou des marques commerciales détenues par le propriétaire correspondant et sont susceptibles d’être protégés par la législation sur les marques commerciales, les marques ou les brevets. Toute autre utilisation, sous quelque forme que ce soit, requiert l’autorisation expresse du propriétaire des droits concernés.
Remarques importantes
L’élaboration de la présente documentation, composée d'un manuel de l’utilisateur, d’un manuel de l’opérateur et de tout autre type de document ou texte annexe, fait/a fait l’objet des plus grands soins. Il reste toutefois possible que des erreurs s’y soient glissées. Nous déclinons par conséquent toute responsabilité juridique ou au titre de la garantie relative à la présence éventuelle d'informations erronées. Les descriptions contenues dans le manuel de l’utilisateur, les textes annexes et la documentation ne constituent donc en aucun cas une garantie, ni une indication d’utilisation correcte comme stipulé par contrat, ni une promesse d’attribut. Il est impossible d'écarter la possibilité que le manuel de l’utilisateur, les textes annexes et la documentation ne correspondent pas entièrement aux attributs décrits, standards et autres données relatifs au produit livré. Aucune garantie n’est donc proposée quant à l’exactitude ou à la précision des informations.
Nous nous réservons le droit de modifier, à tout moment et sans préavis ni obligation d’annoncer ladite modification, nos produits et leurs spécifications, ainsi que la documentation correspondante composée d’un manuel de l’utilisateur, d’un manuel de l’opérateur et/ou de tout autre type de document et de textes annexes. Les modifications seront intégrées aux manuels suivants mais ne constituent en aucun cas une obligation. En particulier, il n’existe aucun droit de demande de révision des documents livrés. Le manuel livré avec le produit s’applique.
Hilscher Gesellschaft für Systemautomation mbH ne pourra dans aucune circonstance être tenu pour responsable de tout dommage direct, indirect, annexe ou consécutif, ni de toute perte de revenu pouvant survenir suite à l’utilisation des informations contenues dans ce document.
Limitation de responsabilité
Le matériel et/ou le logiciel a été créé et testé par Hilscher Gesellschaft für Systemautomation mbH avec les plus grands soins et est mis à disposition en l’état. Les performances ou l’absence de défauts du matériel et/ou du logiciel ne sont pas garanties dans tous les scénarios et conditions d’application, de même que les résultats obtenus par l’utilisateur en employant le matériel et/ou le logiciel. La responsabilité relative à tout dommage subi suite à l’utilisation du matériel et/ou du logiciel ou des documents correspondants se limitera aux événements impliquant une intention délibérée ou une violation d’une obligation contractuelle fondamentale due à une négligence manifeste. Toutefois, le droit de déclarer des dommages dus à une violation d’une obligation contractuelle fondamentale sera limité aux dommages habituellement prévisibles par contrat.
Les parties conviennent expressément, en particulier, que toute utilisation du matériel et/ou du logiciel en lien avec
▪
Les systèmes de contrôle de vol dans le domaine de l’aviation et de l’aérospatiale,
▪
Les procédés de fusion nucléaire dans les centrales nucléaires,
▪
Les dispositifs médicaux utilisés pour l’assistance vitale et
▪
Les systèmes de contrôle de véhicules utilisés dans le transport de passagers
est exclue. L’utilisation du matériel et/ou du logiciel dans l’un des domaines suivants est strictement interdite :
▪
Secteurs militaires ou de l’armement ;
▪
Conception, développement, entretien ou exploitation de systèmes nucléaires ;
▪
Systèmes de sécurité aérienne, systèmes de télécommunications aéronautiques ;
▪
Systèmes d’assistance vitale ;
▪
Systèmes dans lesquels tout dysfonctionnement du matériel et/ou du logiciel peut provoquer des blessures physiques, voire la mort.
Le matériel et/ou le logiciel n’a pas été développé pour une utilisation en milieux dangereux nécessitant des mécanismes de contrôle de sécurité intrinsèque. Toute utilisation du matériel et/ou du logiciel dans ce type d’environnement s’effectue à vos propres risques et nous déclinons toute responsabilité relative aux dommages ou pertes dus à une utilisation non autorisée.
Garantie
Hilscher Gesellschaft für Systemautomation mbH garantit que le logiciel s'exécutera sans erreur, conformément aux exigences mentionnées dans les spécifications, et qu’aucun défaut n’était présent à la date d’acceptation. La période de garantie court sur 12 mois à compter de la date d’acceptation ou d’achat (avec déclaration expresse ou rendue implicite par le comportement du client (par exemple mise en marche permanente)).
L’obligation de garantie des équipements (matériels) que nous produisons est de 36 mois à compter de la date de livraison Ex Works. Les dispositions susmentionnées cessent de s’appliquer si la législation stipule des durées de garantie plus longues, conformément à la Section 438 (1.2) BGB, à la Section 479 (1) BGB et à la Section 634a (1) BGB [Bürgerliches Gesetzbuch, Code civil allemand]. Si, en dépit de toutes les précautions, le produit livré présente un défaut qui existait déjà au moment du transfert de risque, la décision de réparer le produit ou de livrer un produit de rechange sera prise à notre convenance, à condition que le défaut nous ait été signalé dans les délais requis.
L’obligation de garantie ne s’applique pas si le défaut n’est pas signalé rapidement, si l’acheteur ou un tiers a altéré les produits, si le défaut est le fruit d’une usure naturelle, a été causé par des conditions d’exploitation défavorables ou est dû à une violation de nos règles d’utilisation ou des règles de bonnes pratiques électriques, ou si notre demande de retour de l’objet défectueux n’est pas satisfaite dans les meilleurs délais.
Coûts d’assistance, de maintenance, de personnalisation et d’entretien du produit
Les éventuelles améliorations ultérieures seront apportées gratuitement uniquement si un défaut est identifié. Les interventions d’assistance technique, de maintenance et de personnalisation, quelle que soit leur forme, ne constituent pas un service au titre de la garantie mais seront facturées en supplément.
Garanties complémentaires
Même si le matériel et le logiciel ont été développés et testés en profondeur avec le plus grand soin, Hilscher Gesellschaft für Systemautomation mbH n’accepte aucune garantie relative à leur compatibilité avec toute destination n’ayant pas été confirmée par écrit. Aucune garantie n’est accordée quant au fait que le matériel et le logiciel satisferont vos exigences, ou que le matériel et/ou le logiciel fonctionneront sans interruption, ou que le matériel et/ou le logiciel seront dénués de défaut.
Il est impossible de garantir que des brevets et/ou des droits de propriété n’ont pas été enfreints ou violés, ou que les produits n’ont pas été influencés par une tierce partie. Aucune autre garantie ou promesse n’est faite quant à la compatibilité du produit avec les demandes du marché actuel, à son absence d’imperfections ou à sa capacité à s’intégrer ou à être utilisé dans un but spécifique, sauf si ces garanties ou promesses sont requises dans le cadre de la législation existante et ne peuvent faire l’objet de limitations.
Confidentialité
Le client convient expressément que ce document contient des secrets commerciaux et des informations protégées par le droit d’auteur, par d’autres brevets et droits de propriété, ou par tout autre droit de Hilscher Gesellschaft für Systemautomation mbH. Le client accepte de traiter de manière confidentielle toutes les informations mises à sa disposition par Hilscher Gesellschaft für Systemautomation mbH, les droits accordés par Hilscher Gesellschaft für Systemautomation mbH et les conditions générales du contrat lui-même.
Les parties conviennent mutuellement que les informations reçues par chaque partie de la part de l’autre partie sont et doivent rester la propriété intellectuelle de ladite autre partie, sauf disposition contraire prévue dans un contrat.
Le client ne doit pas autoriser des tiers à prendre connaissance des savoir-faire correspondants et est uniquement autorisé à communiquer ces informations aux utilisateurs agréés, de la manière appropriée et lorsque nécessaire. Les sociétés associées au client ne sont pas considérées comme des tiers. Le client doit contraindre les utilisateurs autorisés à respecter l’obligation de confidentialité. Le client doit uniquement utiliser les informations confidentielles en lien avec les performances spécifiées dans cet accord.
Le client ne doit pas utiliser ces informations confidentielles à son propre avantage ou pour atteindre ses propres objectifs, ni à l’avantage ou pour les objectifs d’un tiers, ni dans un but commercial. Ces informations confidentielles doivent être utilisées exclusivement dans les limites stipulées dans cet accord ou dans la mesure expressément autorisée par la partie divulgatrice par écrit. Le client a le droit, soumis à obligation de confidentialité, de divulguer les conditions générales de cet accord directement à ses conseillers juridiques et financiers, dans la mesure requise par l’activité commerciale normale du client.
Dispositions relatives à l’exportation
Le produit livré (y compris les données techniques) est soumis aux législations sur les exportations et/ou les importations, ainsi qu’aux réglementations associées de divers pays, notamment aux lois en vigueur en Allemagne et aux États-Unis. Les produits/matériels/logiciels ne doivent pas être exportés dans les pays vers lesquels les lois des États-Unis relatives aux exportations et leurs dispositions complémentaires interdisent toute exportation. Vous convenez par la présente de respecter strictement les réglementations en vigueur. Toute exportation, réexportation ou importation du produit est susceptible d’être soumise à autorisation gouvernementale.
Conditions générales
Consultez les remarques relatives aux aspects juridiques complémentaires sur notre site web netIOT : http://www.netiot.com/netiot/netiot-edge/terms-and-conditions/.


Marques déposées

Introduction [image] Marques déposées
Marques déposées
Windows® XP, Windows® Vista, Windows® 7, Windows® 8, Windows® 8.1 et Windows® 10 sont des marques déposées de Microsoft Corporation.
PROFIBUS® est une marque déposée de PROFIBUS & PROFINET International (PI), Karlsruhe.
CODESYS® est une marque déposée de 3S-Smart Software Solutions GmbH, Allemagne.
Toutes les autres marques mentionnées sont la propriété du titulaire de leurs droits respectifs. Les noms de sociétés et désignations de produits mentionnés dans ce document peuvent représenter des marques (noms de société ou marques de commerce) détenues par le propriétaire correspondant et sont susceptibles d’être protégés par la législation sur les marques commerciales ou les brevets.


Exigences du système

Introduction [image] Exigences du système
Exigences du système
▪
PC doté d’un processeur d’1 GHz ou plus
▪
Windows® XP SP3,
Windows® Vista (32 bits) SP2,
Windows® 7 (32 bits et 64 bits) SP1,
Windows® 8 (32 bits et 64 bits),
Windows® 8.1 (32 bits et 64 bits),
Windows® 10 (32 bits et 64 bits)
▪
Droits d’administrateur requis pour l’installation
▪
Internet Explorer 5.5 ou versions suivantes
▪
RAM : 512 Mo minimum, 1 024 Mo recommandés
▪
Résolution : 1 024 x 768 pixels minimum
▪
Clavier et souris
▪
Restriction : écrans tactiles non pris en charge.
note | Remarque:
 | Si le fichier de projet se trouve sur un PC différent : - ce PC doit également respecter les exigences système susmentionnées, - les fichiers de description des appareils utilisés dans le projet doivent être importés dans le logiciel de configuration SYCON.net sur le nouveau PC, - et les DTM des appareils utilisés dans le projet doivent également être installés sur cet autre PC.


À propos du DTM maître PROFIBUS DP

Introduction [image] À propos du DTM maître PROFIBUS DP
À propos du DTM maître PROFIBUS DP
importantNote | Important:
 | Pour un appareil 2 canaux, le canal 1 ou le canal 2 doivent être affectés séparément au DTM et chacun doit être configuré individuellement.
Le DTM Maître PROFIBUS DP est utilisé pour configurer un unAppareil Maître PROFIBUS DP. La configuration s’effectue à l’aide de l’application cadre FDT SYCON.net, qui sert de logiciel de configuration.
Entrée de glossaire: FDT
Field Device Tool : FDT spécifie une interface, afin de pouvoir utiliser le DTM (Device Type Manager) dans différentes applications de différents fabricants
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Entrée de glossaire: SYCON.net
logiciel de configuration et de diagnostic multi-protocoles Hilscher (application cadre FDT), qui permet de configurer des appareils de bus de terrain de différents fabricants ayant des capacités de communication dans le cadre d'un même projet


Exigences du DTM maître PROFIBUS DP

Introduction [image] Exigences du DTM maître PROFIBUS DP
Exigences du DTM maître PROFIBUS DP
Pour pouvoir configurer un unAppareil Maître PROFIBUS DP avec le DTM Maître PROFIBUS DP, les exigences suivantes doivent être satisfaites :
▪
Installation matérielle terminée d’un Appareil Maître PROFIBUS DP basé sur netX et compatible avec le DTM, firmware chargé, licence disponible et fichier de configuration cifX chargé,
▪
Application cadre conforme FDT/DTM V 1.2 installée,
▪
DTM chargé dans le catalogue d’appareils de l’application cadre FDT.
note | Remarque:
 | Si le DTM Maître PROFIBUS DP et l'Appareil Maître PROFIBUS DP sont installés sur le même PC, cifX Device Driver doit être installé sur ce PC pour pouvoir connecter le DTM à l’appareil.
readsymbol
 | Pour plus d’informations sur l’installation du matériel, consultez le manuel de l’utilisateur correspondant. Pour plus d'informations sur la commande et le téléchargement de la licence de l’appareil, consultez la section Licence de ce manuel.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Entrée de glossaire: FDT
Field Device Tool : FDT spécifie une interface, afin de pouvoir utiliser le DTM (Device Type Manager) dans différentes applications de différents fabricants


Structure de dialogue du DTM

Introduction [image] Structure de dialogue du DTM
Structure de dialogue du DTM
L’interface utilisateur graphique du DTM se compose de différentes zones et de divers éléments répertoriés ci-dessous :
1.
Une zone d’en-tête contenant les Informations générales de l’appareil,
2.
La zone de navigation (à gauche),
3.
Le volet de dialogue (zone principale à droite),
4.
OK, Annuler, Appliquer, Aide,
5.
La barre d’état contenant des informations comme l’état en ligne du DTM.
dialog structure dtm
Structure de dialogue du DTM Maître PROFIBUS DP
Sous-thèmes
•
Informations générales de l’appareil
•
Zone de navigation
•
Volets de dialogue
•
OK, Annuler, Appliquer, Aide
•
Barre d’état
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Informations générales de l’appareil

Introduction [image] Structure de dialogue du DTM [image] Informations générales de l’appareil
Informations générales de l’appareil
Paramètres | Définition
Appareil IO | Nom de l’appareil
Fournisseur | Nom du fournisseur de l'appareil
Identifiant de l’appareil | Numéro d’identification de l’appareil
Identifiant du fournisseur | Numéro d’identification du fournisseur
Informations générales de l’appareil


Zone de navigation

Introduction [image] Structure de dialogue du DTM [image] Zone de navigation
Zone de navigation
La zone de navigation contient les dossiers et sous-dossiers permettant d’ouvrir les volets de dialogue du DTM.
navaer Master dtm
Zone de navigation
➢
Sélectionnez le dossier et le sous-dossier requis.
⇨
Le volet de dialogue correspondant s’affiche.
Masquer/afficher la navigation
Masque la zone de navigation (coin supérieur droit).
Ouvre la zone de navigation (coin inférieur gauche).
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Volets de dialogue

Introduction [image] Structure de dialogue du DTM [image] Volets de dialogue
Volets de dialogue
Les volets de dialogue Paramètres, Configuration, Diagnostic/Diagnostic étendu ou Outils s’ouvrent en sélectionnant le dossier correspondant dans la zone de navigation.


OK, Annuler, Appliquer, Aide

Introduction [image] Structure de dialogue du DTM [image] OK, Annuler, Appliquer, Aide
OK, Annuler, Appliquer, Aide
Ces éléments sont définis comme suit dans le logiciel de configuration SYCON.net.
Définition
OK
Cliquez sur OK pour confirmer les derniers réglages.
Toutes les valeurs modifiées sont appliquées à la base de données de l’application cadre. La boîte de dialogue se ferme.
Annuler
Cliquez sur Annuler pour annuler les derniers réglages.
Répondez à la question « Les données de configuration ont été modifiées. Souhaitez-vous enregistrer ? » par Oui, Non ou Annuler.
▪
Oui : les modifications sont enregistrées ou les valeurs modifiées sont appliquées à la base de données de l’application cadre. La boîte de dialogue se ferme.
▪
Non : les modifications ne sont pas enregistrées ou les valeurs modifiées ne sont pas appliquées à la base de données de l’application cadre. La boîte de dialogue se ferme.
▪
Annuler : renvoie au DTM.
Appliquer
Cliquez sur Appliquer pour confirmer les derniers réglages.
Toutes les valeurs modifiées sont appliquées à la base de données de l’application cadre. La boîte de dialogue reste ouverte.
Aide
Cliquez sur Aide pour ouvrir l’aide en ligne.
OK, Annuler, Appliquer, Aide
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Barre d’état

Introduction [image] Structure de dialogue du DTM [image] Barre d’état
Barre d’état
La barre d’état affiche des informations sur l’état actuel du DTM. L’activité en cours (téléchargement, etc.) est signalée par des icônes.
Barre d’état – champs 1 à 6
Champ d'état | Icône / signification
1 | État de connexion du DTM
 |  | Connecté : icône fermée = appareil en ligne
 |  | Déconnecté : icône ouverte = appareil hors ligne
2 | État des sources de données
 |  | Ensemble de données : les données affichées sont extraites de l’ensemble de données de l’instance (base de données).
 |  | Appareil : les données affichées sont extraites de l’appareil.
3 | État de l’ensemble de données de l’instance
 |  | Valide Modifié : le paramètre est modifié (non égal à la source des données).
4 | Modifications apportées directement sur l’appareil
 |  | Chargement/configuration des paramètres de diagnostic : diagnostic activé.
6 | État de diagnostic de l’appareil
 |  | Enregistrement réussi : l’opération d’enregistrement a réussi. Autres messages relatifs à la gestion réussie des données de l’appareil.
 |  | Téléchargement du firmware : le téléchargement du firmware est en cours.
 |  | Échec de l’enregistrement : l’opération d’enregistrement a échoué. Autres messages d’échec relatifs à un défaut de communication causé par un dysfonctionnement de l’appareil de terrain ou de ses périphériques.
Icônes de la barre d’état [1]
État hors ligne
Enregistrement réussi
Téléchargement du firmware en cours
Téléchargement du firmware réussi
État en ligne et diagnostic en cours
Exemples d’affichage de la barre d’état
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Sécurité

Sécurité
Sécurité
Sous-thèmes
•
Remarque générale
•
Usage prévu
•
Qualification du personnel
•
Messages de sécurité
•
Dégâts matériels
•
Identification des messages de sécurité
•
Références de sécurité


Remarque générale

Sécurité [image] Remarque générale
Remarque générale
La documentation, qui se présente sous forme d’un manuel de l’utilisateur, d’un manuel d’instructions d’utilisation ou d’autres types de manuels, ainsi que les textes annexes, ont été créés spécialement en vue de l’utilisation des produits par le personnel formé. L’ensemble des messages de sécurité, des messages de sécurité intégrés, des messages relatifs aux dommages matériels et des réglementations en vigueur doit être respecté pendant l’utilisation des produits. L’utilisateur est censé posséder les connaissances techniques requises et doit veiller à respecter l’ensemble des règles juridiques en vigueur.


Usage prévu

Sécurité [image] Usage prévu
Usage prévu
Le DTM Maître PROFIBUS DP sert à configurer et à diagnostiquer les Appareil Maître PROFIBUS DP.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Qualification du personnel

Sécurité [image] Qualification du personnel
Qualification du personnel
Le personnel chargé de l’application du système réseau doit connaître le comportement du système et être formé à son utilisation.


Messages de sécurité

Sécurité [image] Messages de sécurité
Messages de sécurité
Pour garantir votre sécurité et éviter toute blessure, merci de lire, de comprendre et de respecter les instructions et messages de sécurité fournis dans ce manuel avant toute installation et utilisation de votre appareil ou configuration de votre système.
Cette section détaille les instructions de sécurité applicables dans les situations où des blessures physiques et des dégâts matériels (équipements ou appareils) sont susceptibles de se produire.
Sous-thèmes
•
Arrêt de communication causé par le téléchargement du firmware ou de la configuration
•
Configuration inadaptée du système


Arrêt de communication causé par le téléchargement du firmware ou de la configuration

Sécurité [image] Messages de sécurité [image] Arrêt de communication causé par le téléchargement du firmware ou de la configuration
Arrêt de communication causé par le téléchargement du firmware ou de la configuration
Pour effectuer une mise à jour du firmware (sous forme de téléchargement) ou télécharger une configuration via le DTM Maître PROFIBUS DP, tenez compte des points suivants :
▪
Le téléchargement du firmware provoque une réinitialisation automatique de l’appareil qui interrompt toutes les communications réseau et toutes les connexions établies.
▪
Si vous téléchargez la configuration pendant que le bus est en service, la communication entre le maître et les esclaves sera interrompue.
Fonctionnement du système potentiellement défectueux
▪
Un comportement imprévisible et inattendu des machines et des composants du système peut provoquer des blessures physiques et des dégâts matériels.
➢
Le programme d'application doit être arrêté avant de lancer la mise à jour du firmware ou de télécharger la configuration.
➢
Votre équipement doit fonctionner dans des conditions interdisant toute blessure physique ou dégât matériel. Tous les appareils réseau doivent être mis en mode de sécurité intrinsèque avant de lancer la mise à jour du firmware ou de télécharger une configuration.
Perte des paramètres de l’appareil, écrasement du firmware
▪
Le téléchargement du firmware ou de la configuration efface la base de données de configuration. Le téléchargement du firmware écrase le firmware existant sur l’appareil réseau.
➢
Pour terminer la mise à jour et rendre l’appareil à nouveau exploitable, rechargez la configuration une fois la mise à jour du firmware terminée.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Configuration inadaptée du système

Sécurité [image] Messages de sécurité [image] Configuration inadaptée du système
Configuration inadaptée du système
Le chargement dans l’appareil d’une configuration inadaptée du système peut causer un défaut de mise en correspondance des données dans le programme d’application et, par conséquent, provoquer un comportement inattendu de l’équipement pouvant entraîner des blessures ou des dégâts matériels.
➢
Utilisez uniquement une configuration adaptée au système.


Dégâts matériels

Sécurité [image] Dégâts matériels
Dégâts matériels
Pour éviter tout dégât matériel et destruction de l’appareil, merci de lire, de comprendre et de respecter les instructions et messages de sécurité fournis dans ce manuel avant toute installation et utilisation de votre appareil ou configuration de votre système.
Sous-thèmes
•
Coupure de l'alimentation électrique pendant le téléchargement du firmware ou de la configuration
•
Firmware invalide


Coupure de l'alimentation électrique pendant le téléchargement du firmware ou de la configuration

Sécurité [image] Dégâts matériels [image] Coupure de l'alimentation électrique pendant le téléchargement du firmware ou de la configuration
Coupure de l'alimentation électrique pendant le téléchargement du firmware ou de la configuration
Si, pendant le téléchargement du firmware ou de la configuration,
▪
l’alimentation électrique d’un PC équipé de l’application logicielle est interrompue,
▪
ou l'alimentation électrique de l'Appareil Maître PROFIBUS DP est interrompue,
▪
ou l’appareil est réinitialisé,
les conséquences suivantes peuvent se produire :
Perte des paramètres de l’appareil, corruption du firmware
▪
Le téléchargement du firmware ou de la configuration est interrompu et demeure incomplet.
▪
Le firmware ou la base de données de configuration seront alors corrompus et les paramètres de l’appareil seront perdus.
▪
Incapable de redémarrer, l’appareil risque d’être endommagé.
Le moment où la coupure électrique se produit pendant le téléchargement détermine les conséquences engendrées.
➢
Pendant le processus de téléchargement de la configuration, ne coupez pas l'alimentation électrique du PC ou de l'appareil et ne réinitialisez pas l'appareil !
À défaut, votre appareil devra peut-être être envoyé en réparation.
Chute de tension pendant les accès en écriture et en effacement dans le système de fichiers
Le système de fichiers FAT du firmware netX est soumis à certaines restrictions d’utilisation. Les accès en écriture et en effacement dans le système de fichiers (mise à jour du firmware, téléchargement de la configuration, etc.) peuvent détruire le FAT (table d’allocation de fichiers) si une chute de tension les interrompt. Sans un FAT correct et complet, le firmware peut ne pas être détecté ni démarré.
L’alimentation électrique de l’appareil ne doit pas être interrompue pendant les accès en écriture et effacement dans le système de fichiers (mise à jour du firmware, téléchargement de la configuration, etc.).


Firmware invalide

Sécurité [image] Dégâts matériels [image] Firmware invalide
Firmware invalide
Le chargement de fichiers firmware invalides peut rendre votre module inutilisable.
➢
Chargez uniquement des fichiers fimware valables pour l’appareil concerné.
À défaut, votre appareil devra peut-être être envoyé en réparation.


Identification des messages de sécurité

Sécurité [image] Identification des messages de sécurité
Identification des messages de sécurité
Tous les messages et instructions de sécurité utilisés dans ce document ont été développés dans le respect des conventions de sécurité internationales et de la norme ANSI Z535.6, voir référence de sécurité [S1].
▪
Les messages de sécurité généraux au début d’un chapitre sont clairement identifiés et mis en évidence par un mot indicateur signalant le niveau de risque. Le type de danger est spécifié par le texte des messages de sécurité et, parfois, par un symbole de sécurité spécifique.
▪
Les messages de sécurité intégrés aux instructions sont mis en évidence par un mot indicateur signalant le degré de danger. Le type de danger est spécifié par le texte des messages de sécurité.
Mot indicateur | Définition
DangerPanel | Indique un danger direct présentant un risque élevé et susceptible de provoquer une blessure grave voire la mort s'il n’est pas évité. Signification selon ANSI Z535.6 : « Indique une situation dangereuse qui, si elle n’est pas évitée, provoquera une blessure grave, voire la mort. »
WarningPanel | Indique un danger potentiel présentant un risque moyen et susceptible de provoquer une blessure (grave) voire la mort s'il n’est pas évité. Signification selon ANSI Z535.6 : « Indique une situation dangereuse qui, si elle n’est pas évitée, pourrait provoquer une blessure grave, voire la mort. »
CautionPanel | Indique un danger mineur présentant un risque moyen et susceptible de provoquer une blessure mineure ou modérée s'il n’est pas évité. Signification selon ANSI Z535.6 : « Indique une situation dangereuse qui, si elle n’est pas évitée, pourrait provoquer une blessure mineure ou modérée. »
NoticePanel | Indique un risque de dégât matériel.
Mots indicateurs
La norme ANSI Z535.6 spécifie, à la section 4.8 : « Les messages relatifs à des dangers pouvant entraîner des blessures physiques et des dégâts matériels sont considérés comme des messages de sécurité et non comme des messages de dégâts matériels. » Selon le type de danger et ses conséquences, les messages d’avertissement désignés par les mots indicateurs DANGER, AVERTISSEMENT ou ATTENTION peuvent donc signaler à la fois un risque de blessures physiques et de dégâts matériels.
Dans ce document, les mots indicateurs « AVERTISSEMENT », « ATTENTION » et « AVIS » prennent le sens qui leur est donné dans la norme ANSI Z535.6. La signification que leur donne la norme ISO/IEC 26514 [S4] section « 11.11 Contents of warnings and cautions » ne s’applique donc pas dans ce manuel.


Références de sécurité

Sécurité [image] Références de sécurité
Références de sécurité
[S1] | ANSI Z535.6-2006 American National Standard for Product Safety Information in Product Manuals, Instructions, and Other Collateral Materials
[S4] | 26514-2010 - IEEE Standard for Adoption of ISO/IEC 26514:2008 Systems and Software Engineering--Requirements for Designers and Developers of User Documentation


Démarrage de l’appareil

Démarrage de l’appareil
Démarrage de l’appareil
Sous-thèmes
•
Messages de sécurité relatifs au téléchargement du firmware ou de la configuration
•
Étapes de configuration
•
Créer la configuration du projet
•
Importation de la structure du réseau et chargement
•
Procédure de « Configuration in Run »
•
Démarrage/arrêt de la communication


Messages de sécurité relatifs au téléchargement du firmware ou de la configuration

Démarrage de l’appareil [image] Messages de sécurité relatifs au téléchargement du firmware ou de la configuration
Messages de sécurité relatifs au téléchargement du firmware ou de la configuration
Si vous téléchargez un firmware ou une configuration via le DTM Maître PROFIBUS DP, respectez les avertissements suivants :
WarningPanel
Arrêt de communication causé par le téléchargement du firmware ou de la configuration
Lancer le processus de téléchargement du firmware ou de la configuration pendant que le bus fonctionne a pour effet d’interrompre la communication. L’arrêt du système qui en résulte peut provoquer un comportement imprévisible et inattendu des machines et des composants du système, entraîner des blessures physiques et endommager l’équipement.
Le téléchargement du firmware écrase le firmware existant. L’arrêt de communication peut entraîner une perte des paramètres de l’appareil, voire endommager l’appareil.
➢
Arrêtez le programme d'application avant de lancer le téléchargement du firmware ou de la configuration.
➢
Assurez-vous que tous les appareils réseau sont mis en condition de sécurité intrinsèque.
WarningPanel
Configuration inadaptée du système
Le chargement dans l’appareil d’une configuration inadaptée du système peut causer un défaut de mise en correspondance des données dans le programme d’application et, par conséquent, provoquer un comportement inattendu de l’équipement pouvant entraîner des blessures ou des dégâts matériels.
➢
Utilisez uniquement une configuration adaptée au système.
devicedestruction
NoticePanel
Coupure de l’alimentation électrique pendant le téléchargement du firmware ou de la configuration
Si l’alimentation électrique du PC ou de l’appareil est interrompue pendant le téléchargement du firmware ou de la configuration, le téléchargement sera arrêté, le firmware pourra être corrompu, les paramètres de l’appareil peuvent être perdus et l’appareil endommagé.
➢
Pendant le processus de téléchargement de la configuration, ne coupez pas l'alimentation électrique du PC ou de l'appareil et ne réinitialisez pas l'appareil !
devicedestruction
NoticePanel
Firmware invalide
Le chargement de fichiers firmware invalides peut rendre votre appareil inutilisable.
➢
Utilisez uniquement une version du firmware compatible avec votre appareil.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Étapes de configuration

Démarrage de l’appareil [image] Étapes de configuration
Étapes de configuration
La section ci-dessous présente une vue d’ensemble de la séquence de configuration d’un Appareil Maître PROFIBUS DP basé sur netX à l’aide d’un DTM Maître PROFIBUS DP, car il s’agit de la solution la plus courante. Cette procédure présuppose que le matériel a été correctement installé.
S’agissant d’une vue d’ensemble, les étapes sont présentées succinctement. Pour une description plus détaillée, reportez-vous aux sections indiquées dans la colonne « Autres informations ».
importantNote | Important:
 | Pour un appareil 2 canaux, le canal 1 ou le canal 2 doivent être affectés séparément au DTM et chacun doit être configuré individuellement.
Étape
Brève description
Autres informations
Ajouter l'Esclave PROFIBUS DP au catalogue d’appareils
Ouvrez le logiciel de configuration SYCON.net.
Ajoutez l’appareil en important son fichier de description dans le catalogue d’appareils.
- Réseau > Importer les descriptions d’appareil.
Section Créer la configuration du projet, ou manuel d’instructions d’utilisation « SYCON.net » et manuel d’instructions d’utilisation « netDevice et netProject ».
Charger le catalogue d’appareils
- Sélectionnez Réseau > Catalogue d’appareils,
- Recharger le catalogue.
Créer un nouveau projet/ouvrir un projet existant
- Sélectionnez Fichier > Nouveau ou Fichier > Ouvrir.
Insérer l'appareil Maître ou esclave dans la configuration
- Dans le Catalogue d’appareils, sélectionnez l'appareil maître et insérez-le en le déposant sur la ligne correspondante en vue réseau.
- Dans le Catalogue d’appareils, sélectionnez l'appareil esclave et insérez-le en le déposant sur la ligne de bus maître en vue réseau. *
(*Cette étape ne sera pas nécessaire si la structure du réseau est analysée automatiquement.)
Important ! Pour vous assurer de sélectionner le bon appareil dans le catalogue d’appareils, notez les détails relatifs au DTM et à l’appareil dans la partie inférieure de la fenêtre. En effet, le tri par bus de terrain risque d’afficher plusieurs appareils portant le même nom mais fabriqués par des fournisseurs différents.
Remarque ! Vous pouvez sélectionner un appareil PROFIBUS DPV0 (avec communication cyclique), un appareil PROFIBUS DPV1 (avec communication acyclique) et un appareil PROFIBUS DPV2 (avec communication cyclique et acyclique et configuration avec synchronisation de l’esclave).
-
Ouvrir la boîte de dialogue de configuration du DTM Maître
Ouvrez la boîte de dialogue de configuration du DTM maître.
- Double-cliquez sur l’icône du contrôleur.
- La boîte de dialogue du DTM maître s’affiche.
-
Vérifier ou modifier les paramètres du pilote
Dans la boîte de dialogue de configuration du DTM maître :
- Sélectionnez Paramètres > Pilote.
Remarque ! Pour les cartes PC cifX, cifX Device Driver est présélectionné par défaut. Pour tous les autres appareils Hilscher, netX Driver est présélectionné par défaut.
▪
Utilisez cifX Device Driver si le DTM Maître PROFIBUS DP est installé sur le même PC que l'Appareil Maître PROFIBUS DP.
▪
Utilisez netX Driver pour établir une connexion USB, série (RS232) ou TCP/IP entre le DTM Maître PROFIBUS DP et l'Appareil Maître PROFIBUS DP.
▪
Le pilote 3SGateway pour netX (V3.x) est utilisé uniquement en lien avec CODESYS.
Pour rechercher des appareils, vous pouvez cocher un ou plusieurs pilotes simultanément.
- Vérifiez que le pilote par défaut est coché.
- Si nécessaire, cochez un ou plusieurs autres pilotes.
Section Vue d’ensemble des paramètres d’affectation des pilotes et des appareils ou Vérification ou adaptation des paramètres du pilote
Configurer le pilote
Si vous utilisez netX Driver, vous devez le configurer.
Pour netX Driver et la communication via TCP/IP, réglez l’adresse IP de l’appareil.
- Sélectionnez Paramètres > Pilote > netX Driver > Connexion TCP.
- Utilisez [image] pour ajouter une plage IP.
- Sous Adresse IP, saisissez l’adresse IP de l’appareil ou une plage d’adresses IP.
- Cliquez sur Enregistrer.
Modifiez les paramètres USB/RS232 de netX Driver uniquement s’ils diffèrent des réglages par défaut.
Remarque !
▪
cifX Device Driver n'a pas besoin d’être configuré.
▪
La configuration du pilote 3SGateway pour netX (V3.x) s’effectue via l’interface utilisateur CODESYS.
Configuration de netX Driver
Affecter l’appareil Maître (avec ou sans firmware)
Affectez l'appareil maître à ce pilote.
Dans la boîte de dialogue de configuration du DTM maître :
- Sélectionnez Paramètres > Affectation des appareils,
- Sélectionnez un appareil maître (avec ou sans firmware),
- Cochez la case correspondante.
- Cliquez sur Appliquer.
Affectation des appareils (avec ou sans firmware)
Sélectionner et télécharger le firmware
Si aucun firmware n’a été chargé dans l’appareil :
- Respectez les consignes de sécurité requises pour éviter les blessures physiques et les dommages matériels.
Dans la boîte de dialogue de configuration du DTM maître :
- Sélectionnez Paramètres > Téléchargement du firmware,
- Cliquez sur Parcourir..,
- Sélectionnez un fichier firmware,
- Cliquez sur Ouvrir.
- Cliquez sur Télécharger et Oui.
Messages de sécurité relatifs au téléchargement du firmware ou de la configuration
Sélection et téléchargement du firmware
Affecter l’appareil Maître une nouvelle fois (avec firmware et canal de système)
Cette étape est ignorée en cas de répétition du téléchargement.
Dans la boîte de dialogue de configuration du DTM maître :
- Sélectionnez Paramètres > Affectation des appareils,
- Cliquez sur Analyser,
- Sélectionnez l’appareil maître (avec canal de système chargé et défini),
- Cochez la case correspondante.
- Cliquez sur Appliquer,
- Fermez la boîte de dialogue de configuration du DTM maître en cliquant sur OK.
Nouvelle sélection de l’appareil (avec firmware)
Configurer l’appareil esclave*
*(*Cette étape ne sera pas nécessaire si la structure du réseau est analysée automatiquement)
Configurez l’appareil esclave.
- Double-cliquez sur l’icône de l’esclave.
- La boîte de dialogue de configuration du DTM esclave s’affiche.
Dans la boîte de dialogue de configuration du DTM esclave :
- Sélectionnez Configuration > Générale,
- Réglez les paramètres Watchdog Control et Interval,
- Sélectionnez Configuration > Modules,
- Configurez les modules de l’esclave,
- Sélectionnez Configuration > Configuration du signal,
- Configurez le signal,
- Sélectionnez Configuration > Paramètres,
- Définissez les paramètres du module,
- Sélectionnez Configuration > Groupes,
- Affectez l’esclave à un groupe,
- Sélectionnez Configuration > Extensions,
- Définissez les paramètres de l’extension,
- Sélectionnez Configuration > DPV1,
- Configurez les fonctions DPV1,
- Sélectionnez Configuration > DPV2,
- Configurez les fonctions DPV2,
- Sélectionnez Configuration > Redondance,
- Configurez la redondance,
- Fermez la boîte de dialogue de configuration du DTM esclave en cliquant sur OK.
Manuel d'instructions d’utilisation « DTM générique pour Appareil Esclave PROFIBUS DP »
Configurer l'Appareil Maître
Configurez l'Appareil Maître.
- Double-cliquez sur l’icône du maître.
- La boîte de dialogue de configuration du DTM maître s’affiche.
Dans la boîte de dialogue de configuration du DTM maître :
- Sélectionnez Configuration > Paramètres du bus,
- Réglez les paramètres du bus,
- Sélectionnez Configuration > Données process.
Définissez des noms symboliques pour les modules ou signaux configurés,
- Sélectionnez Configuration > Table d’adresse,
- Réglez l’adresse de l’appareil si nécessaire,
- Sélectionnez Configuration > Table de station,
- Réglez l’adresse de station des appareils,
- Sélectionnez Configuration > Paramètres du maître,
- Définissez les paramètres du maître.
- En ce qui concerne l’option Autoriser le téléchargement de la configuration lorsque le réseau est en état « En cours d’exécution », reportez-vous aux descriptions relatives à la Configuration in Run.
- Fermez la boîte de dialogue de configuration du DTM maître en cliquant sur OK.
Section Vue d'ensemble: Configuration des paramètres de l’appareil

Paramètres du bus

Données process

Table d’adresse

Table des stations

Paramètres du maître

Configuration en mode Run
Enregistrer le projet
- Sélectionnez Fichier > Enregistrer.
Manuel d'instructions d’utilisation « SYCON.net »
Connecter l’appareil contrôleur.
- Faites un clic droit sur l’icône du contrôleur.
- Sélectionnez Connecter.
Section Connexion/déconnexion de l’appareil
Télécharger la configuration
- Respectez les consignes de sécurité requises pour éviter les blessures physiques et les dégâts matériels pouvant se produire suite à un arrêt de communication ou à une configuration inadaptée du système.
- Faites un clic droit sur l’icône du contrôleur.
- Sélectionnez Télécharger.
Section Messages de sécurité relatifs au téléchargement du firmware ou de la configuration
ou Téléchargement de la configuration
Analyser le réseau
Au lieu de configurer manuellement l'appareil esclave, vous pouvez analyser automatiquement la structure du réseau à l’aide du menu contextuel Analyse du réseau. Il faut ensuite confirmer la demande de création de la configuration des modules de l’appareil esclave et télécharger la configuration sur l'Appareil Maître.
Procédez comme suit :
1. Lancez la fonction Analyse du réseau.
2. Effectuez les réglages nécessaires dans la boîte de dialogue Résultat de l’analyse du DTM maître.
3. Cliquez sur Créer des appareils.
4. Téléchargez la configuration de l'appareil esclave sur l'Appareil Maître.
Section Analyse du réseau et Scanner réseau et « Télé charger »
Live List
Le menu contextuel Fonctions supplémentaires > Live List permet d’afficher les appareils présents sur le bus.
Section Live List
Diagnostic
- Faites un clic droit sur l’icône du maître.
- Sélectionnez Diagnostic.
- La boîte de dialogue de diagnostic du DTM maître s’affiche.
(1.) Vérifiez si la communication est OK :
Diagnostic > Diagnostic général > L’icône « Communication » de l’appareil doit être verte !
(2.) L’icône « Communication » est verte : ouvrez le Moniteur d’IO et testez les données d’entrée ou de sortie.
(3.) L’icône « Communication » n’est pas verte : utilisez les fonctions de diagnostic et de diagnostic étendu pour le dépannage.
- Fermez la boîte de dialogue de diagnostic du DTM maître en cliquant sur OK.
Section
Diagnostic

Section
Diagnostic étendu
Moniteur d’IO
- Faites un clic droit sur l’icône du maître,
- Sélectionnez Diagnostic,
- Sélectionnez Outils > Moniteur d’IO.
- Contrôlez les données d’entrée ou de sortie,
- Fermez la boîte de dialogue du Moniteur d’IO en cliquant sur OK.
Section Moniteur d’IO
Déconnecter
- Faites un clic droit sur l’icône du maître,
- Sélectionnez Déconnecter.
Section Connexion/déconnexion de l’appareil
Commencer - Étapes de configuration
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Entrée de glossaire: DPV0
PROFIBUS DP avec communication cyclique
Entrée de glossaire: DPV1
PROFIBUS DP avec communication acyclique
Entrée de glossaire: DPV2
PROFIBUS DP avec communication cyclique et acyclique et configuration avec synchronisation de l’esclave
Entrée de glossaire: CODESYS
COntroller DEvelopment SYStem : environnement de développement pour les automates programmables industriels (API) selon la norme internationale CEI 61131-3.
Entrée de glossaire: IP
Internet Protocol: appartenant à la famille de protocoles TCP/IP et défini dans le document RFC791, ce protocole est basé sur la couche 3 du modèle de réseau ISO/OSI à 7 couches. Il s’agit d’un protocole sans connexion, ce qui signifie qu’il n’est pas nécessaire d’ouvrir une connexion avec un ordinateur avant de lui envoyer un paquet de données IP. L’IP n’est donc pas capable de garantir que les paquets de données IP parviennent réellement au destinataire. Au niveau IP, ni l’exactitude des données, ni leur cohérence ou leur exhaustivité ne sont vérifiées. L’IP définit des mécanismes d’adressage spéciaux, voir Adresse IP.
Entrée de glossaire: Adresse IP
Définie dans l’Internet Protocol version 4 (IPv4) sous forme de nombre 32 bits, elle identifie un appareil ou un ordinateur au sein d’un réseau IP. Afin de simplifier la notation, l’adresse est généralement divisée en quatre chaînes 8 bits représentées sous forme décimale et séparées par des points : a.b.c.d. Chaque lettre correspond à une valeur entière comprise entre 0 et 255, ex. : 192.168.30.16. Toutes les combinaisons ne sont toutefois pas autorisées, certaines étant réservées à un usage spécifique. L’adresse IP 0.0.0.0 est invalide.


Créer la configuration du projet

Démarrage de l’appareil [image] Créer la configuration du projet
Créer la configuration du projet
1.
Finissez d’ajouter l’appareil esclave au catalogue d’appareils.
➢
Ouvrez le logiciel de configuration SYCON.net.
➢
Ajoutez les esclaves dans le catalogue d’appareils en important le fichier de description des appareils.
➢
Sélectionnez Réseau > Importer les descriptions des appareils.
2.
Chargez le catalogue d’appareils
➢
- Sélectionnez Réseau > Catalogue d’appareils.
➢
- Sélectionnez Recharger le catalogue.
3.
Créez ou ouvrez un projet
➢
Créez un nouveau projet/ouvrez un projet existant :
➢
- Sélectionnez Fichier > Nouveau ou Fichier > Ouvrir.
4.
Insérez l’appareil maître ou esclave dans la configuration.
➢
- Dans le Catalogue d’appareils, sélectionnez l'appareil maître et insérez-le en le déposant sur la ligne correspondante en vue réseau.
➢
- Dans le Catalogue des appareils, sélectionnez l'appareil esclave* et insérez-le en le déposant sur la ligne de bus maître en vue réseau.*
*(*Cette étape ne sera pas nécessaire si la structure du réseau est analysée automatiquement)
importantNote | Important:
 | Pour vous assurer de sélectionner le bon appareil dans le catalogue d’appareils, notez les détails relatifs au DTM et à l’appareil dans la partie inférieure de la fenêtre. En effet, le tri par bus de terrain risque d’afficher plusieurs appareils portant le même nom mais fabriqués par des fournisseurs différents.
note | Remarque:
 | Vous pouvez sélectionner un appareil PROFIBUS DPV0 (avec communication cyclique), un appareil PROFIBUS DPV1 (avec communication acyclique) et un appareil PROFIBUS DPV2 (avec communication cyclique et acyclique et configuration avec synchronisation de l’esclave).
readsymbol
 | Pour plus d’informations, consultez le manuel d'instructions d’utilisation « SYCON.net » ou « netDevice et netProject ».
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Entrée de glossaire: DPV0
PROFIBUS DP avec communication cyclique
Entrée de glossaire: DPV1
PROFIBUS DP avec communication acyclique
Entrée de glossaire: DPV2
PROFIBUS DP avec communication cyclique et acyclique et configuration avec synchronisation de l’esclave


Importation de la structure du réseau et chargement

Démarrage de l’appareil [image] Importation de la structure du réseau et chargement
Importation de la structure du réseau et chargement
Au lieu de configurer manuellement l'appareil esclave, vous pouvez analyser automatiquement la structure du réseau à l’aide du menu contextuel Analyse du réseau. Vous pouvez ensuite générer la configuration des modules de l'appareil esclave via la fonction Charger de la configuration et la télécharger sur l'Appareil Maître.
Procédez comme suit :
➢
Lancez la fonction Analyse du réseau.
➢
Effectuez les réglages nécessaires dans la boîte de dialogue Résultat de l’analyse du DTM maître .
➢
Sélectionnez Créer des appareils.
➢
Téléchargez la configuration de l'appareil esclave sur l'Appareil Maître.
Pour plus de détails, consultez la section Analyse du réseau et Scanner réseau et « Télé charger ».
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Procédure de « Configuration in Run »

Démarrage de l’appareil [image] Procédure de « Configuration in Run »
Procédure de « Configuration in Run »
Procédure à suivre pour mettre à jour la configuration pendant que le réseau est en cours d’utilisation :
#
Étape
Description
Autres informations
1.
Préparation
1. Activez la « Configuration in Run ».
- Double-cliquez sur l’icône du maître. Dans la boîte de dialogue de configuration du DTM maître :
- Sélectionnez Configuration > Paramètres du maître,
- Cochez Autoriser le téléchargement de la configuration lorsque le réseau est en état « En cours d’exécution ».
Comment procéder
Activation de « Configuration in Run »
2. Définissez le nombre d'octets après les données saisies.
- Dans les Paramètres du maître, réglez Offset d'état de l’appareil sur Statique. - Dans le champ Démarre ... octets après les dernières données saisies, spécifiez la distance (marge libre) entre le dernier octet de donnée saisi et le démarrage du changement d'état de l’appareil.
- Fermez la boîte de dialogue de configuration du DTM maître en cliquant sur OK.
Définition du nombre d'octets après l’entrée des données
3. Créez la configuration.
- Créez la configuration réseau et réglez les paramètres de l’appareil esclave correspondant dans le DTM Esclave PROFIBUS DP, (consultez les étapes 3, 4 et 12 dans le tableau ).
Remarque ! L’« Adresse » et le « Débit en bauds » des Appareil Maître PROFIBUS DP ne peuvent pas être modifiés dans la nouvelle configuration (nouvelle base de données).
Création de la configuration
4. Démarrez le téléchargement de la nouvelle configuration.
- Respectez les consignes de sécurité requises pour éviter les blessures physiques et les dégâts matériels pouvant se produire suite à un arrêt de communication ou à une configuration inadaptée du système.
- Faites un clic droit sur l’icône du maître.
- Sélectionnez Télécharger.
- Le téléchargement s’effectue.
- Le volet de dialogue Configuration in Run s’ouvre.
Messages de sécurité relatifs au téléchargement du firmware ou de la configuration
Démarrage du téléchargement
5. Activez les modifications.
- Sélectionnez Activer les modifications.
- La boîte de dialogue Configuration in Run se ferme.
- Le volet Informations contenant le texte Les modifications apportées à la base de données ont été activées avec succès ! s'affiche.
Activation ou refus des modifications
2.
Modification de la configuration via la Configuration in Run
1. Développez ou modifiez la configuration.
- Modifiez la configuration du réseau et réglez les paramètres de l'appareil esclave correspondant dans le DTM Esclave PROFIBUS DP ASi, (consultez les étapes 3, 4 et 12 du tableau ).
- Fermez la boîte de dialogue de configuration du DTM esclave en cliquant sur OK.
Remarque ! L’« Adresse » et le « Débit en bauds » des Appareil Maître PROFIBUS DP ne peuvent pas être modifiés dans la nouvelle configuration (nouvelle base de données).
Modification de la configuration
2. Démarrez le téléchargement de la nouvelle configuration.
- Respectez les consignes de sécurité requises pour éviter les blessures physiques et les dégâts matériels pouvant se produire suite à un arrêt de communication ou à une configuration inadaptée du système.
- Faites un clic droit sur l’icône du maître.
- Sélectionnez Télécharger.
- Le téléchargement s’effectue.
- Le volet de dialogue Configuration in Run s’ouvre.
Messages de sécurité relatifs au téléchargement du firmware ou de la configuration
Démarrage du téléchargement
3. Évaluez les données de configuration.
- Vérifiez dans le volet de dialogue Configuration in Run si la configuration modifiée (nouvelle base de données) peut être appliquée ou non.
Évaluation des données de configuration
4. Activez ou refusez les modifications.
Remarque ! La configuration modifiée (nouvelle base de données) ne peut être acceptée que si :
▪
- Les modifications des paramètres de la base de données sont « possibles »,
- Les paramètres du maître (Démarrage, Chien de garde, Offset d’état, Paramètre du bus) n'ont pas changé et
▪
- L’état du maître est « OK » (= 0x000000000000).
▪
- Dans le volet de dialogue Configuration in Run, sélectionnez Activer les modifications.
- La boîte de dialogue Configuration in Run se ferme.
- Le volet Informations contenant le texte Les modifications apportées à la base de données ont été activées avec succès ! s'affiche ou est remplacé par un message d’erreur.
Activation ou refus des modifications
3.
Si la nouvelle configuration ne peut pas être appliquée
Il vous faudra peut-être augmenter le nombre d'octets après les dernières données saisies.
Augmenter le nombre d'octets après la saisie des données
Démarrer - Procédure de « Configuration in Run »
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Démarrage/arrêt de la communication

Démarrage de l’appareil [image] Démarrage/arrêt de la communication
Démarrage/arrêt de la communication
Vous pouvez démarrer ou arrêter manuellement la communication entre un un Appareil Maître PROFIBUS DP et des Appareil Esclave PROFIBUS DP .
▪
Démarrer la communication peut être activé si la communication avait été interrompue au préalable ou si la configuration le requiert (activation contrôlée de la communication).
▪
Arrêter la communication peut être activé si la communication a démarré.
Pour démarrer ou arrêter la communication, procédez comme suit :
Démarrer la communication
➢
Connectez l’appareil :
note | Remarque:
 | Pour lancer manuellement la communication de l’appareil sur le bus, une connexion en ligne entre le DTM Esclave PROFIBUS DP et l'Appareil Esclave PROFIBUS DP est nécessaire. Pour plus d’informations, consultez la section Connexion/déconnexion de l’appareil.
➢
Sélectionnez Fonctions supplémentaires > Service > Démarrer la communication dans le menu contextuel (clic droit de la souris).
⇨
L’appareil communique sur le bus.
Arrêter la communication
WarningPanel Possibilité de défaillance du système, d'écrasement du firmware ou de perte des paramètres de l’appareil
Avant d’arrêter la communication :
➢
Arrêtez le programme d'application.
➢
Assurez-vous que tous les appareils réseau sont en condition de sécurité intrinsèque.
Après avoir appliqué les mesures de sécurité :
➢
Sélectionnez Fonctions supplémentaires > Service > Arrêter la communication dans le menu contextuel (clic droit de la souris).
⇨
La communication de l’appareil sur le bus est arrêtée.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Paramètres

Paramètres
Paramètres
Sous-thèmes
•
Vue d’ensemble des paramètres d’affectation des pilotes et des appareils
•
Vérification ou adaptation des paramètres du pilote
•
Configuration des pilotes
•
Affectation des appareils (avec ou sans firmware)
•
Sélection et téléchargement du firmware
•
Licence


Vue d’ensemble des paramètres d’affectation des pilotes et des appareils

Paramètres [image] Vue d’ensemble des paramètres d’affectation des pilotes et des appareils
Vue d’ensemble des paramètres d’affectation des pilotes et des appareils
Dans « Paramètres », vous pouvez effectuer divers réglages de base pour votre appareil :
▪
Pour établir une connexion à partir du DTM Maître PROFIBUS DP, vérifiez si le pilote par défaut est coché dans la boîte de dialogue Pilote et si nécessaire, cochez un ou plusieurs autres pilotes.
▪
Dans le volet Affectation des appareils, sélectionnez l’appareil et affectez-le au pilote.
▪
La boîte de dialogue du volet Téléchargement du firmware permet de charger un nouveau firmware dans l’appareil.
▪
La boîte de dialogue du volet Licence permet de commander des licences pour les protocoles maître et les utilitaires, et de les transférer à votre appareil.
▪
Dans la boîte de dialogue Appareils Ethernet, vous pouvez définir le nom ou l’adresse IP des appareils Ethernet.
Zone de navigation - Paramètres (exemple)
Le nombre de pilotes peut être plus important.
note | Remarque:
 | Pour éditer les boîtes de dialogue sous Paramètres, il vous faut les droits d’utilisation « Maintenance ».
note | Remarque:
 | Les modifications apportées à la configuration via la « Configuration in Run » peuvent uniquement être enregistrées dans le répertoire des pilotes à l’aide de cifX Device Driver. Reportez-vous à la section Exigences.
importantNote | Important:
 | Pour un appareil 2 canaux, le canal 1 ou le canal 2 doivent être affectés séparément au DTM.
Vue d’ensemble des étapes
Pour établir une connexion entre le DTM Maître PROFIBUS DP et l'Appareil Maître PROFIBUS DP, procédez comme suit :
1.
Vérifiez ou adaptez les paramètres du pilote
➢
Dans le conteneur FDT netDevice, double-cliquez sur l’icône Maître PROFIBUS DP.
Ê
La boîte de dialogue de configuration du DTM s’ouvre.
➢
Vérifiez si le pilote par défaut est coché et, si nécessaire, cochez un ou plusieurs autres pilotes.
➢
Sélectionnez Paramètres > Pilote.
note | Remarque:
 | Pour les cartes PC cifX, cifX Device Driver est présélectionné par défaut. Pour tous les autres appareils Hilscher, netX Driver est présélectionné par défaut.
▪
Utilisez cifX Device Driver si le DTM Maître PROFIBUS DP est installé sur le même PC que l'Appareil Maître PROFIBUS DP.
▪
Utilisez netX Driver pour établir une connexion USB, série (RS232) ou TCP/IP entre le DTM Maître PROFIBUS DP et l'Appareil Maître PROFIBUS DP.
▪
Le pilote 3SGateway pour netX (V3.x) est utilisé uniquement en lien avec CODESYS. La version V3.x correspond à la version du pilote définie par 3S-Smart Software Solutions GmbH.
Pour rechercher des appareils sur le réseau, vous pouvez cocher un ou plusieurs pilotes à la fois.
➢
Vérifiez si le pilote par défaut de votre appareil est coché.
➢
Si nécessaire, cochez un ou plusieurs autres pilotes.
2.
Configurez les pilotes
➢
Si vous utilisez netX Driver, vous devez le configurer.
note | Remarque:
 | cifX Device Driver n'a pas besoin d’être configuré. La configuration du pilote 3SGateway pour netX (V3.x) s’effectue via l’interface CODESYS.
➢
Allez dans Paramètres > Pilote > netX Driver pour ouvrir la boîte de dialogue de netX Driver et, si nécessaire, appuyez sur F1 pour afficher l’aide séparée dédiée à netX Driver.
➢
Pour netX Driver et la communication via TCP/IP, réglez l’adresse IP de l’appareil.
Modifiez les paramètres USB/RS232 de netX Driver uniquement s’ils diffèrent des réglages par défaut.
3.
Affectez l'Appareil Maître au DTM
➢
Recherchez l’appareil (avec ou sans firmware) et sélectionnez-le.
➢
Sélectionnez Paramètres > Affectation des appareils.
➢
Sous Sélection des appareils, sélectionnez compatibles uniquement ou tous et cliquez sur Analyser.
➢
Dans le tableau, cochez les appareils requis.
➢
Sélectionnez Appliquer.
4.
Sélectionnez et téléchargez le firmware
➢
Si aucun firmware n’a été chargé dans l’appareil, sélectionnez et téléchargez le firmware.
➢
Sélectionnez Paramètres > Téléchargement du firmware.
➢
Sélectionnez et téléchargez le firmware via Télécharger.
➢
Cliquez sur Appliquer.
➢
Recherchez et sélectionnez une nouvelle fois les appareils (avec firmware et canal de système défini). Cette étape est ignorée en cas de répétition du téléchargement.
➢
Sélectionnez Paramètres > Affectation des appareils.
➢
Sélectionnez Analyser.
➢
Dans le tableau, cochez l’appareil requis.
➢
Fermez la boîte de dialogue de configuration du DTM en cliquant sur OK.
5.
Connectez l’appareil
➢
Dans netDevice, faites un clic droit sur l’icône Maître PROFIBUS DP.
➢
Sélectionnez la commande Connecter dans le menu contextuel.
⇨
Dans la vue réseau, la description de l'appareil au niveau de l'icône de l'appareil maître est affichée sur fond vert. L'Appareil Maître PROFIBUS DP est maintenant connecté au DTM Maître PROFIBUS DP via une connexion en ligne.
Pour plus d'informations sur les paramètres requis, consultez les sections Vérification ou adaptation des paramètres du pilote, Affectation des appareils (avec ou sans firmware), Sélection et téléchargement du firmware ou Licence.
readsymbol
Les descriptions de netX Driver sont disponibles dans l’interface utilisateur du DTM sous forme d’aide en ligne :
➢
Cliquez sur Paramètres > Pilote > netX Driver et appuyez sur la touche F1.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Entrée de glossaire: FDT
Field Device Tool : FDT spécifie une interface, afin de pouvoir utiliser le DTM (Device Type Manager) dans différentes applications de différents fabricants
Entrée de glossaire: Adresse IP
Définie dans l’Internet Protocol version 4 (IPv4) sous forme de nombre 32 bits, elle identifie un appareil ou un ordinateur au sein d’un réseau IP. Afin de simplifier la notation, l’adresse est généralement divisée en quatre chaînes 8 bits représentées sous forme décimale et séparées par des points : a.b.c.d. Chaque lettre correspond à une valeur entière comprise entre 0 et 255, ex. : 192.168.30.16. Toutes les combinaisons ne sont toutefois pas autorisées, certaines étant réservées à un usage spécifique. L’adresse IP 0.0.0.0 est invalide.
Entrée de glossaire: CODESYS
COntroller DEvelopment SYStem : environnement de développement pour les automates programmables industriels (API) selon la norme internationale CEI 61131-3.


Vérification ou adaptation des paramètres du pilote

Paramètres [image] Vérification ou adaptation des paramètres du pilote
Vérification ou adaptation des paramètres du pilote
Le volet de dialogue Pilote affiche les pilotes disponibles pour établir une connexion entre le DTM Maître PROFIBUS DP et l’appareil.
note | Remarque:
 | Un pilote par défaut est défini dans le logiciel de configuration.
Procédez comme suit :
1.
Sélectionnez le pilote.
➢
Sélectionnez Paramètres > Pilote dans la zone de navigation.
⇨
Le volet de dialogue Pilote affiche les pilotes disponibles et les réglages prédéfinis du pilote par défaut.
Pilote par défaut « cifX Device Driver » pour cartes PC cifX (exemple)
Pilote par défaut « netX Driver » pour les appareils Hilscher à l’exception des cartes PC cifX (exemple)
Paramètres | Définition
Pilote | Nom du pilote (pour plus de détails, consultez la description de la procédure à suivre). Pilote par défaut (prédéfini dans le logiciel de configuration) : pour les cartes PC cifX, cifX Device Driver est présélectionné par défaut. Pour tous les autres appareils Hilscher, netX Driver est présélectionné par défaut. Pour rechercher des appareils, vous pouvez cocher un ou plusieurs pilotes à la fois.
Version | Version ODMV3 du pilote
Identifiant | Identifiant du pilote
Paramètres de la liste de sélection des pilotes
2.
Vérifiez que le pilote par défaut est coché.
➢
Pour établir une connexion entre le DTM Maître PROFIBUS DP et l'Appareil Maître PROFIBUS DP, vérifiez si le pilote par défaut est coché dans la boîte de dialogue Pilote et si nécessaire, cochez un ou plusieurs autres pilotes.
3.
Si nécessaire, cochez un ou plusieurs autres pilotes.
➢
Cochez la case correspondant au pilote souhaité dans la liste.
note | Remarque:
 | Le pilote utilisé pour la connexion entre le DTM Maître PROFIBUS DP et l'Appareil Maître PROFIBUS DP doit être pris en charge par l’appareil et disponible pour l’appareil.
▪
Utilisez cifX Device Driver si le DTM Maître PROFIBUS DP est installé sur le même PC que l'Appareil Maître PROFIBUS DP.
▪
Utilisez netX Driver pour établir une connexion USB, série (RS232) ou TCP/IP entre le DTM Maître PROFIBUS DP et l'Appareil Maître PROFIBUS DP.
▪
Le pilote 3SGateway pour netX (V3.x) est utilisé uniquement en lien avec CODESYS. La version V3.x correspond à la version du pilote définie par 3S-Smart Software Solutions GmbH.
Pour rechercher des appareils sur le réseau, vous pouvez cocher un ou plusieurs pilotes à la fois.
Sélection manuelle de plusieurs pilotes (exemple).
Entrée de glossaire: ODMV3
Online-Data-Manager Version 3 : interface d’application servant également de serveur et pouvant être exécutée comme un serveur out-proc ou un service de système. Elle a pour objectif de fournir à différentes applications (ex. : SYCON.net) un accès à plusieurs appareils ou de partager un même appareil entre plusieurs applications.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Entrée de glossaire: CODESYS
COntroller DEvelopment SYStem : environnement de développement pour les automates programmables industriels (API) selon la norme internationale CEI 61131-3.


Configuration des pilotes

Paramètres [image] Configuration des pilotes
Configuration des pilotes
Sous-thèmes
•
cifX Device Driver
•
netX Driver
•
Configuration de netX Driver
•
netX Driver - Connexion USB/RS232
•
netX Driver - Connexion TCP/IP


cifX Device Driver

Paramètres [image] Configuration des pilotes [image] cifX Device Driver
cifX Device Driver
Le DTM Maître PROFIBUS DP ne propose aucun volet de dialogue pour cifX Device Driver, car ce pilote ne requiert aucun paramétrage.
cifX Device Driver sera utilisé si le DTM Maître PROFIBUS DP est installé sur le même PC que l'Appareil Maître PROFIBUS DP.
note | Remarque:
 | Pour établir une connexion entre un DTM et un Appareil Maître via cifX Device Driver, ce dernier doit être installé et avoir accès à l'Appareil Maître.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


netX Driver

Paramètres [image] Configuration des pilotes [image] netX Driver
netX Driver
netX Driver permet de connecter le DTM à l’appareil via différents types de connexions. Le DTM communique avec l’appareil via une connexion USB, une connexion série (RS232) ou une connexion TCP/IP. netX Driver établit
▪
une connexion USB avec l’appareil via l’interface USB de l’appareil et le port USB du PC,
▪
une connexion série (RS232) avec l’appareil via l’interface RS232 de l’appareil et le port COM du PC,
▪
une connexion TCP/IP avec l’appareil via Ethernet.
Pour connecter le DTM à la couche physique de l’appareil, le logiciel netX Driver opère en combinaison avec les composants logiciels :
▪
« connecteur USB/COM » pour la connexion USB et la connexion série (RS232) et
▪
« connecteur TCP/IP » pour la connexion Ethernet.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Entrée de glossaire: Ethernet
Technologie réseau utilisée pour la communication de bureau et industrielle via des connexions électriques et optiques. Développée et spécifiée par Intel, DEC et XEROX, elle permet de transmettre des données avec détection de collision et supporte différents protocoles. Ethernet n’étant pas forcément adapté aux applications temps réel, différentes extensions temps réel ont été développées (Ethernet industriel, Ethernet temps réel).


Configuration de netX Driver

Paramètres [image] Configuration des pilotes [image] Configuration de netX Driver
Configuration de netX Driver
Procédez comme suit pour configurer netX Driver :
Connexion USB/RS232
Pour régler les paramètres du pilote pour une connexion USB/RS232 :
note | Remarque:
 | Modifiez les paramètres USB/RS232 du pilote netX uniquement s’ils diffèrent des réglages par défaut. Une fois enregistrés, les paramètres modifiés du pilote seront utilisés pour affecter les appareils lors de la recherche d’appareils.
Pour régler les paramètres du pilote pour une connexion USB ou série :
1.
Définissez les paramètres USB/RS232 de netX Driver.
➢
Ouvrez la boîte de dialogue du pilote via Paramètres > Pilote > netX Driver > Connexion USB/RS232.
Connexion TCP/IP
Pour régler les paramètres du pilote pour une connexion TCP/IP :
2.
Réglez l’adresse IP de l’appareil.
➢
Sélectionnez Paramètres > Pilote > netX Driver > Connexion TCP.
➢
Ajoutez une plage IP via Sélectionner la plage IP [image].
➢
Sous Configuration de la plage IP > Adresse IP, saisissez l’adresse IP de l’appareil (Utiliser la plage IP est décoché).
3.
Ou définissez la plage IP :
➢
Cochez Utiliser la plage IP.
➢
Sous Configuration de la plage IP > Adresse IP, saisissez l’adresse de début (côté gauche) et l’adresse de fin de la plage de recherche IP (côté droit).
4.
Enregistrez l’adresse IP ou la plage de recherche IP.
➢
Cliquez sur Enregistrer.
⇨
Une fois enregistrés, les paramètres modifiés du pilote seront utilisés pour affecter les appareils lors de la recherche d’appareils.
Entrée de glossaire: Adresse IP
Définie dans l’Internet Protocol version 4 (IPv4) sous forme de nombre 32 bits, elle identifie un appareil ou un ordinateur au sein d’un réseau IP. Afin de simplifier la notation, l’adresse est généralement divisée en quatre chaînes 8 bits représentées sous forme décimale et séparées par des points : a.b.c.d. Chaque lettre correspond à une valeur entière comprise entre 0 et 255, ex. : 192.168.30.16. Toutes les combinaisons ne sont toutefois pas autorisées, certaines étant réservées à un usage spécifique. L’adresse IP 0.0.0.0 est invalide.


netX Driver - Connexion USB/RS232

Paramètres [image] Configuration des pilotes [image] netX Driver - Connexion USB/RS232
netX Driver - Connexion USB/RS232
La communication entre le DTM et l’appareil via une connexion USB/RS232 est utilisée lorsque le DTM est installé sur un PC et s’il existe
▪
une connexion USB
▪
ou une connexion série (RS232) entre le PC et l’appareil.
Le DTM accède à l’appareil via l’interface USB ou via l’interface RS232. Pour ce faire, il faut connecter un port USB du PC à l’interface USB de l’appareil à l’aide d'un câble USB ou connecter un port COM physique du PC à l’interface RS232 de l’appareil via un câble série.
La connexion USB/RS232 de netX Driver prend en charge tous les ports COM physiques et virtuels disponibles sur le PC.
L’interface RS232 ou USB permet de configurer ou de diagnostiquer l’appareil.
Sous-thèmes
•
Paramètres de netX Driver - Connexion USB/RS232
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Paramètres de netX Driver - Connexion USB/RS232

Paramètres [image] Configuration des pilotes [image] netX Driver - Connexion USB/RS232 [image] Paramètres de netX Driver - Connexion USB/RS232
Paramètres de netX Driver - Connexion USB/RS232
Le paramétrage du pilote pour la connexion USB/RS232 s’effectue via la boîte de dialogue netX Driver / Connexion USB/RS232.
➢
Ouvrir la boîte de dialogue Connexion USB/RS232 via la zone de navigation Paramètres > Pilote > netX Driver.
Ê
La boîte de dialogue Connexion USB/RS232 s’affiche :
netX Driver > Connexion USB/RS232
Paramètres | Définition | Plage de valeurs / Valeur
Activer le connecteur USB/RS232 (redémarrage d’ODM requis) | Coché : netX Driver peut communiquer via l’interface USB/RS232. Décoché : netX Driver ne peut pas communiquer via l’interface USB/RS232. Cocher ou décocher Activer le connecteur USB/RS232 nécessite de redémarrer le serveur ODM1 afin de valider le nouveau réglage. _______ 1 Redémarrez le serveur ODM via ODMV3 Tray Application : - Sur la ligne du bas, faites un clic droit sur [image] . - Dans le menu contextuel, sélectionnez Service > Démarrer. | Coché, Décoché ; Par défaut : décoché
Sélectionner le port | Les ports COM (interfaces) disponibles sur le PC seront répertoriés dans la liste Sélectionner le port. | COM 1 à COM N
Configuration du port
Désactiver le port | Coché : pas de connexion. Décoché : netX Driver tente d’établir une connexion à l’aide de l’interface USB/RS232 configurée. | Coché, Décoché (par défaut)
Débit en bauds : | Vitesse de transfert : nombre de bits par seconde. L’appareil doit pouvoir supporter le débit en bauds indiqué. | 9,6, 19,2, 38,4, 57,6 ou 115,2 [kBit/s] ; Par défaut (RS232) : 115.2 [kBit/s]
Bits d’arrêt | Nombre de bits d’arrêt envoyés après le transfert au destinataire des données d’envoi dans un but de synchronisation. | Bits d’arrêt : 1, 1,5, 2 ; Par défaut (RS232) : 1
Temporisation d’envoi | Délai maximum avant l’annulation du transfert des données de transmission, en cas d’échec du processus d’envoi dû, par exemple, à une mémoire tampon de transfert pleine. | 100 … 60 000 [ms] ; Par défaut (RS232 et USB) : 1 000 ms
Temporisation de réinitialisation | Délai maximum de réinitialisation d'un appareil incluant la réinitialisation de l’interface physique utilisée pour la communication. | 100 … 60 000 [ms] ; Par défaut (RS232 et USB) : 5 000 ms
Taille des octets | Nombre spécifié de bits par octets. | 7 bits, 8 bits ; Par défaut (RS232) : 8 bits
Parité | Dans le domaine de la détection des erreurs de transmission des données à l’aide de bits de parité, le terme « parité » désigne le nombre de bits occupés par le chiffre 1 dans le mot d’information transmis. Pas de parité : pas de bit de parité Parité impaire : la parité est impaire si le nombre de bits occupés par le chiffre 1 dans le mot d’information transmis est impair. Parité paire : la parité est paire si le nombre de bits occupés par le chiffre 1 dans le mot d’information transmis est pair. Parité non contrôlée : si le bit de parité est toujours à 1, la situation est appelée parité non contrôlée (le bit ne contient pas d’information). Parité espace : si le bit de parité est toujours à 0, la situation est appelée parité espace (le bit représente un espace vide). | Pas de parité, Parité impaire, Parité paire, Parité non contrôlée, Parité espace ; Par défaut (RS232) : Pas de parité
Temporisation Keep Alive | Le mécanisme « Keep Alive » est utilisé pour vérifier si la connexion à l’appareil est active. Les erreurs de connexion sont détectées à l’aide d’un mécanisme de pulsation périodique qui démarre une fois le délai écoulé si la communication a échoué. | 100 … 60 000 [ms] ; Par défaut (RS232 et USB) : 2 000 ms
Restaurer | Rétablit les valeurs par défaut de tous les paramètres de la boîte de dialogue de configuration. |
Enregistrer | Enregistre tous les réglages effectués dans la boîte de dialogue de configuration netX Driver > Connexion USB/RS232, c’est-à-dire uniquement pour le type de connexion sélectionné. |
Enregistrer tout | Enregistre tous les réglages effectués dans la boîte de dialogue de configuration netX Driver, c’est-à-dire pour tous les types de connexion. |
Paramètres netX Driver > Connexion USB/RS232


netX Driver - Connexion TCP/IP

Paramètres [image] Configuration des pilotes [image] netX Driver - Connexion TCP/IP
netX Driver - Connexion TCP/IP
La communication entre le DTM et l’appareil via une connexion TCP/IP est utilisée dans les deux applications suivantes :
Application 1 : l’appareil dispose de sa propre interface Ethernet. Le DTM est installé sur un PC et la connexion TCP/IP est établie entre ce PC et l’appareil indépendant. L’adresse IP de l’appareil est utilisée.
Application 2 : l’appareil est installé sur un PC distant. Le DTM est installé sur un PC différent et la connexion TCP/IP est établie entre ce PC et le PC distant. L’adresse IP du PC distant est utilisée. Pour établir la connexion TCP/IP, le serveur cifX TCP/IP doit être démarré sur le PC distant. Le serveur cifX TCP/IP permet d’accéder à distance à l’appareil via une connexion TCP/IP.
note | Remarque:
 | Le répertoire Tools du CD du produit contient un fichier exe dédié au serveur cifX TCP/IP.
L’interface TCP/IP de l’appareil ou du PC distant permet de configurer ou de diagnostiquer l’appareil.
Sous-thèmes
•
Paramètres de netX Driver - Connexion TCP/IP
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Entrée de glossaire: Ethernet
Technologie réseau utilisée pour la communication de bureau et industrielle via des connexions électriques et optiques. Développée et spécifiée par Intel, DEC et XEROX, elle permet de transmettre des données avec détection de collision et supporte différents protocoles. Ethernet n’étant pas forcément adapté aux applications temps réel, différentes extensions temps réel ont été développées (Ethernet industriel, Ethernet temps réel).
Entrée de glossaire: Adresse IP
Définie dans l’Internet Protocol version 4 (IPv4) sous forme de nombre 32 bits, elle identifie un appareil ou un ordinateur au sein d’un réseau IP. Afin de simplifier la notation, l’adresse est généralement divisée en quatre chaînes 8 bits représentées sous forme décimale et séparées par des points : a.b.c.d. Chaque lettre correspond à une valeur entière comprise entre 0 et 255, ex. : 192.168.30.16. Toutes les combinaisons ne sont toutefois pas autorisées, certaines étant réservées à un usage spécifique. L’adresse IP 0.0.0.0 est invalide.


Paramètres de netX Driver - Connexion TCP/IP

Paramètres [image] Configuration des pilotes [image] netX Driver - Connexion TCP/IP [image] Paramètres de netX Driver - Connexion TCP/IP
Paramètres de netX Driver - Connexion TCP/IP
Le paramétrage du pilote pour la connexion TCP/IP s’effectue via la boîte de dialogue netX Driver / Connexion TCP.
➢
Ouvrez la boîte de dialogue Connexion TCP via la zone de navigation Paramètres > Pilote > netX Driver.
Ê
La boîte de dialogue netX Driver s’affiche :
➢
Sélectionnez Connexion TCP.
netX Driver > Connexion TCP
Paramètres | Définition | Plage de valeurs / Valeur
Activer le connecteur TCP (redémarrage d’ODM requis) | Coché : netX Driver peut communiquer via l’interface TCP/IP. Décoché : netX Driver ne peut pas communiquer via l’interface TCP/IP. Cocher ou décocher Activer le connecteur TCP nécessite de redémarrer le serveur ODM1 afin de valider le nouveau réglage. _______ 1 Redémarrez le serveur ODM via ODMV3 Tray Application : - Sur la ligne du bas, faites un clic droit sur [image] . - Dans le menu contextuel, sélectionnez Service > Démarrer. | Coché, Décoché ; Par défaut : décoché
Sélectionner la plage IP | Sélectionner la plage IP permet de sélectionner des plages IP déjà créées. permet d’ajouter une plage IP supplémentaire. permet de supprimer une plage IP. |
Temporisation d’analyse [ms] | Temporisation d’analyse permet de déterminer le délai d’attente d’une réponse lors de l’établissement d'une connexion. | 10 … 10 000 [ms] ; Par défaut : 100 ms
Configuration de la plage IP
Désactiver la plage IP | Coché : pas de connexion. Décoché : netX Driver tente d’établir une connexion à l’aide de l’interface TCP/IP configurée. | Coché, décoché (par défaut)
Adresse IP (gauche) | Entrez l’adresse IP de l’appareil (si Utiliser la plage IP n’est pas coché). Entrez l’adresse IP de l’appareil (si Utiliser la plage IP n’est pas coché). | Adresse IP valide ; Par défaut : 192.168.1.1
Utiliser la plage IP | Coché : une plage d’adresses IP est utilisée. Décoché : une seule adresse IP est utilisée. | Coché, Décoché ; Par défaut : décoché
Adresse IP (droite) | Entrez l’adresse finale de la plage IP (uniquement si Utiliser la plage IP est coché). | Adresse IP valide ; Par défaut : 0.0.0.0
Nombre d’adresses | Affiche le nombre d’adresses composant la plage d’analyse en fonction de l’adresse IP de départ ou de fin sélectionnée (consultez la remarque en dessous du tableau). | Recommandé : 10
Port TCP | Identifie le point final d’une connexion logique ou adresse un point final spécifique sur l’appareil ou le PC. | 0 – 65535 ; Par défaut sur les appareils Hilscher : 50111
Temporisation d’envoi | Délai maximum avant l’annulation du transfert des données de transmission, en cas d’échec du processus d’envoi dû, par exemple, à une mémoire tampon de transfert pleine. | 100 … 60 000 [ms] ; Par défaut (TCP/IP) : 1 000 ms
Temporisation de réinitialisation | Délai maximum de réinitialisation d'un appareil incluant la réinitialisation de l’interface physique utilisée pour la communication. | 100 … 99,999 [ms] ; Par défaut (TCP/IP) : 20 000 ms
Temporisation Keep Alive | Le mécanisme « Keep Alive » est utilisé pour vérifier si la connexion à l’appareil est active. Les erreurs de connexion sont détectées à l’aide d’un mécanisme de pulsation périodique qui démarre une fois le délai écoulé si la communication a échoué. | 100 … 60 000 [ms] ; Par défaut (TCP/IP) : 2 000 ms
Restaurer | Rétablit les valeurs par défaut de tous les paramètres de la boîte de dialogue de configuration. |
Enregistrer | Enregistre tous les réglages effectués dans la boîte de dialogue de configuration netX Driver > Connexion TCP/IP, c’est-à-dire uniquement pour le type de connexion sélectionné. |
Enregistrer tout | Enregistre tous les réglages effectués dans la boîte de dialogue de configuration netX Driver, c’est-à-dire pour tous les types de connexion. |
Paramètres netX Driver > Connexion TCP
note | Remarque:
 | Il est important de ne pas associer une plage IP large à une temporisation d’analyse très courte. Avec Windows® XP SP2, Microsoft a introduit une limite pour les (tentatives de) connexions semi-ouvertes TCP/IP sortantes simultanées dans le but de ralentir la propagation des virus et des logiciels malveillants d'un système à l’autre. Cette limite ne permet pas de disposer de plus de 10 connexions sortantes semi-ouvertes simultanées. Chaque nouvelle tentative de connexion est mise en file d’attente et forcée d’attendre. C’est pourquoi utiliser une large plage IP avec une courte temporisation d’analyse peut empêcher l’établissement d'une connexion à un appareil.


Affectation des appareils (avec ou sans firmware)

Paramètres [image] Affectation des appareils (avec ou sans firmware)
Affectation des appareils (avec ou sans firmware)
note | Remarque:
 | Dans le volet de dialogue Affectation des appareils, vous devez commencer par affecter l'Appareil Maître PROFIBUS DP au DTM Maître PROFIBUS DP en cochant la case. C'est essentiel pour établir une connexion en ligne entre DTM Maître PROFIBUS DP et Appareil Maître PROFIBUS DP, comme décrit à la section Connexion/déconnexion de l’appareil.
Dans le volet Affectation des appareils, recherchez et sélectionnez l'Appareil Maître PROFIBUS DP.
Si l’appareil n’a pas obtenu de firmware ou doit en obtenir un nouveau :
1.
Recherchez et sélectionnez l’appareil (avec ou sans firmware).
2.
Téléchargez un firmware sur l’appareil.
3.
Recherchez et sélectionnez une nouvelle fois l’appareil (avec firmware).
➢
Procédez dans l’ordre indiqué.
importantNote | Important:
 | Pour un appareil 2 canaux, le canal 1 ou le canal 2 doivent être affectés séparément au DTM.
Sous-thèmes
•
Recherche d’appareils
•
Sélection de l’appareil (avec ou sans firmware)
•
Nouvelle sélection de l’appareil (avec firmware)
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Recherche d’appareils

Paramètres [image] Affectation des appareils (avec ou sans firmware) [image] Recherche d’appareils
Recherche d’appareils
➢
Sélectionnez Paramètres > Affectation des appareils dans la zone de navigation.
Ê
Le volet de dialogue Affectation des appareils s’affiche.
➢
Sous Sélection des appareils, sélectionnez compatibles uniquement.
➢
Sélectionnez Analyser pour lancer le processus de recherche.
⇨
Tous les appareils pouvant être connectés au DTM Maître PROFIBUS DP via le pilote présélectionné s’affichent dans le tableau.
Affectation des appareils - appareils détectés (exemple : appareil sans firmware)
note | Remarque:
 | L’indication …\cifX[0àN]_SYS s’affiche dans la colonne Chemin d’accès pour les appareils qui ont été trouvés via cifX Device Driver. C’est normal tant que l’appareil n’a pas obtenu de firmware. Une fois le téléchargement du firmware terminé, la colonne Chemin d’accès affiche l’indication …\cifX[0àN]_Ch[0à3].
Paramètres | Définition | Plage de valeurs / Valeur
Sélection de l’appareil | Sélectionnez compatibles uniquement ou tous les appareils. | compatibles uniquement, tous
Appareil | *Nom (= nom de la classe d’appareil) de l'Appareil Maître PROFIBUS DP. |
Port matériel 0/1/2/3 | Indique quel matériel est affecté à quelle interface de communication. |
Numéro d’emplacement | Affiche le numéro d’emplacement (identifiant de carte) prédéfini sur la carte PC cifX via le numéro d’emplacement d’interrupteur rotatif (identifiant de carte). L’indication n/a signifie qu’aucun numéro d’emplacement (identifiant de carte) n’existe. Cela se produit si la carte PC cifX n’est pas équipée d'un numéro d’emplacement d’interrupteur rotatif (identifiant de carte) ou pour les cartes PC cifX équipées d'un numéro d’emplacement d’interrupteur rotatif (identifiant de carte) si l’interrupteur rotatif est réglé sur 0 (zéro). | 1 à 9, n/a
Numéro de série | Numéro de série de l’appareil |
Pilote | Nom du pilote |
Protocole de canal | Indique quel firmware est chargé sur quel canal de l’appareil. Les données qui s’affichent pour le canal utilisé sont la classe du protocole et la classe de communication. a.) Pour les appareils sans firmware : Indéfini Indéfini, b.) Pour les appareils avec firmware : nom de protocole correspondant au firmware utilisé |
Chemin d’accès (dernière colonne à droite) | La colonne Chemin d’accès affiche différentes données relatives à l’appareil en fonction du pilote utilisé. Pour cifX Device Driver, les données suivantes s’affichent : a.) Pour les appareils sans firmware : …\cifX[0àN]_SYS, b.) Pour les appareils avec firmware : …\cifX[0àN]_Ch[0à3]. cifX[0àN] = numéro de carte 0 à N Ch[0à3] = numéro de canal 0 à 3 | Selon l’appareil et le pilote : numéro de carte ou de canal, adresse IP ou interface COM
Chemin d’accès (dans la partie inférieure du volet de dialogue) | Si un appareil est coché dans le tableau, sous Chemin d’accès (dans la partie inférieure du volet de dialogue), l’identifiant du pilote ou, en fonction du pilote utilisé, des données complémentaires s’affichent. Pour cifX Device Driver, les données suivantes s’affichent : a.) Pour les appareils sans firmware : …\cifX[0àN]_SYS, b.) Pour les appareils avec firmware : …\cifX[0àN]_Ch[0à3]. cifX[0àN] = numéro de carte 0 à N Ch[0à3] = numéro de canal 0 à 3 | Identifiant du pilote (ID) Selon l’appareil et le pilote : numéro de carte ou de canal, adresse IP ou interface COM
Paramètres d’affectation des appareils
Sous-thèmes
•
Sélection des appareils compatibles uniquement ou de tous les appareils
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Entrée de glossaire: Emplacement
Adresse d'une unité structurelle dans un appareil PROFINET IO


Sélection des appareils compatibles uniquement ou de tous les appareils

Paramètres [image] Affectation des appareils (avec ou sans firmware) [image] Recherche d’appareils [image] Sélection des appareils compatibles uniquement ou de tous les appareils
Sélection des appareils compatibles uniquement ou de tous les appareils
Tous
➢
Sous Sélection des appareils, sélectionnez tous.
➢
Sélectionnez Analyser.
Affectation des appareils - appareils détectés (exemple : appareil sans firmware)
Ê
Le tableau affiche tous les appareils pouvant être atteints sur le réseau et pouvant être connectés à un seul DTM chacun via les pilotes présélectionnés.
note | Remarque:
 | Lors du téléchargement suivant du firmware, la fenêtre de sélection Sélectionner le fichier firmware affiche tous les fichiers du dossier sélectionné, Type de fichier indique « Tous les fichiers » (*.*) et la case Valider le fichier firmware sélectionné. est décochée.
Compatibles uniquement
➢
Sous Sélection des appareils, sélectionnez compatibles uniquement.
➢
Sélectionnez Analyser.
Ê
Tous les appareils pouvant être connectés au DTM Maître PROFIBUS DP via le pilote présélectionné s’affichent dans le tableau.
note | Remarque:
 | Lors du téléchargement suivant du firmware, la fenêtre de sélection Sélectionner le fichier firmware affiche uniquement les fichiers firmware du dossier sélectionné, Type de fichier indique Fichiers firmware (*.nxm) ou Fichiers firmware (*.nxf) et la case Valider le fichier firmware sélectionné. est cochée.


Sélection de l’appareil (avec ou sans firmware)

Paramètres [image] Affectation des appareils (avec ou sans firmware) [image] Sélection de l’appareil (avec ou sans firmware)
Sélection de l’appareil (avec ou sans firmware)
note | Remarque:
 | Une connexion au DTM Maître PROFIBUS DP peut être établie avec un seul Appareil Maître PROFIBUS DP.
Pour sélectionner l'Appareil Maître PROFIBUS DP physique (avec ou sans firmware) :
➢
Cochez l’appareil correspondant.
Ê
Chemin d‘accès (dans la partie inférieure du volet de dialogue) affiche le chemin d’accès à l’appareil, par exemple l’identifiant du pilote, ou, en fonction du pilote utilisé, des données complémentaires.
➢
Sélectionnez Appliquer pour appliquer la sélection.
Affectation des appareils - sélection de l’appareil (exemple : appareil sans firmware/un appareil sélectionné)
note | Remarque:
 | Avant de pouvoir établir une connexion en ligne entre le DTM Maître PROFIBUS DP et l'Appareil Maître PROFIBUS DP, un firmware doit être chargé dans l’appareil et l’appareil doit être sélectionné une nouvelle fois.
Pour plus d'informations, consultez la section Sélection et téléchargement du firmware ou Nouvelle sélection de l’appareil (avec firmware).
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Nouvelle sélection de l’appareil (avec firmware)

Paramètres [image] Affectation des appareils (avec ou sans firmware) [image] Nouvelle sélection de l’appareil (avec firmware)
Nouvelle sélection de l’appareil (avec firmware)
note | Remarque:
 | Cette étape est ignorée en cas de répétition du téléchargement.
Pour sélectionner une nouvelle fois l'Appareil Maître PROFIBUS DP (avec firmware et canal de système défini), procédez comme suit :
➢
Sous Sélection des appareils, sélectionnez tous ou compatibles uniquement.
➢
Sélectionnez Analyser.
Ê
Si Tous a été sélectionné : Le tableau affiche tous les appareils pouvant être atteints sur le réseau et pouvant être connectés à un DTM via les pilotes présélectionnés.
Ê
Si Compatibles uniquement a été sélectionné : Tous les appareils pouvant être connectés au DTM Maître PROFIBUS DP via les pilotes présélectionnés s’affichent dans le tableau.
➢
Cochez l’appareil correspondant.
➢
Sélectionnez Appliquer pour appliquer la sélection.
➢
Ou sélectionnez OK pour appliquer la sélection et fermer la boîte de dialogue du DTM.
➢
Connectez le DTM à l’appareil à l’aide du menu contextuel (clic droit).
Affectation des appareils - sélection de l’appareil (exemple : appareils avec et sans firmware/un appareil sélectionné)
note | Remarque:
 | Une fois le téléchargement du firmware terminé, les données suivantes s’affichent pour les appareils détectés via cifX Device Driver : Dans la colonne Protocole de canal : les données du firmware du canal utilisé. Dans la colonne Chemin d’accès ou sous Chemin d’accès (dans la partie inférieure du volet de dialogue) : les données …\cifX[0àN]_Ch[0à3]. cifX[0àN] = numéro de carte 0 à N Ch[0à3] = numéro de canal 0 à 3
Pour plus d'informations sur la façon d’établir une connexion en ligne entre le DTM Maître PROFIBUS DP et l'Appareil Maître PROFIBUS DP, consultez la section Connexion/déconnexion de l’appareil.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Sélection et téléchargement du firmware

Paramètres [image] Sélection et téléchargement du firmware
Sélection et téléchargement du firmware
Exigences
note | Remarque:
 | Avant de télécharger le firmware, vous devez sélectionner le pilote et l’appareil maître (avec ou sans firmware) et l’appareil doit être affecté au matériel. Pour plus de détails, consultez la section Vue d’ensemble des paramètres d’affectation des pilotes et des appareils.
Comment procéder
La boîte de dialogue Téléchargement du firmware permet de transmettre le firmware à l’appareil. Téléchargez le firmware sur l’appareil comme indiqué ci-dessous :
1.
Lors du téléchargement suivant du firmware, la fenêtre de sélection Sélectionner le fichier firmware affiche uniquement les fichiers firmware du dossier sélectionné, Type de fichier indique Fichiers firmware (*.nxm) ou Fichiers firmware (*.nxf) et la case Valider le fichier firmware sélectionné. est cochée.
➢
Dans la zone de navigation, sélectionnez Paramètres > Téléchargement du firmware.
Ê
Le volet de dialogue Téléchargement du firmware s’affiche.
Téléchargement du firmware
Élément | Définition
Nom | Le chemin et le nom du fichier firmware sélectionné s’affichent.
Version | La version et le build du fichier firmware sélectionné s’affichent.
Parcourir... | « Parcourir... » permet de sélectionner le fichier firmware à télécharger. Remarque ! Si l’appareil n’est pas affecté au matériel, le message d’erreur « L’appareil n’est pas affecté au matériel ! » s’affiche.
Télécharger | « Télécharger » permet de télécharger le firmware sur l’appareil.
Paramètres de téléchargement du firmware
➢
Sélectionnez Parcourir....
Ê
Si l’appareil n’est pas affecté au matériel, le message d’erreur « L’appareil n’est pas affecté au matériel ! » s’affiche :
Message d’erreur « L’appareil n’est pas affecté au matériel ! »
➢
Cliquez sur OK, puis sélectionnez et affectez l’appareil maître comme indiqué à la section Affectation des appareils (avec ou sans firmware).
Ê
Si le matériel a été affecté à l’appareil, la fenêtre de sélection Sélectionner le fichier firmware s’ouvre.
➢
Agrandissez la fenêtre de sélection pour afficher les colonnes Matériel et Version.
Fenêtre « Sélectionner le fichier firmware » (exemple CIFX)
Paramètres | Définition | Plage de valeurs / Valeur
Colonne Nom | Nom de fichier du fichier firmware Pour trier les entrées de la fenêtre Sélectionner le fichier firmware par nom, cliquez sur le titre de la colonne [image] . | nxf, nxm
Colonne Firmware | Nom du firmware (constitué du nom de protocole et de la classe de protocole) |
Colonne Matériel | Classe d’appareil du matériel associé | ex. CIFX, COMX, COMX 51, NETJACK 10, NETJACK 50, NETJACK 51, NETJACK 100, NETTAP 50 (passerelle), NETTAP 100 (passerelle), NETBRICK 100 (passerelle)
Colonne Version | Version du firmware | x.x (build x)
Infobulle | Pour afficher l’infobulle, survoler la ligne du firmware sélectionné avec la souris. |
Type de fichier | Tous les fichiers (*.*) si Tous a été sélectionné dans le volet Affectation des appareils sous Sélection de l’appareil. Fichiers firmware (*.nxm) ou Fichiers firmware (*.nxf) si Compatibles uniquement a été sélectionné dans le volet Affectation des appareils sous Sélection de l’appareil. | Tous les fichiers (*.*), Fichiers firmware (*.nxm), Fichiers firmware (*.nxf)
Dossiers récents | Chemin du dernier dossier ouvert. |
Firmware | Dès que le fichier firmware a été sélectionné, le nom, la version, le build et la classe d’appareil correspondants s’affichent sous Firmware. | Nom, version, build, classe d’appareil du firmware sélectionné
Aide | Bouton permettant d’ouvrir l’aide en ligne du DTM. |
Paramètres de sélection du fichier firmware
readsymbol
 | Pour une description plus détaillée de la fenêtre Sélectionner le fichier firmware, affichez l’aide contextuelle (touche F1) de Microsoft.
note | Remarque:
 | Après avoir sélectionné Tous ou Compatibles uniquement dans le volet Affectation des appareils sous Sélection de l’appareil, pendant le téléchargement du firmware suivant, la fenêtre de sélection Sélectionner le fichier firmware propose les données suivantes :
(entrée de la liste déroulante) | tous | compatibles uniquement
Dans la fenêtre de sélection Sélectionner le fichier firmware : | Tous les fichiers du dossier sélectionné | Uniquement les fichiers firmware du dossier sélectionné
Sous Type de fichier* : | Tous les fichiers (*.*) | Fichiers firmware (*.nxm) Fichiers firmware (*.nxf)
Validation : | Une validation limitée sera exécutée si le téléchargement du firmware sélectionné est demandé. | Une validation est effectuée afin de déterminer si le fichier firmware est compatible avec le DTM Maître PROFIBUS DP.
*Ces réglages peuvent également être modifiés manuellement dans la fenêtre de sélection Sélectionner le fichier firmware.
Dans la fenêtre de sélection « Sélectionner le fichier firmware » :
➢
Dans la fenêtre de sélection, marquez le fichier firmware à charger à l’aide de la souris.
Ê
Dans la fenêtre de sélection, le nom et la version du firmware s’affichent sous Firmware.
➢
Dans la fenêtre de sélection, sélectionnez le bouton Ouvrir.
Ê
Une validation est effectuée afin de déterminer si le fichier firmware est compatible avec l'Appareil Maître PROFIBUS DP.
Ê
Si le fichier firmware sélectionné est compatible avec l’appareil sélectionné, la fenêtre de sélection se ferme immédiatement (sans dialogue).
Ê
Si le fichier firmware sélectionné n’est pas compatible avec l’appareil sélectionné, la boîte de dialogueSélectionner le fichier firmware s’affiche :
« Firmware invalide pour l’appareil affecté !
[explication détaillée]
Souhaitez-vous demander quand même le téléchargement du fichier firmware ? »
Boîte de dialogue Sélectionner le fichier firmware - Exemple de firmware invalide
NoticePanel Firmware invalide
Le chargement de fichiers firmware invalides peut rendre votre appareil inutilisable.
➢
Utilisez uniquement une version du firmware compatible avec votre appareil.
➢
Répondez Non à la question et sélectionnez un firmware valide.
Ê
La fenêtre de sélection se ferme.
2.
Transférez le firmware à l’appareil.
➢
Respectez les informations de sécurité suivantes :
WarningPanel Arrêt de la communication en raison de la mise à jour du firmware, risque de fonctionnement défectueux du système, d’écrasement du firmware ou de perte des paramètres de l'appareil
Avant de lancer le téléchargement d'un firmware, alors que le bus est encore en fonctionnement :
➢
Arrêtez le programme d'application.
➢
Assurez-vous que tous les appareils réseau sont mis en condition de sécurité intrinsèque.
NoticePanel Corruption du firmware ou perte de paramètres causée par une coupure de l’alimentation électrique pendant le téléchargement du firmware
➢
Pendant le processus de téléchargement du firmware, ne coupez pas l'alimentation électrique du PC ou de l'appareil et ne réinitialisez pas l'appareil !
➢
Dans le volet de dialogue Téléchargement du firmware, cliquez sur le bouton Télécharger pour télécharger le firmware.
Ê
La boîte de dialogue Souhaitez-vous vraiment télécharger le firmware ? s’affiche.
Boîte de dialogue « Souhaitez-vous vraiment télécharger le firmware ? »
➢
Cliquez sur Oui.
➢
Si vous êtes sûr d’avoir sélectionné le bon firmware, répondez Oui, sinon Non.
Ê
Pendant le téléchargement, une barre de progression s'affiche (« Téléchargement activé, l'appareil effectue l'initialisation... »), un symbole horloge/coche verte s’affiche dans la barre d'état et le bouton Télécharger est grisé dans le volet de dialogue Téléchargement du firmware.
Ê
Le volet de dialogue Téléchargement du firmware affiche le chemin, le nom et la version du fichier firmware sélectionné.
Téléchargement du firmware - barre de progression
Symbole horloge et coche verte
Téléchargement du firmware - Télécharger
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Licence

Paramètres [image] Licence
Licence
Pour ouvrir le volet Licence :
➢
Dans la zone de navigation, sélectionnez Paramètres > Licence.
Ê
Le volet de dialogue Licence s’affiche.
Licence
La boîte de dialogue de licence permet de commander des licences pour les Protocoles maîtres et les Utilitaires, et de les transférer vers votre appareil. Pour plus d’informations sur la boîte de dialogue de licence, consultez la section Licence.


Licence

Licence
Licence
La boîte de dialogue de licence permet de commander des licences pour les Protocoles maîtres et les Utilitaires, et de les transférer vers votre appareil.
Sous-thèmes
•
Ouvrir la boîte de dialogue Licence
•
Boîte de dialogue Licence
•
Quelles sont les licences présentes dans l’appareil ?
•
Comment commander une licence ?
•
Sélection des licences
•
Données de commande
•
Commander la licence
•
Comment obtenir la licence et la transférer à l’appareil


Ouvrir la boîte de dialogue Licence

Licence [image] Ouvrir la boîte de dialogue Licence
Ouvrir la boîte de dialogue Licence
Ouvrez la fenêtre Licence.
note | Remarque:
 | L’appareil maître doit d’abord être affecté au DTM avant que les données de l’appareil et les licences déjà présentes dans l’appareil puissent s’afficher dans la boîte de dialogue Licence.
Comment procéder :
1.
Affectez l’appareil maître au DTM.
➢
Dans le conteneur FDT netDevice, double-cliquez sur l’icône de l’appareil.
➢
Sélectionnez Paramètres > Pilote.
➢
Sélectionnez (cochez) un ou plusieurs pilotes.
➢
Sélectionner Paramètres > Pilote > [Nom du pilote assigné].
➢
Configurez le pilote si nécessaire.
➢
Sélectionnez Paramètres > Affectation des appareils.
➢
Sous Sélection de l’appareil, sélectionnez compatibles uniquement ou tous et cliquez sur Analyser.
➢
Dans le tableau, cochez l’appareil requis.
➢
Cliquez sur Appliquer.
➢
Fermez la boîte de dialogue de configuration du DTM en cliquant sur OK.
Pour plus de détails sur l’affectation des appareils, consultez la section Paramètres.
2.
Ouvrez le volet Licence.
➢
Faites un clic droit sur l’icône de l’appareil dans le conteneur FDT netDevice.
➢
Dans le menu contextuel, sélectionnez Fonctions supplémentaires > Licence.
⇨
La fenêtre Licence s’ouvre.
⇨
La barre de titre contient la description de l’appareil : Nom symbolique [Description de l’appareil] <Adresse de station > (# identifiant réseau).
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Entrée de glossaire: FDT
Field Device Tool : FDT spécifie une interface, afin de pouvoir utiliser le DTM (Device Type Manager) dans différentes applications de différents fabricants


Boîte de dialogue Licence

Licence [image] Boîte de dialogue Licence
Boîte de dialogue Licence
Dans le volet Licence, vous pouvez :
▪
vérifier quelles licences associées aux protocoles maîtres ou aux utilitaires sont présentes dans l’appareil (position 1 dans la figure ci-dessous),
▪
commander des licences (positions 2 à 11),
▪
transférer une licence à l’appareil 12,
Volet Licence
note | Remarque:
 | Pour afficher d’autres entrées sous Type de licence, déplacez la barre de défilement a vers le bas ou le haut. Pour afficher d’autres entrées sous Formulaire de demande à remplir, déplacez la barre de défilement b vers le bas ou le haut.


Quelles sont les licences présentes dans l’appareil ?

Licence [image] Quelles sont les licences présentes dans l’appareil ?
Quelles sont les licences présentes dans l’appareil ?
Vérifiez quelles sont les licences présentes dans l’appareil.
Comment procéder :
➢
Ouvrez le volet Licence comme indiqué à la section Ouvrir la boîte de dialogue Licence.
Volet Licence - Type de licence
➢
Sous Type de licence, cliquez sur [image] à côté de Protocoles maîtres.
Ê
La liste des Protocoles maîtres s’ouvre :
Volet Licence - Type de licence/protocoles maîtres
➢
Ou cliquez sur [image] à côté d’Utilitaires.
Ê
La liste des Utilitaires s’ouvre :
Volet Licence - Type de licence/utilitaires
Ê
La colonne Existantes indique les licences présentes dans l’appareil.
Oui = licence présente dans l’appareil.
Non = licence non présente dans l’appareil.
note | Remarque:
 | Dans les versions les plus récentes du logiciel de configuration, Type de licence peut afficher d’autres licences et protocoles pouvant être commandés ultérieurement.
Sous-thèmes
•
Licences des protocoles maîtres
•
Licences des utilitaires


Licences des protocoles maîtres

Licence [image] Quelles sont les licences présentes dans l’appareil ? Licences des protocoles maîtres
Licences des protocoles maîtres
Une licence maître générale :
1 protocole de communication maximum avec fonction maître peut être mis en œuvre sur l’appareil.
Deux licences maîtres générales :
2 protocoles de communication maximum avec fonction maître peuvent être mis en œuvre sur l’appareil.
La licence inclut les protocoles maîtres suivants :
▪
Maître ASi
▪
Maître CANopen
▪
Maître DeviceNet
▪
Maître EtherCAT
▪
Analyseur EtherNet/IP
▪
Maître PROFIBUS
▪
Contrôleur PROFINET IO RT
▪
Maître Sercos


Licences des utilitaires

Licence [image] Quelles sont les licences présentes dans l’appareil ? Licences des utilitaires
Licences des utilitaires
SYCON.net
Serveur OPC
QVis Taille minimale
▪
QVis Taille standard
▪
QVis Taille maximale
▪
CoDeSys Taille minimale
▪
CoDeSys Taille standard
▪
CoDeSys Taille maximale
Pour les utilitaires QVis et CoDeSys, une seule licence peut être sélectionnée entre :
▪
Taille minimale,
▪
Taille standard ou
▪
Taille maximale.


Comment commander une licence ?

Licence [image] Comment commander une licence ?
Comment commander une licence ?
Pour commander une licence, procédez comme suit :
1.
Ouvrez la boîte de dialogue Licence.
➢
Consultez la section Ouvrir la boîte de dialogue Licence.
2.
Sélectionnez les licences requises.
➢
Consultez la section Sélection des licences.
3.
Saisissez les données de commande.
➢
Consultez la section Données de commande.
4.
Passez votre commande.
➢
Consultez la section Commander la licence.


Sélection des licences

Licence [image] Sélection des licences
Sélection des licences
Vous pouvez sélectionner des licences pour les protocoles maîtres et/ou les utilitaires.
1.
Pour sélectionner des licences pour les protocoles maîtres :
➢
Dans le volet Licence, sous Type de licence, cliquez sur [image] à côté de Protocoles maîtres.
➢
Dans la colonne Commander, cochez le nombre nécessaire de licences devant s’exécuter simultanément sur votre appareil :
Une licence maître générale ou
Deux licences maîtres générales.
2.
Et/ou pour sélectionner des licences pour les utilitaires :
➢
Dans le volet Licence, sous Type de licence, cliquez sur [image] à côté d’Utilitaires.
➢
Dans la colonne Commander, cochez les utilitaires requis
(un ou plusieurs) :
▪
SYCON.net
▪
Serveur OPC
▪
QVis Taille minimale*
▪
QVis Taille standard*
▪
QVis Taille maximale*
▪
CoDeSys Taille minimale**
▪
CoDeSys Taille standard**
▪
CoDeSys Taille maximale**
Pour *) et **) il est nécessaire de faire un choix entre les tailles minimale, standard ou maximale.


Données de commande

Licence [image] Données de commande
Données de commande
▪
Informations de l’appareil
Les « informations de l’appareil » requises pour la commande sont automatiquement extraites de l’appareil et renseignées dans la commande.
▪
Données de commande
➢
Saisissez les données de commande dans le volet Licence.
➢
Saisissez les Informations de traitement de la commande (section Informations de traitement de la commande).
Sous-thèmes
•
Informations de l’appareil (données de commande extraites de l’appareil)
•
Informations de traitement de la commande


Informations de l’appareil (données de commande extraites de l’appareil)

Licence [image] Données de commande [image] Informations de l’appareil (données de commande extraites de l’appareil)
Informations de l’appareil (données de commande extraites de l’appareil)
Les données de commande suivantes sont extraites de l’appareil et affichées dans le volet Licence :
▪
Fabricant
▪
Référence
▪
Numéro de série
▪
Type de puce
▪
Version (version de la puce)
▪
Version du code ROM
▪
Somme de contrôle (des données de l’appareil)
Les champs grisés de la colonne Formulaire de demande à remplir > Valeur affichent les données de commande extraites de l’appareil :
Volet Licence - Formulaire de demande à remplir/informations de l’appareil
Ces données de commande sont extraites automatiquement de l’appareil.


Informations de traitement de la commande

Licence [image] Données de commande [image] Informations de traitement de la commande
Informations de traitement de la commande
Les données de commande suivantes doivent être saisies dans le volet Licence :
▪
Type de licence (licence utilisateur pour un seul appareil).
Volet Licence - Formulaire de demande à remplir/type de licence
➢
Sélectionnez le type de licence dans la colonne Formulaire de demande à remplir > Valeur (fonctionnalité à venir, pour l’heure seule Licence utilisateur pour un seul appareil peut être sélectionnée).
▪
Données obligatoires (champs éditables) :
–
Prénom
–
Nom
–
E-mail (adresse à laquelle sera envoyé le lien de téléchargement de la licence)
–
Téléphone
–
Société
–
Adresse
–
Pays
–
Ville, État, Code postal
Volet Licence - Formulaire de demande à remplir/données obligatoires
➢
Renseignez tous les champs obligatoires dans la colonne Formulaire de demande à remplir > Valeur (signalés par *).
▪
Informations de commande complémentaires, facultatives (champs éditables) :
–
Fax
–
Numéro client
–
Numéro de commande
–
Numéro de TVA
➢
Renseignez tous les champs de données complémentaires facultatifs dans la colonne Formulaire de demande à remplir > Valeur.


Commander la licence

Licence [image] Commander la licence
Commander la licence
Passez votre commande dans le volet Licence, comme suit :
Volet Licence - Sélectionner la filiale/commander/contacts
➢
Sélectionnez la filiale 4 à laquelle la commande doit être envoyée.
➢
Passez votre commande :
▪
par E-Mail 5,
▪
par Fax 6 ou par Téléphone 7,
▪
ou par fichier 8.
Les données de contact de la filiale sélectionnée s’affichent sous les positions 9, 10 et 11.
Sous-thèmes
•
Commander la licence par e-mail
•
Commander la licence par fax ou par téléphone
•
Exporter la demande de licence vers un fichier


Commander la licence par e-mail

Licence [image] Commander la licence [image] Commander la licence par e-mail
Commander la licence par e-mail
Vous pouvez passer votre commande par e-mail.
Volet Licence - Passer commande par e-mail
➢
Cliquez sur E-Mail... 5.
Ê
L’e-mail de commande Demande de licence s’ouvre :
Exemple : e-mail de commande de licence
L’e-mail de commande Demande de licence contient :
▪
L’E-mail… de la filiale sélectionnée a,
▪
Le fichier XML b EmailOrderRequest_-[numéroappareil]_[numérosérie].xml généré automatiquement, qui contient une synthèse des informations de commande,
▪
l’Adresse de commande c,
▪
les Informations de licence d,
▪
le Type de licence e,
▪
les Informations de l’appareil f,
▪
les Licences commandées g.
➢
Envoyez l’e-mail de commande Demande de licence.
⇨
Le processus de commande est terminé.


Commander la licence par fax ou par téléphone

Licence [image] Commander la licence [image] Commander la licence par fax ou par téléphone
Commander la licence par fax ou par téléphone
Vous pouvez passer votre commande par fax ou par téléphone.
Volet Licence - Passer commande par fax ou par téléphone
➢
Cliquez sur Imprimer formulaire fax 6 ou Téléphone… 7.
Ê
La synthèse des données de commande PrintOrderRequest_[numéroappareil]_[numérosérie].html s’ouvre dans une fenêtre du navigateur.
note | Remarque:
 | Si votre navigateur n’affiche pas les données de commande ou si la fenêtre Déplacer élément ou Copier élément s’affiche, vérifiez les paramètres de sécurité de votre système.
Exemple : formulaire de données de commande PrintOrderRequest
Le formulaire de données de commande contient :
▪
l’Adresse de commande c,
▪
les Informations de licence d,
▪
le Type de licence e,
▪
les Informations de l’appareil f,
▪
les Licences commandées g.
➢
Imprimez le formulaire, signez-le et envoyez-le par fax.
Utilisation du numéro de fax affiché après avoir sélectionné la filiale dans le volet Licence.
➢
Utilisez le numéro de fax 10 affiché après avoir sélectionné la filiale dans le volet Licence.
Ou :
➢
Préparez le formulaire de données et communiquez les données de commande par téléphone.
Volet Licence – numéro de téléphone de la filiale sélectionnée
➢
Utilisez le numéro de téléphone 11 affiché après avoir sélectionné la filiale dans le volet Licence.
⇨
Le processus de commande est terminé.


Exporter la demande de licence vers un fichier

Licence [image] Commander la licence [image] Exporter la demande de licence vers un fichier
Exporter la demande de licence vers un fichier
Si vous travaillez sur un ordinateur industriel ne disposant pas d’un client de messagerie, vous pouvez exporter vos informations de commande vers un fichier, enregistrer ce fichier sur un disque amovible et passer manuellement votre commande par e-mail depuis un autre PC.
Volet Licence - Commande par exportation de fichier et e-mail
➢
Cliquez sur Exporter la demande de licence… 8.
Ê
La fenêtre Rechercher un dossier s’affiche.
➢
Sélectionnez ou créez un nouveau dossier sur un disque amovible.
➢
Enregistrez dans ce dossier le fichier XML EmailOrderRequest_-[numéroappareil]_[numérosérie].xml généré automatiquement, qui contient une synthèse des informations de commande.
➢
Envoyez manuellement ce fichier par e-mail depuis un PC doté d’un client de messagerie.
➢
Utilisez pour ce faire l’adresse e-mail affichée après avoir sélectionné la filiale dans le volet Licence (position 9 sur la figure Volet Licence).
⇨
Le processus de commande est terminé.


Comment obtenir la licence et la transférer à l’appareil

Licence [image] Comment obtenir la licence et la transférer à l’appareil
Comment obtenir la licence et la transférer à l’appareil
note | Remarque:
 | Les fichiers de licence sont disponibles uniquement via un e-mail contenant un lien de téléchargement.
Vous recevrez donc un e-mail contenant un lien de téléchargement du fichier de licence que vous avez commandé, qui vous conduira vers un serveur PC contenant ce fichier. Après avoir cliqué sur le lien reçu, vous devrez enregistrer le fichier de licence sur votre PC, puis transférer la licence à votre appareil. Si votre client de messagerie se trouve sur un autre PC, vous devrez enregistrer le fichier de licence sur une clé USB, par exemple.
Comment procéder
1.
Enregistrez le fichier de licence sur un PC ou un disque.
➢
Cliquez sur le lien de téléchargement du fichier de licence dans l’e-mail.
➢
Enregistrez le fichier de licence *.nxl sur un PC ou un disque.
2.
Téléchargez le fichier de licence sur l’appareil.
➢
Connectez le disque contenant la licence au PC auquel est connecté l’appareil.
➢
Cliquez sur Télécharger la licence 12 dans le volet Licence du logiciel de configuration.
Volet Licence - Télécharger la licence
Ê
La fenêtre de sélection du fichier s’affiche.
➢
Sélectionnez le fichier de licence netX License Files (*.nxl).
➢
Cliquez sur Ouvrir.
Ê
Le fichier de licence est transféré à l’appareil.
Ê
La licence est maintenant présente sur l’appareil et activée lors de la réinitialisation suivante.
note | Remarque:
 | Pour activer la licence pour la première fois, une réinitialisation de l’appareil est requise.
3.
Activez la réinitialisation de l’appareil
➢
Pour vérifier si la licence a été activée, procédez comme indiqué à la section Quelles sont les licences présentes dans l’appareil ?.


Configuration

Configuration
Configuration
Sous-thèmes
•
Vue d'ensemble: Configuration des paramètres de l’appareil
•
Paramètres du bus
•
Données process
•
Table d’adresse
•
Table des stations
•
Définir l’adresse de station
•
Paramètres du maître
•
Connexion/déconnexion de l’appareil
•
Téléchargement de la configuration
•
Analyse du réseau et Scanner réseau et « Télé charger »
•
Configuration en mode Run


Vue d'ensemble: Configuration des paramètres de l’appareil

Configuration [image] Vue d'ensemble: Configuration des paramètres de l’appareil
Vue d'ensemble: Configuration des paramètres de l’appareil
Sous «Configuration» vous pouvez configurer votre appareil.
▪
Les Paramètres du bus sont la base pour l’opération correcte de l’échange de données.
▪
Le volet de Données process sert d’interface de données de process au DTM Maître PROFIBUS DP à l'extérieur.
▪
Le Table d’adresse affiche une liste de toutes les addresses utilisées dans la mémoire de l’image de process.
▪
Le Table des stations affiche une liste de tous les appareils «esclaves» configurés.
▪
Dans le volet Paramètres du maître il est possible d’effectuer des réglages relies à l’appareil et d’activer aussi l’option "Configuration in Run".
Configuration navigation area
Zone de navigation - Configuration
importantNote | Important:
 | Pour un appareil à deux canaux, il faut configurer canal 1 ou 2 de manière individuelle, l’un après l’autre.
Configuration des paramètres de l’appareil
Les étapes suivantes sont nécessaires pour configurer les paramètres de Appareil Maître PROFIBUS DP en utilisant le DTM Maître PROFIBUS DP:
1.
Configurez les paramètres du bus
➢
Dans la zone de navigation, sélectionnez Configuration> Paramètres du bus.
➢
Sélectionnez les paramètres du bus (p.ex. taux de Baud ou station de l’addresse) et de la surveillance du bus.
2.
Entrée des données de process
➢
Dans la zone de navigation, sélectionnez Configuration > Données process.
➢
Entrez des noms symboliques pour les modules configurés ou les signaux de mesure.
➢
Appliquez tous les paramètres.
3.
Configurez l'adresse de l'appareil, si nécessaire.
➢
Dans la zone de navigation, sélectionnez Configuration> Table d’adresse.
4.
Configurez l’adresse de la station des appareils:
➢
Dans la zone de navigation, sélectionnez Configuration > Station table pour affiche une liste de tous les esclave configurés maître.
➢
Si necessaire, configurez l’adresse de la station des appareils via le dialogue Configurez l’addresse.
5.
Configurez les paramètres du maître
➢
Sélectionnez Configuration > Paramètres du maître dans la zone de navigation.
➢
Sous Début de la communication de bus, sélectionnez l’option Automatiquement par appareil ou Controllé par l’application.
➢
Sous Application surveillance, configurez ez le temps de surveillance du chien de garde.
➢
Sous Module d’alignment, configurez les options Limites de l’octet or 2 Limites de l’octet.
➢
Sous Données de process handshake, sélectionnez le type de données de process handshake à utiliser.
➢
Sous Avancé vérifiez Permettez de télécharger la configuration pendant l’état du réseau “opération” pour permettre le téléchargement de la configuration pendant l’état du réseau “opération” (Configuration in Run).
➢
Sous Etat d’appareil offset sélectionnez l’option Calculation automatique ou Static.
6.
Fermez le dialogue de configuration DTM.
➢
Cliquez sur OK pour fermer le dialogue de configuration DTM maître et sauvegardez la configuration.
7.
Téléchargez les paramètres de configuration sur Appareil Maître PROFIBUS DP.
➢
Respectez les consignes de sécurité requises pour éviter les blessures physiques et les dégâts matériels pouvant se produire suite à un arrêt de communication ou à une configuration inadaptée du système. Vous trouverez les informations de sécurité correspondantes dans la section Messages de sécurité relatifs au téléchargement du firmware ou de la configuration.
note | Remarque:
 | Pour transférer la configuration vers le Appareil Maître PROFIBUS DP, téléchargez les données des paramètres de configuration dans le Appareil Maître PROFIBUS DP. Voir aussi section Téléchargement de la configuration.
Pour plus d'informations sur la configuration, voir sections Paramètres du bus, Données process, Table d’adresse, Table des stations ou Définir l’adresse de station et Paramètres du maître.
Pour savoir comment procéder à une mise à jour de la configuration pendant l'exécution du réseau (en ligne function "Configuration in Run"), voir la section Configuration en mode Run.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Paramètres du bus

Configuration [image] Paramètres du bus
Paramètres du bus
Les paramètres du bus sont la base du bon fonctionnement de l'échange de données. Cette section contient des informations sur le réglage des paramètres du bus ainsi que la description des différents paramètres du bus.
note | Remarque:
 | Respecter la règle de base suivante : Les paramètres du bus doivent être réglés de la même manière pour tous les appareils. L'adresse de station doit être différente d'un appareil à l'autre.
Sous-thèmes
•
Profil
•
Paramètres du bus
•
Surveillance du bus
•
Gestion des erreurs
•
Temporisation calculée


Profil

Configuration [image] Paramètres du bus [image] Profil
Profil
Paramètres du bus > Profil
Les profils suivants sont disponibles pour le DTM Maître :
▪
PROFIBUS DP (Périphérique décentralisé)
▪
PROFIBUS-PA (Automatisation de processus)
En fonction du profil sélectionné, les paramètres du bus standard associé sont affichés lors de la première ouverture de la boîte de dialogue. Chaque paramètre peut être modifié.
Pour le profil PROFIBUS DP, plusieurs débits en bauds peuvent être sélectionnés. Dans le profil PROFIBUS-PA, le débit en bauds est préréglé à 93,75 kbits/s.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Paramètres du bus

Configuration [image] Paramètres du bus [image] Paramètres du bus
Paramètres du bus
Paramètres du bus > Paramètres du bus
note | Remarque:
 | La modification des paramètres du bus peut provoquer des interruptions de communication. Les paramètres du bus déconnecté sont affichés. Les paramètres du bus sont transmis à l'appareil après le téléchargement de la configuration.
Une description du téléchargement se trouve dans la section Téléchargement de la configuration.
Paramètres du bus | Définition
Baudrate | Le Débit en bauds est la vitesse de transfert des données : nombre de bits par seconde. Le Débit en bauds doit être identique pour tous les appareils du bus. Le résultat d’une modification de la vitesse de transfert est que tous les autres paramètres doivent être recalculés.
 | Débit en bauds : | Temps bit (tBit) | Longueur de câble maxi (type A)
 | 9,6 kbit/s 19,2 kbit/s 31,25 kbit/s 45,45 kbit/s 93,75 kbit/s 187,5 kbit/s 500 kbit/s 1500 kbit/s 3000 kbit/s 6000 kbit/s 12000 kbit/s | 104,2 µs 52,1 µs 32 µs 22 µs 10,7 µs 5,3 µs 2 µs 666,7 ns 333,3 ns 166,7 ns 83,3 ns | 1200 m 1200 m 1200 m 1200 m 1200 m 1000 m 400 m 200 m 100 m 100 m 100 m
Slot Time (TSL) | « Attente de réception » - Temps de contrôle de l'expéditeur (Demandeur) du télégramme pour l'accusé de réception du destinataire (Répondeur). Après expiration, un nouvel essai est effectué en fonction de la valeur du « Délai maxi pour nouvelle tentative d’envoi » Plage de valeurs : 37 .. 16383 (la valeur par défaut dépend du débit en bauds.)
Min. Station Delay Time (min TSDR) | Il s'agit du délai le plus court qui doit s'écouler avant qu'un destinataire distant (Responder) puisse envoyer un accusé de réception d'un télégramme de requête. Période la plus courte entre la réception du dernier bit d'un télégramme et l'envoi du premier bit d'un télégramme suivant. Plage de valeurs : 1 .. 11 .. 65535
Max. Station Delay Time (max TSDR) | Il s'agit du délai le plus long qui doit s'écouler avant qu'un Expéditeur (Requestor) puisse envoyer un accusé de réception d'un télégramme de requête. Période la plus longue entre la réception du dernier bit d'un télégramme et l'envoi du premier bit d'un télégramme suivant. L'expéditeur (Requestor, Master) doit attendre au moins ce délai après l'envoi d'un télégramme non acquitté (p. ex. Diffusion seulement) avant qu'un nouveau télégramme soit envoyé. Plage de valeurs : 1 .. 65535 (la valeur par défaut dépend du débit en bauds.)
Quiet Time (TQUI) | C'est le laps de temps qui s’écoule des modulateurs (temps de déclenchement) aux répéteurs (temps de commutation) lors du passage de l'émission à la réception. Plage de valeurs : 0 .. 127 (la valeur par défaut dépend du débit en bauds.)
Setup Time (TSET) | « Temps de réaction » minimal entre la réception d'un accusé de réception et l'envoi d'un nouveau télégramme d'interrogation (Réaction) par l'expéditeur (Requestor). Plage de valeurs : 1 .. 255 (la valeur par défaut dépend du débit en bauds.)
Adresse de station | L'Adresse de station est l'adresse de l'appareil qui sert de Maître sur le bus. Plage de valeurs : 0 .. 125
Target Rotation Time (TTR) | Le temps de cycle nominal du jeton préréglé pour que l'autorisation de l'Expéditeur (Token) fasse le tour de l'anneau. Le temps dont dispose encore le Maître pour envoyer des télégrammes de données aux Esclaves dépend de la différence entre le temps de cycle nominal et réel du jeton. Le Target rotation time (TTR) est affiché en Temps bit (tBit) comme les autres Paramètres du bus. En dessous du Temps Bit affiché, le Target rotation time est également affiché en millisecondes (ms). Plage de valeurs : 1 .. 224-1 (= 16.777.215) (la valeur par défaut dépend du nombre d'Esclaves connectés au Maître et de leur configuration module)
Facteur GAP (G) | Facteur permettant de déterminer après combien de cycles un participant ajouté est accepté dans l'anneau à jeton. Après l'expiration du délai G*TTR, la Station recherche si un autre participant souhaite être accepté dans l'anneau logique. Plage de valeurs : 0 .. 10 .. 255
Nombre maxi. de tentatives | Nombre maximal de répétitions pour atteindre une station. Plage de valeurs : 1 .. 15 (la valeur par défaut dépend du débit en bauds.)
Adresse de station la plus élevée (HSA) | L' Adresse de station la plus élevée est l'adresse de bus la plus élevée à laquelle un Maître recherche un autre Maître sur le bus afin de transmettre le jeton. Cette adresse de station ne doit en aucun cas être inférieure à l'adresse de station Maître. Plage de valeurs : 1 .. 126
Paramètres du bus > Paramètres du bus
Sous-thèmes
•
Ajustement des paramètres du bus
•
Conditions supplémentaires pour une communication correcte
•
Représentation des paramètres du bus


Ajustement des paramètres du bus

Configuration [image] Paramètres du bus [image] Paramètres du bus [image] Ajustement des paramètres du bus
Ajustement des paramètres du bus
Si la configuration du bus a changé et que ces changements ont un impact sur les paramètres du bus, un symbole « Note » apparaît à côté des paramètres dont les valeurs affichées ne sont plus à jour.
Note : la configuration du bus a été modifiée, les paramètres du bus ne sont plus à jour
Avec Ajuster, les paramètres du bus de la configuration actuelle sont recalculés et mis à jour dans la boîte de dialogue des paramètres du bus.
Ajuster les paramètres du bus
Si aucun symbole « Note » n'est affiché à côté des paramètres de la configuration du bus, les valeurs indiquées sont à jour et valides.


Conditions supplémentaires pour une communication correcte

Configuration [image] Paramètres du bus [image] Paramètres du bus [image] Conditions supplémentaires pour une communication correcte
Conditions supplémentaires pour une communication correcte
TQUI < min TSDR
TRDY< min TDTS
TQUI< TRDY


Représentation des paramètres du bus

Configuration [image] Paramètres du bus [image] Paramètres du bus [image] Représentation des paramètres du bus
Représentation des paramètres du bus
Tous les temps des paramètres du bus sont donnés en temps bit. Le temps bit tBit est l'inverse du débit en bauds :
tBit = 1 / débit en bauds (en bit/s)
La conversion des millisecondes en temps bit est représentée par la formule suivante :
Temps bit = temps [en millisecondes] * débit en bauds


Surveillance du bus

Configuration [image] Paramètres du bus [image] Surveillance du bus
Surveillance du bus
Paramètres du bus > Surveillance du bus
Paramètres du bus | Définition
Data Control Time | Le Data Control Time définit le délai pour que la mise à jour de la Data_Transfer_List ait lieu au moins une fois. A l'expiration de cette période, le Maître (classe 1) signale automatiquement son état de fonctionnement via la commande Global_Control. Plage de valeurs : 10 .. 655350 (La valeur par défaut dépend du débit en bauds.)
Min. Slave Interval | Le Min. Slave Interval définit la période minimale entre deux cycles de la Liste des Esclaves. La valeur maximale requise par les Stations actives est toujours donnée. Plage de valeurs : 100 .. 6553500 (La valeur par défaut dépend des types d’Esclave) Plage de valeurs : 100 .. 6553500 (La valeur par défaut dépend des types d’Esclave)
Écraser le Watchdog Control Time de chaque esclave | Chaque esclave renvoie un Watchdog Control Time spécifique au Maître. L'option Écraser le Watchdog Control Time de chaque esclave permet à l'utilisateur d'annuler les réglages spécifiques à chaque esclave avec une valeur égale pour tous les esclaves configurés sur ce maître, par exemple pour définir une valeur constante pour les vitesses de transmission plus lentes (qui peuvent nécessiter des Watchdog Control Times prolongés) dans les environnements critiques.
Watchdog Control Time | Les esclaves DP utilisent le réglage du Watchdog Control Time afin de détecter les erreurs de communication avec le Maître assigné. Lorsque l'Esclave trouve une interruption d'une communication déjà opérationnelle, définie par un Watchdog time, l'esclave effectue une Réinitialisation indépendante et place les sorties dans un état sécurisé. Plage de valeurs : 20 .. 650250 (La valeur par défaut dépend du nombre d'Esclaves connectés au Maître et de leur configuration)
Paramètres du bus > Surveillance du bus
Sous-thèmes
•
Ajuster les paramètres de surveillance du bus


Ajuster les paramètres de surveillance du bus

Configuration [image] Paramètres du bus [image] Surveillance du bus [image] Ajuster les paramètres de surveillance du bus
Ajuster les paramètres de surveillance du bus
Si la configuration du bus a changé et que ces changements ont un impact sur les paramètres du bus, un symbole « Note » apparaît à côté des paramètres pertinents dont les valeurs affichées sont périmées
Note : la configuration du bus a été modifiée, les paramètres de surveillance du bus ne sont plus à jour
Avec Ajuster, les paramètres de surveillance du bus sont recalculés en fonction de la configuration actuelle du bus et mis à jour dans la boîte de dialogue des paramètres de surveillance du bus.
Ajuster les paramètres de surveillance du bus
S'il n'y a pas de symbole « Note » à côté des différents paramètres, les valeurs affichées sont à jour et valides.


Gestion des erreurs

Configuration [image] Paramètres du bus [image] Gestion des erreurs
Gestion des erreurs
Paramètres du bus > Gestion des erreurs
Pour PROFIBUS DP, le réglage Auto Clear est prévu pour le traitement global des erreurs. Le maître PROFIBUS DP surveille l'échange de données avec tous les esclaves PROFIBUS DP à l'aide d'un minuteur.
▪
Auto Clear ON (coché)
Le « Mode de fonctionnement du Maître » passe de Operate à Clear et interrompt la communication avec tous les esclaves assignés si au moins un esclave ne répond pas pendant le Data Control Time.
▪
Auto Clear OFF (Auto Clear ON décoché)
Le « Mode de fonctionnement du Maître » reste en mode Operate et maintient la communication avec tous les esclaves disponibles.
Pour plus d'informations sur le « Mode de fonctionnement du Maître », voir la section Diagnostic général ou sur le Data Control Time se référer à la section Surveillance du bus.


Temporisation calculée

Configuration [image] Paramètres du bus [image] Temporisation calculée
Temporisation calculée
note | Remarque:
 | La Temporisation calculée ne peut pas être réglée ; elle résulte des calculs paramétrés. L'affichage de ces temps n'est fourni qu'à titre d'information.
Paramètres du bus > Temporisation calculée
La Temporisation calculée est le temps que l'Expéditeur reste au repos après la réception du dernier bit d'un télégramme sur le bus, jusqu'à ce que le premier bit d'un nouveau télégramme soit envoyé sur le bus.
Selon le type de télégramme :
Temps du bus | Définition | Formule
Tid1 | Tid1 démarre après que l'initiateur a reçu un accusé de réception, une réponse ou un jeton. | Tid1 = max (TQUI + 2 * TSET+ 2 + TSYN, min TSDR) TSYN (*)
Tid2 | Tid2 démarre après que l'initiateur a envoyé un télégramme non acquitté. | Tid2 = max (TQUI + 2 * TSET + 2 + TSYN, max TSDR) TSYN(*)
Paramètres du bus > Temporisation calculée
En fonction de l'ASIC et du Débit en bauds utilisés, le Tid1 et le Tid2 peuvent prendre des valeurs légèrement différentes en raison du logiciel ASIC.
(*) TSYN:
C'est le temps minimal qui doit être disponible pour chaque appareil en état de repos avant qu'il soit autorisé à accepter le début d'une requête et il est fixé à 33 bits.


Données process

Configuration [image] Données process
Données process
Pour le DTM Maître PROFIBUS DP, le volet Process Data sert d'interface de données process externe, par ex. pour le transfert de données vers une unité API. Le volet Process data répertorie les appareils Esclaves connectés au Maître, ainsi que les modules configurés ou les signaux d'entrée ou de sortie des appareils. Ainsi, la structure du bus de terrain est visible.
Pour les modules configurés, les sous-modules ou les noms des signaux de mesure (noms) peuvent être définis (colonne « Nom »).
En outre, il est possible de spécifier quelles données de signal doivent être mises à disposition sur le serveur OPC (colonne SCADA).
Données process
*Le nom de l'appareil PROFINET IO apparaît.
Colonne | Symbole | Définition
Type | appareil | Nom de l'appareil* fourni par le hardware, suivi du nom de la station de l'appareil entre parenthèses pointues
 | module, sous-module Signal E/S | Description des modules, sous-modules ou signaux d'entrée ou de sortie configurés sur l'appareil (non modifiables)
Nom | Appareil | Nom symbolique* de l'appareil
 | module, sous-module Signal E/S | Nom symbolique des modules, sous-modules ou signaux d'entrée ou de sortie configurés sur l'appareil (modifiable)
 | avertissement | Utiliser un tag en double au même niveau peut entraîner des erreurs d’utilisation d’OPC !
SCADA | Option de sélection du module, du sous-module ou des données de signal mis à disposition sur le serveur OPC. « SCADA » (= Supervisory Control and Data Acquisition), utilisé ici avec le sens d’« outil de visualisation ».
*Selon le protocole, le nom de l'appareil ou son nom symbolique peut être édité via le menu contextuel des symboles de l'appareil.
Données process
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Entrée de glossaire: Module
Hardware ou composant logique d'un appareil physique
Entrée de glossaire:
Hardware ou composant logique d'un appareil physique
Entrée de glossaire: SCADA
Supervisory Control and Data Acquisition (outil de visualisation) : un concept pour le contrôle et l'acquisition de données des processus techniques


Table d’adresse

Configuration [image] Table d’adresse
Table d’adresse
Le volet de dialogue Table d'adresse affiche une liste de toutes les adresses utilisées dans l'image de données process. Les adresses affichées se réfèrent au Maître PROFIBUS DP utilisé.
Pour configurer les données d'adresse :
➢
Sélectionner Configuration > Table d'adresse dans l'espace de navigation.
Configuration > Table d'adresse
Paramètre | Définition
Adresse de station | Adresse de station de l’appareil esclave affecté
Appareil | Nom réel de l'appareil esclave affecté à partir du fichier GSE.
Nom | Nom symbolique librement définissable de l’appareil esclave affecté.
Module | Nom du module selon le fichier GSD
Type | Type des données d'entrée ou de sortie
Longueur | Nombre de signaux inclus (IB, QB, IW ou QW)
Adresse | Adresse de l’offset des données de sortie ou d'entrée
Paramètres du volet Table d’adresse - entrées / sorties
L' [image] Adressage automatiqueest utilisé par défaut. Pour l'adressage manuel, la case à cocher doit être décochée.
Utiliser le Address table_display mode Mode d'affichagepour sélectionner le mode d'affichage des données sous forme décimale ou hexadécimale.
L'option Exporter CSV permet d'exporter les adresses d'entrée et de sortie sous forme de fichier CSV (CSV = valeur séparée par des virgules). Par conséquent :
➢
Cliquez sur le bouton Exporter CSV.
Ê
Une boîte de dialogue d'enregistrement de fichier s'ouvre.
➢
Enregistrer les données au fichier *.CSV.
Vous pouvez ouvrir les données générées à l'aide d'un tableur.
Entrées, sorties
Si l'adressage manuel est autorisé, vous pouvez affecter manuellement les adresses d'entrée ou de sortie des modules :
➢
Cliquez sur l'adresse d'un module.
➢
Modifiez le champ et saisir une nouvelle adresse.
➢
Confirmez vos modifications en cliquant sur le bouton OK.
⇨
L'adresse modifiée manuellement est maintenant définie.
Trier les adresses
➢
Pour trier les données d'adresse, cliquez sur l'en-tête de colonne correspondante.


Table des stations

Configuration [image] Table des stations
Table des stations
La Table des stations affiche la liste de tous les appareils esclaves configurés dans la configuration maître.
Table des stations (exemple)
Paramètres | Définition
Activer | Case à cocher, pour activer/désactiver une station
Adresse de station | Adresse de station de l’esclave affecté Plage d’adresse de station valide : 0 - 125
Appareil | Nom actuel de l'appareil esclave affecté à partir du fichier GSE.
Nom | Nom symbolique librement définissable de l’ appareil esclave affecté.
Fournisseur | Nom du fournisseur de l'appareil
Paramètres de la boîte de dialogue de la table des stations
➢
Si nécessaire, définir l'adresse de station des appareils via la boîte de dialogue Définir l'adresse. Voir la section Définir l’adresse de station.
note | Remarque:
 | L'adresse de station 126 sert exclusivement à la mise en service d'un appareil esclave. Si l'adresse de station 126 est utilisée, la communication E/S entre l'appareil maître et cet appareil esclave est exclue.


Définir l’adresse de station

Configuration [image] Définir l’adresse de station
Définir l’adresse de station
La boîte de dialogue Définir l’adresse de station permet de modifier l'adresse de station PROFIBUS de l'appareil.
Pour régler l'adresse de station, procéder comme suit :
➢
Sélectionner et connecter l'appareil.
➢
Déconnecter l'appareil (uniquement si l'appareil est en ligne).
note | Remarque:
 | La boîte de dialogue Définir l'adresse de station n'est activée qu'en mode déconnecté. Le DTM Maître PROFIBUS DP et le Maître PROFIBUS DP ne doivent pas être reliés entre eux via une connexion en ligne.
Pour plus d'informations sur la façon d'établir ou de déconnecter un appareil en ligne du DTM Maître PROFIBUS DP au Maître PROFIBUS DP, voir la section Connexion/déconnexion de l’appareil.
➢
Sélectionner Fonctions supplémentaires > Définir l'adresse de station dans le menu contextuel (clic droit de la souris).
Définir l’adresse de station
note | Remarque:
 | L'adresse de station 126 sert exclusivement à la mise en service d'un appareil esclave. Si l'adresse de station 126 est utilisée, la communication E/S entre l'appareil maître et cet appareil esclave est exclue.
➢
Saisir la nouvelle adresse de station et sélectionner Définir l'adresse.
Ê
La nouvelle adresse de station de l'appareil est définie et elle figure également dans la liste des Adresses de station actuelles.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Paramètres du maître

Configuration [image] Paramètres du maître
Paramètres du maître
Dans le volet Paramètres du maître, vous pouvez effectuer les réglages relatifs à l'appareil. Ces réglages ne sont activés qu'après téléchargement de la configuration sur l'appareil. Les informations relatives au téléchargement se trouvent dans la section Téléchargement de la configuration.
➢
Ouvrir Configuration > Paramètres du maître.
Configuration > Paramètres du maître
note | Remarque:
 | Les options de paramétrage dans le volet de dialogue Paramètres du maître pour les variantes du logiciel de configuration spécifiques au client peuvent différer des options affichées ici.
Sous-thèmes
•
Début de communication du bus
•
Surveillance de l’application
•
Format de stockage de l’image de process
•
Alignement du module
•
Handshake des données process
•
Avancé
•
Offset d'état de l'appareil


Début de communication du bus

Configuration [image] Paramètres du maître [image] Début de communication du bus
Début de communication du bus
Paramètres des Maître PROFIBUS DP > Début de communication du bus
Si l’option Automatique par appareil est sélectionnée, la Appareil Maître PROFIBUS DP l'échange de données sur le bus commence après la fin de l'initialisation.
Si la Commande par application est sélectionnée, le programme d'application doit activer l'échange de données sur le bus.
note | Remarque:
 | Les options de paramétrage sous Début de communication du bus des variantes du logiciel de configuration spécifiques au client peuvent différer des options affichées ici.


Surveillance de l’application

Configuration [image] Paramètres du maître [image] Surveillance de l’application
Surveillance de l’application
Paramètres du Maître PROFIBUS DP > Surveillance de l’application
Le Watchdog time détermine le délai après lequel le chien de garde de l'appareil est re-déclenché à partir du programme d'application lorsque la surveillance du programme d'application est activée. Lorsque la valeur du temps de surveillance watchdog est égale à 0, le chien de garde est désactivé et la surveillance du programme d'application est également désactivée.
La plage de valeurs admissibles pour le temps de surveillance watchdog est comprise entre 20 et 65535. Par défaut, la valeur du « watchdog time » est égale à 1000 ms.
Watchdog time : | Plage de valeurs / Valeur
Plage de valeurs admissibles | 20… 65535 ms
Par défaut | 1000 ms
Le chien de garde du logiciel est désactivé. | 0 ms
Plage de valeurs / Valeur du watchdog time
note | Remarque:
 | Les options de paramétrage sous Surveillance de l’application pour les variantes du logiciel de configuration spécifiques au client peuvent différer des options affichées ici.


Format de stockage de l’image de process

Configuration [image] Paramètres du maître [image] Format de stockage de l’image de process
Format de stockage de l’image de process
Paramètres du Maître PROFIBUS DP > Format de stockage de l’image de process
Le Format de stockage de l'image de process détermine comment les mots porteur d’information sont stockés dans l'image de process.
Pour le type de données Word, il est possible de choisir Big Endian ou Little Endian.
Format de stockage (module word)
Big Endian | MSB/LSB = byte ou octet de poids le plus fort / byte ou octet de poids le plus faible = format Motorola = Big Endian
Little Endian | LSB/MSB = byte ou octet de poids le plus faible / byte ou octet de poids le plus fort = format Intel = Little Endian
Format de stockage de l’image de process
note | Remarque:
 | Les options de paramétrage sous Format de stockage de l'image de process des variantes du logiciel de configuration spécifiques au client peuvent différer des options affichées ici.


Alignement du module

Configuration [image] Paramètres du maître [image] Alignement du module
Alignement du module
Paramètres du Maître PROFIBUS DP > Alignement du module
L'Alignement du module définit le mode d'adressage de l'image de données process. Les adresses (offsets) des données process sont toujours interprétées comme des adresses octet. L'Alignement du module définit alors le mode d'adressage, les Limites octets ou les Limites 2 octets.
Paramètre | Définition
Limites octets | L'adresse du module peut commencer à n'importe quel offset.
Limites 2 octets | L'adresse du module ne peut commencer qu'avec des offsets pairs.
Paramètres des Maître PROFIBUS DP > Alignement du module
note | Remarque:
 | Les options de paramétrage sous Alignement pour les variantes du logiciel de configuration spécifiques au client peuvent différer des options affichées ici.


Handshake des données process

Configuration [image] Paramètres du maître [image] Handshake des données process
Handshake des données process
Paramètres du Maître PROFIBUS DP > Handshake des données process
Les différents types de Handshakes des données process sont utilisés pour régler le handshake des données process pour l’Appareil Maître PROFIBUS DP.
La sélection de l'échange de données process utilisé est importante pour un échange correct des données entre le programme d'application et l'appareil.
Le handshake des données process utilisé doit être pris en charge par le programme d'application adopté.
En général, le Handshake Bufferisé, contrôlé par l'hôte, est pris en charge.
note | Remarque:
 | Les options de paramétrage sous Format de stockage de l'image de process des variantes du logiciel de configuration spécifiques au client peuvent différer des options affichées ici.


Avancé

Configuration [image] Paramètres du maître [image] Avancé
Avancé
L’option Autoriser le téléchargement de la configuration lorsque le réseau est en mode « operate » pour le Réseau PROFIBUS permet de modifier la configuration d’un Réseau PROFIBUS en cours d’exécution sans réinitialisation des appareils.
Paramètres des Maître PROFIBUS DP > Avancé
➢
Cocher Autoriser le téléchargement de la configuration lorsque le réseau est en mode « operate » pour activer cette option.
Ê
Une nouvelle configuration est téléchargée et la configuration du Réseau PROFIBUS est modifiée et sauvegardée.
note | Remarque:
 | Les options de paramétrage sous Avancé pour les variantes du logiciel de configuration spécifiques au client peuvent différer des options affichées ici.


Offset d'état de l'appareil

Configuration [image] Paramètres du maître [image] Offset d'état de l'appareil
Offset d'état de l'appareil
Référence au Firmware : L’option Offset d'état de l'appareil a été implémentée depuis la version 2.3.14.0 du firmware CIFXDPM.NXF du Maître PROFIBUS DP.
L'option Offset d'état de l'appareil permet via Calcul automatique de calculer automatiquement l’offset pour l'adresse de départ de l'état de l'appareil dans la mémoire à double accès ou via Statique pour prérégler l’offset.
Paramètres du Maître PROFIBUS DP > Offset d'état de l'appareil
Offset d'état de l'appareil | Définition
Calcul automatique : | (Par défaut) État de l'appareil après le dernier octet d'entrée. Si d'autres données d'entrée sont ajoutées dans la configuration, l'adresse de départ de l'état de l'appareil dans la mémoire à double accès sera alors déplacée.
Statique : | Ici, il est possible de régler ici la distance (marge libre) entre le dernier octet d'entrée et le début de l'état de l'appareil. Si d'autres données d'entrée sont ajoutées dans la configuration, la distance sera réduite, de sorte que l'adresse de départ de l'état de l'appareil dans la mémoire à double accès reste la même. Si d'autres données d'entrée sont ajoutées dans la configuration, l'adresse de départ de l'état de l'appareil dans la mémoire à double accès sera alors déplacée.
Paramètres de l’analyseur d'options > Offset d'état de l'appareil
note | Remarque:
 | Les options de paramétrage sous Offset d'état de l'appareil pour les variantes du logiciel de configuration spécifiques au client peuvent différer des options affichées ici.


Connexion/déconnexion de l’appareil

Configuration [image] Connexion/déconnexion de l’appareil
Connexion/déconnexion de l’appareil
note | Remarque:
 | Plusieurs fonctions du DTM Maître PROFIBUS DP, par ex. diagnostic ou le téléchargement de la configuration dans SYCON.net, nécessitent une connexion en ligne du DTM Maître PROFIBUS DP au Appareil Maître PROFIBUS DP.
importantNote | Important:
 | Pour un appareil 2 canaux, le canal 1 ou le canal 2 doivent être connectés séparément au DTM.
Connexion de l’appareil
Pour établir une connexion en ligne du Appareil Maître PROFIBUS DP au DTM Maître PROFIBUS DP, adopter les étapes suivantes :
Sous Paramètres dans le volet Pilote :
➢
Vérifier que le pilote par défaut est coché et cocher respectivement un ou plusieurs autres pilotes.
➢
Configurer le pilote si nécessaire.
Sous Paramètres dans le volet Affectation des appareils :
➢
Rechercher les appareils (avec ou sans firmware).
➢
Sélectionner l'appareil (avec ou sans firmware) et appliquer la sélection.
Avant de télécharger le firmware, respecter les consignes de sécurité afin d’éviter les dommages corporels et matériels pouvant survenir à la suite d'un arrêt de communication. Pour plus de détails, se reporter à la section Messages de sécurité relatifs au téléchargement du firmware ou de la configuration.
Sous Paramètres dans le volet Téléchargement du firmware, si aucun firmware n'a encore été chargé sur l'appareil :
➢
Sélection et téléchargement du firmware.
Sous Paramètres dans le volet Affectation des appareils, si aucun firmware n'a encore été chargé sur l'appareil :
➢
Rechercher l’appareil (avec firmware) à nouveau.
➢
Sélectionner l'appareil (avec firmware) à nouveau.
Vous trouverez une vue d'ensemble des descriptions de ces étapes dans la section Vue d’ensemble des paramètres d’affectation des pilotes et des appareils.
➢
Dans la boîte de dialogue Interface DTM, cliquez sur le bouton OK pour appliquer la sélection et fermer la boîte de dialogue Interface DTM.
➢
Effectuer un clic droit sur l’icône Maître PROFIBUS DP.
➢
Sélectionner la commande Connecter dans le menu contextuel.
➢
Le Appareil Maître PROFIBUS DP est maintenant connecté au DTM Maître PROFIBUS DP via une connexion en ligne. Dans la vue réseau, la description de l'appareil sur l'icône de l'appareil du maître est affichée sur fond vert.
Déconnexion de l’appareil
Pour déconnecter une connexion en ligne de l'Appareil Maître PROFIBUS DP au DTM Maître PROFIBUS DP, adopter les étapes suivantes :
➢
Dans la boîte de dialogue Interface du DTM, cliquez sur le bouton OK pour appliquer la sélection et fermer la boîte de dialogue Interface du DTM.
➢
Effectuer un clic droit sur l’icône Maître PROFIBUS DP.
➢
Sélectionner la commande Déconnecter dans le menu contextuel.
⇨
Dans la vue réseau, la description de l'appareil n’est plus affichée sur fond vert. Maintenant la connexion en ligne de l’Appareil Maître PROFIBUS DP au DTM Maître PROFIBUS DP.
Entrée de glossaire: SYCON.net
logiciel de configuration et de diagnostic multi-protocoles Hilscher (application cadre FDT), qui permet de configurer des appareils de bus de terrain de différents fabricants ayant des capacités de communication dans le cadre d'un même projet
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Téléchargement de la configuration

Configuration [image] Téléchargement de la configuration
Téléchargement de la configuration
La configuration de l'appareil est créée « déconnecté » dans le DTM (programme d'application). Un téléchargement vers l'appareil est nécessaire pour y transférer la configuration avec les données paramètres;
note | Remarque:
 | Pour télécharger la configuration avec les données paramètres vers le Appareil Maître PROFIBUS DP une connexion en ligne du DTM Maître PROFIBUS DP au Appareil Maître PROFIBUS DP est requise. Pour plus d’informations, voir la rubrique Connexion/déconnexion de l’appareil.
WarningPanel Arrêt de la communication en raison du téléchargement de la configuration, du fonctionnement défectueux du système ou de la perte des paramètres de l'appareil
Avant de lancer un téléchargement de la configuration, alors que le bus est encore en mode « en fonctionnement » :
➢
Arrêter le programme d'application.
➢
Vous assurer que tous les appareils réseau sont placés en condition de sécurité positive.
WarningPanel Configuration inadaptée du système, fonctionnement défectueux du système ou de l'appareil possible
➢
Pour l'appareil, utiliser uniquement une configuration adaptée au système.
NoticePanel Perte de paramètres causée par une coupure de courant pendant le téléchargement de la configuration
➢
Pendant le processus de téléchargement de la configuration, ne pas couper l'alimentation électrique du PC ou de l'appareil et ne pas réinitialiser l'appareil !
Étapes du téléchargement
Pour transférer la configuration avec les données correspondantes des paramètres de configuration dans Appareil Maître PROFIBUS DP, téléchargez les données à l'aide de l'application cadre netFrame dans SYCON.net via Appareil > Télécharger ou le menu contextuel Télécharger.
➢
Sélectionnez Télécharger dans le menu contextuel de l'appareil.
Ê
Si le téléchargement est lancé lorsque les appareils esclaves sont connectés à l'appareil maître, le message suivant s'affiche : « Si vous tentez de télécharger pendant le fonctionnement du bus, la communication entre le maître et les esclaves sera interrompue. Voulez-vous vraiment télécharger ? »
Message netDevice : Télécharger
importantNote | Important:
 | Si la communication entre l’Appareil Maître et les appareil esclave est interrompue, l’échange de données entre l'Appareil Maître et les appareil esclave s’arrête.
➢
Cliquez sur Oui si vous souhaitez télécharger la configuration.
Ê
Alors, la configuration actuelle présente dans le programme d'application sera téléchargée dans l'appareil.
➢
Sinon, cliquez sur Non.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Analyse du réseau et Scanner réseau et « Télé charger »

Configuration [image] Analyse du réseau et Scanner réseau et « Télé charger »
Analyse du réseau et Scanner réseau et « Télé charger »
Avec la fonction Analyse du réseau... du DTM Maître PROFIBUS DP vous pouvez rechercher automatiquement quels Appareil Esclave PROFIBUS DP sont reliés à l'Appareil Maître PROFIBUS DP et comment ces appareils sont configurés. Pendant l’analyse du réseau, l'Appareil Maître demande les codes d’identification des appareil esclaves trouvés sur le bus. Lecture du code d’identification de chaque Appareil Esclave PROFIBUS DP connecté.
Dans la boîte de dialogue du Résultat de l’analyse du DTM maître les fichiers de description de l’appareil ou des DTM affectés apparaissent. Chaque fichier de description d'appareil et chaque DTM se voit attribué un code d’identification. Les différentes versions (également les versions linguistiques) d'un même fichier de description d'appareil sont définies par le même code d'identification. Pour chaque appareil identifié, vous pouvez sélectionner le DTM affecté en fonction du firmware chargé dans cet appareil esclave. Via Créer des appareils, pour chaque appareil esclave le DTM sélectionné est créé.
Le téléchargement de la configuration s’effectue après une analyse du réseau.. La fonction de téléchargement du DTM Esclave PROFIBUS DP permet de télécharger les données de configuration des modules à partir des Appareil Esclave PROFIBUS DP s via l'Appareil Maître PROFIBUS DP et le DTM Maître PROFIBUS DP vers les DTM Esclave PROFIBUS DP.
Sous-thèmes
•
Exigences
•
Vue d’ensemble des étapes
•
Démarrage de « Analyse du réseau »
•
Paramètres dans la boîte de dialogue Résultat de l'analyse
•
Description de la boîte de dialogue Résultat de l'analyse
•
Créer des appareils
•
Téléchargement de la configuration
•
Correction des conflits dans l'identificateur de module
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Exigences

Configuration [image] Analyse du réseau et Scanner réseau et « Télé charger » [image] Exigences
Exigences
L’Appareil Maître PROFIBUS DP doit être configuré.
importantNote | Important:
 | La configuration de l’Appareil Maître doit être téléchargée vers l'Appareil Maître. Pour plus de détails, reportez-vous à la section Étapes de configuration.


Vue d’ensemble des étapes

Configuration [image] Analyse du réseau et Scanner réseau et « Télé charger » [image] Vue d’ensemble des étapes
Vue d’ensemble des étapes
1.
Démarrage de la fonction Analyse du réseau du DTM maître.
2.
Effectuez les réglages dans la boîte de dialogue Résultat de l’analyse du DTM maître.
3.
Cliquez sur Créer des appareils.
4.
Via la fonction Télécharger du DTM maître, télécharger les configurations actuelles des appareil esclaves sur l’Appareil Maître.
note | Remarque:
 | Si un conflit dans l’identificateur de module se produit lors de la numérisation de la configuration du module, la boîte de dialogue Upload apparaît, où les conflits survenus sont affichés en rouge. Pour plus d'informations sur la résolution des conflits dans un identificateur de modules identifiés, se reporter à la section Correction des conflits dans l'identificateur de module.


Démarrage de « Analyse du réseau »

Configuration [image] Analyse du réseau et Scanner réseau et « Télé charger » [image] Démarrage de « Analyse du réseau »
Démarrage de « Analyse du réseau »
➢
Dans netDevice : effectuer un clic droit sur le symbole de l’appareil du DTM maître.
➢
Sélectionnez Analyse du réseau… dans le menu contexte.
Démarrage de « Analyse du réseau » (exemple)
➢
Attendez un peu.
➢
Une boîte de dialogue s’affiche et vous demande si la communication E/S doit être interrompue, cliquez sur Oui.
note | Remarque:
 | Après quelques secondes, la boîte de dialogue Analyseur du réseau... du DTM Maître PROFIBUS DP s’affiche.
Via Analyseur du réseau... une connexion en ligne du DTM Maître PROFIBUS DP au Appareil Maître PROFIBUS DP est établie. SYCON.net analyse, quels Appareil Esclave PROFIBUS DP sont reliés au réseau ou à l’Appareil Maître PROFIBUS DP.
La boîte de dialogue Résultat de l’analyse du DTM maître s’affiche.
nwscanexmp DPM 02
Boîte de dialogue Résultat de l’analyse du DTM maître (exemple)
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Paramètres dans la boîte de dialogue Résultat de l'analyse

Configuration [image] Analyse du réseau et Scanner réseau et « Télé charger » [image] Paramètres dans la boîte de dialogue Résultat de l'analyse
Paramètres dans la boîte de dialogue Résultat de l'analyse
➢
Effectuez les réglages dans la boîte de dialogue Résultat de l’analyse du DTM Maître PROFIBUS DP .
Ê
Dans la colonne DTM à utiliser apparaissent les DTM affectés aux codes d'identification trouvés.
Boîte de dialogue Résultat de l’analyse du DTM Maître PROFIBUS DP (exemple)
➢
Dans la colonne DTM à utiliser, sélectionnez pour chaque appareil identifié le DTM correspondant au firmware sur cet Esclave PROFIBUS DP.
▪
Si, dans la colonne DTM à utiliser, ne figure aucun DTM ou un appareil DTM non désiré est affiché, ajoutez les DTM nécessaires au catalogue des appareils.
▪
Ou adaptez le mode de création sous Création Mode.
➢
Dans la colonne Action, sélectionner si le DTM trouvé doit être :
▪
ajouté ou ignoré
(si un appareil n'est pas encore présent dans le projet),
▪
ou remplacé ou ignoré
(si un appareil est déjà présent dans le projet).
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Description de la boîte de dialogue Résultat de l'analyse

Configuration [image] Analyse du réseau et Scanner réseau et « Télé charger » [image] Description de la boîte de dialogue Résultat de l'analyse
Description de la boîte de dialogue Résultat de l'analyse
Dans le tableau suivant, vous trouverez une description de la boîte de dialogue Résultat de l’analyse du DTM Maître PROFIBUS DP Maître.
Colonne
Description
Barre de titre
Avec le texte : « Nom symbolique[Description de l’appareil] (ID #Réseau) du canal/Profibus ». Il s'agit du nom symbolique du PROFIBUS DP Appareil Maître PROFIBUS DP.
Instructions
Dans la fenêtre Analyseur du réseau, les instructions s’affichent : Les appareils hardware suivants ont été trouvés lors de l'analyse du réseau. Veuillez vérifier la sélection automatique des appareils correspondants trouvés dans le catalogue d'appareils (colonne « Appareils DTM ») avant de créer des appareils.
Adresse de station
Adresse de station du PROFIBUS DP, qui affiche la séquence logique des appareils dans un Réseau PROFIBUS.
Couleurs
Signification des couleurs dans la boîte de dialogue Résultat de l’analyse du DTM Maître PROFIBUS DP :
Si un champ est en rouge dans la colonne Adresse de station, l'appareil DTM correspondant est déjà présent sur le réseau.
Si un champ est en jaune, une sélection peut s’effectuer dans une liste déroulante.
Identifiant du type d’appareil
Identification (ID) : Lecture du code d'identification de chaque appareil (identifiant unique)
Type d’appareil auxiliaire
Type d’appareil auxiliaire du type d’appareil, le cas échéant (non utilisé dans PROFIBUS).
DTM à utiliser
Affichage des appareils DTM qui sont affectés aux codes d'identification trouvés lors de l’analyse :
Si [image] est affiché sans marquage couleur, il n'y a pas de possibilité de sélection.
Si l'affichage [image] est marqué en jaune, la sélection suivante peut être effectuée :

(Dans la figure ci-dessus, les DTM sont affichés.) Une sélection ne s'affiche que si sous Mode de création, l’option Choisir pour chaque appareil a été sélectionnée et si un autre DTM a été trouvé pour l'appareil respectif.
Une sélection ne s'affiche que si sous Mode de création > Choisir pour chaque appareil a été sélectionné et si un autre DTM a été trouvé pour l'appareil respectif.
Classe d’appareil :
Classe de l’Appareil Esclave PROFIBUS DP .
Appareil DTM
Appareil DTM trouvé (nom de l'appareil tel qu'extrait du DTM).
Seuls les fichiers de description de l'appareil ou les Appareils DTM peuvent être affichés dans la colonne Appareils DTM :
▪
S’ils sont disponibles dans le catalogue de l'appareil pour le code d'identification analysé,
▪
Respectivement, s’ils appartiennent à la sélection effectuée sous Mode de création
▪
et s’ils font partie de la sélection effectuée sous Mode de création > Choisir pour chaque appareil sous DTM à créer.
Pour chaque ID type d'appareil dans la colonne Appareil DTM, est affiché :
▪
aucun appareil,
▪
un seul appareil
▪
ou plusieurs appareils
(dans une liste déroulante).
Cela signifie que dans le catalogue d’appareils de netDevice pour le code d'identification trouvé et le mode de création sélectionné, ces options sont disponibles :
▪
aucun DTM
▪
Un fichier de description d'appareil correspondant à un appareil DTM d'un fabricant
▪
Un ou plusieurs fichiers de description d'appareils correspondants à un appareil DTM d'un fabricant
Qualité
Affichage
des informations associées sur la qualité : [1] DTM trouvé, [3] Générique trouvé
Action
L'action à effectuer avec l'appareil correspondant pendant le processus de création de l'appareil.
▪
Si aucun appareil n'est présent dans le projet en cours, les actions Ajouter/Ignorer apparaîtront.
▪
S'il y a déjà un appareil présent dans le projet en cours, les actions Remplacer/Ignorer apparaîtront.
Avec Ajouter, pendant le processus de création de l'appareil une nouvelle instance est créée pour le DTM sélectionné à l'adresse de l'appareil nouvellement trouvée.
Ignorer ignore le processus de création de l'appareil pour l'adresse de l'appareil correspondant est évité.
Remplacer efface l'instance du DTM actuellement située à cette adresse pendant le processus de création de l'appareil, et la remplace par l'instance du DTM choisi.
Tableau ci-dessous
Le tableau inférieur de la boîte de dialogue Résultat de l’analyse du DTM Maître PROFIBUS DP affiche une comparaison des différences possibles entre les informations de l'appareil :
▪
Le hardware (affiché dans la colonne centrale de 3)
▪
et le DTM (affiché dans la colonne de droite de 3)
La colonne de gauche renferme les informations comparées entre les sources d'information « Hardware » et « DTM ».
Noter ! Si un champ contient le texte « n/a », l'information correspondante n'est pas applicable dans le contexte actuel (bus de terrain).
Mode de création
Sous Mode de création, vous pouvez sélectionner l'une des options suivantes :
▪
Utiliser le DTM générique Hilscher s’il est disponible
▪
Utiliser les DTM des fournisseurs s’ils sont disponibles
▪
Choisir pour chaque appareil
Boîte de dialogue Résultat de l’analyse du DTM Maître PROFIBUS DP > Mode de création
Créer des appareils
À propos de Créer des appareils...
▪
pour chaque Appareil Esclave PROFIBUS DP le DTM sélectionné précédemment est créé.
▪
La configuration de l’Appareil Esclave PROFIBUS DP est téléchargée dans le DTM Esclave PROFIBUS DP créé et ainsi la configuration du module est générée.
En cas de conflit entre un fichier de description d'appareil et un appareil, la boîte de dialogue Télécharger apparaît, et les conflits sont affichés en rouge.
Annuler
Cliquez sur Annuler pour quitter la boîte de dialogue sans créer d’appareil.
Description dans la boîte de dialogue Résultat de l’analyse du DTM Maître PROFIBUS DP
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Créer des appareils

Configuration [image] Analyse du réseau et Scanner réseau et « Télé charger » [image] Créer des appareils
Créer des appareils
➢
Dans la boîte de dialogue Résultat de l’analyse du DTM Maître PROFIBUS DP cliquez sur Créer des appareils.
Ê
Pour chaque Appareil Esclave PROFIBUS DP le DTM sélectionné précédemment est créé.
Ê
La boîte de dialogue Analyse du réseau - Création d’appareils s’ouvre et affiche la barre de progression Création d'un DTM puis Démarrage du téléchargement.... La boîte de dialogue affiche l'état d'avancement du processus de création et de téléchargement de l'appareil.
note | Remarque:
 | Selon le fabricant de l'appareil concerné, une boîte de dialogue légèrement différente de celle-ci peut s’afficher.
nwscanexmp DPM 03
Interrogation concernant la génération de la configuration de module (exemple)
➢
Confirmer la demande si les configurations du module E/S des Appareil Esclave PROFIBUS DP des configurations importées doivent être créées en cliquant sur Oui.
⇨
Pour chaque Appareil Esclave PROFIBUS DP sa configuration est téléchargée via l’Appareil Maître PROFIBUS DP et le DTM Maître PROFIBUS DP sur le DTM Esclave PROFIBUS DP et le succès de la procédure de téléchargement est signalé dans la fenêtre sortie.
nwscanexmp DPM 04
Téléchargement réussi (exemple)
note | Remarque:
 | Si un conflit dans l’identificateur de module se produit lors de la numérisation de la configuration du module, la boîte de dialogue Upload apparaît, où les conflits survenus sont affichés en rouge. Pour plus d'informations sur la résolution des conflits dans un identificateur de modules identifiés, se reporter à la section Correction des conflits dans l'identificateur de module.
Une fois la configuration des modules E/S Appareil Esclave PROFIBUS DP créée, vous pouvez afficher les modules téléchargés en double-cliquant sur le symbole de l’appareil esclave.
nwscanexmp DPM 06
Modules téléchargés (exemple)
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Téléchargement de la configuration

Configuration [image] Analyse du réseau et Scanner réseau et « Télé charger » [image] Téléchargement de la configuration
Téléchargement de la configuration
Consignes de sécurité
Respecter les consignes de sécurité requises pour éviter les blessures corporelles et les dommages matériels. Pour plus de détails, se reporter à la section Messages de sécurité relatifs au téléchargement du firmware ou de la configuration.
Comment procéder
Via la fonction Télécharger du DTM Maître PROFIBUS DP, télécharger les configurations actuelles des Appareil Esclave PROFIBUS DP s sur l'Appareil Maître PROFIBUS DP.
➢
Dans netDevice : effectuer un clic droit sur le symbole de l’appareil du DTM.
➢
Sélectionnez Télécharger dans le menu contextuel.
Ê
La boîte de dialogue netDevice - Télécharger apparaît :
Si vous tentez de télécharger pendant le fonctionnement du bus, la communication entre le maître et les esclaves sera interrompue.
Voulez-vous vraiment télécharger ? »
➢
Cliquez sur Oui.
Ê
La boîte de dialogue netDevice apparaît avec la barre de progression Téléchargement activé, l'appareil effectue l'initialisation......
⇨
La fenêtre netDevice affiche le message (exemple) : Téléchargement réussi sur l’appareil CIFX_RE_DPM[CIFX RE/DPM]<>(# 1).
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Correction des conflits dans l'identificateur de module

Configuration [image] Analyse du réseau et Scanner réseau et « Télé charger » [image] Correction des conflits dans l'identificateur de module
Correction des conflits dans l'identificateur de module
Sous-thèmes
•
Boîte de dialogue Télécharger du DTM esclave
•
Conflits dans l'identificateur de module
•
Correction des conflits dans l'identificateur de module


Boîte de dialogue Télécharger du DTM esclave

Configuration [image] Analyse du réseau et Scanner réseau et « Télé charger » [image] Correction des conflits dans l'identificateur de module [image] Boîte de dialogue Télécharger du DTM esclave
Boîte de dialogue Télécharger du DTM esclave
Le volet Télécharger du DTM Esclave ne s’affiche que si des modules détectés présentent un conflit dans l’identificateur de module, c'est-à-dire si certains modules ont le même identificateur et non un identificateur unique chacun. Ces modules sont ensuite listés en rouge sous Modules configurés.
Analyse du réseau > Créer des appareils > Télécharger
Colonne | Description
Données de configuration | Affiche la configuration du module analysé (séquence de l'identificateur de configuration du module).
Modules disponibles | Affiche tous les modules possibles de l’appareil esclave.
Modules configurés | Dans le cas d'un appareil esclave modulaire, la configuration du module analysé est alors affichée.
Nom du module | Affiche le nom respectif des modules disponibles configurés.
Identificateur de configuration des modules | Affiche tous les identificateurs des modules dans une même ligne. Pour plus d'informations, se reporter au manuel d'utilisation du DTM générique Esclave PROFIBUS DP.
Emplacement | Affiche le numéro séquentiel des modules.
Analyse du réseau > Créer des appareils > Télécharger


Conflits dans l'identificateur de module

Configuration [image] Analyse du réseau et Scanner réseau et « Télé charger » [image] Correction des conflits dans l'identificateur de module [image] Conflits dans l'identificateur de module
Conflits dans l'identificateur de module
Pendant le chargement, les conflits détectés dans l’identificateur de module sont affichés en rouge dans la boîte de dialogue Télécharger. Cela permet à l'utilisateur de clarifier si la configuration du module analysé de l'appareil esclave correspond ou non à la séquence physique réelle du module dans l'appareil esclave. L'utilisateur doit remplacer les modules analysés présentant un conflit en utilisant les boutons Supprimer, Insérer ou Ajouter.


Correction des conflits dans l'identificateur de module

Configuration [image] Analyse du réseau et Scanner réseau et « Télé charger » [image] Correction des conflits dans l'identificateur de module [image] Correction des conflits dans l'identificateur de module
Correction des conflits dans l'identificateur de module
Si la configuration d’un Appareil Esclave PROFIBUS DP est affichée avec conflit, vous devez vérifier et adapter manuellement cette configuration du module analysé.
note | Remarque:
 | La séquence des modules de la liste Modules configurés est importante et doit correspondre à la séquence qui existe dans l’Appareil Esclave PROFIBUS DP . En général, la séquence pour ces modules est la séquence physique actuelle. Cette règle ne s'applique pas à certains Appareil Esclave PROFIBUS DP , et pour lesquels, par exemple, il faut entrer les modules analogiques d'abord et les modules numériques ensuite, indépendamment de leur séquence réelle. Si l’unAppareil Esclave PROFIBUS DP n'a qu'un seul module, ce module est repris automatiquement dans le tableau Modules configurés et ne peut pas être supprimé. Pour plus d'informations sur les modules de l'Appareil Esclave PROFIBUS DP consulter le manuel du fabricant de l'appareil.
1.
Vérifier si la configuration du module d'un Esclave correspond ou non à la séquence physique réelle du module dans l'appareil Esclave.
2.
Remplacer les modules analysés qui ne correspondent pas à la séquence physique des modules à l'aide des boutons Supprimer, Insérer ou Ajouter :
➢
Supprimer ces modules analysés de la liste Modules configurés à l'aide du bouton Supprimer.
➢
Insérer ensuite les modules requis en les extrayant de la liste de sélection Modules disponibles pour les placer dans la liste Modules configurés.
Vous pouvez ajouter ou insérer un ou plusieurs modules dans la liste des Modules configurés.
note | Remarque:
 | Possibilité de sélectionner plusieurs éléments. Pour cela, cliquez dans la liste Modules disponibles sur plusieurs modules tout en maintenant la touche MAJ enfoncée.
▪
Ajouter des modules
➢
Sous Modules disponibles , cliquez sur un ou plusieurs modules puis sur Ajouter.
➢
ou cliquez deux fois sur ces modules.
Ê
Les modules apparaissent au bas de la liste Modules configurés.
▪
Insertion de modules
➢
Sous Modules disponibles, cliquez sur un ou plusieurs modules.
➢
Sous Modules configurés, cliquez sur le module devant lequel les modules supplémentaires doivent être insérés.
➢
Cliquez sur Insérer.
Ê
Les modules apparaissent dans la liste Modules configurés avant le module sélectionné.
➢
Cliquez sur OK pour confirmer votre sélection. Si la sélection ne doit pas être retenue, cliquez sur le bouton Annuler .
➢
Téléchargement sur l'appareil maître


Configuration en mode Run

Configuration [image] Configuration en mode Run
Configuration en mode Run
La méthode Configuration en mode Run permet de modifier la configuration du réseau PROFIBUS en mode OPERATE, sans avoir à réinitialiser les appareils connectés. Cela signifie que le Maître continuera d’échanger des données avec l'Esclave qui n’a pas été modifié. Avec le logiciel de configuration ou votre programme d'application comme hôte, vous pouvez activer les modifications des paramètres de la base de données.
Processus d'activation des modifications
Le processus d'activation des modifications (configuration-mise à jour) comprend l'échange de messages entre l'hôte et le firmware (Maître PROFIBUS DP) sous forme de demandes et de confirmations. SYCON.net en tant que logiciel de configuration avec les composants « Device Type Manager » (DTM), « Online Data Manager » (ODM) ou « pilote ODM » envoie ou reçoit des paquets de données, tandis que l'échange de données E/S n'est possible qu'avec un programme d’application approprié.
Overview Host SYCONnet application program extended
Aperçu du logiciel de configuration et du firmware maître
Sous-thèmes
•
Exigences
•
Comment procéder
•
Activation de « Configuration in Run »
•
Définition du nombre d'octets après l’entrée des données
•
Création de la configuration
•
Modification de la configuration
•
Démarrage du téléchargement
•
Évaluation des données de configuration
•
Activation ou refus des modifications
•
Augmenter le nombre d'octets après la saisie des données
•
Fenêtre de référence rapide « Configuration in Run »
Entrée de glossaire: Paquet de données
Les paquets de données, c'est-à-dire les messages sont des blocs de données autonomes de longueur définie. Les paquets sont utilisés pour communiquer avec le firmware et sont échangés entre l'application (logiciel de configuration) et le firmware de l'appareil.


Exigences

Configuration [image] Configuration en mode Run [image] Exigences
Exigences
Pour une mise à jour réussie de la configuration du réseau PROFIBUS (en mode OPERATE), les conditions et critères suivants sont valables :
▪
Dans le DTM Maître PROFIBUS DP, Autoriser le téléchargement de la configuration lorsque le réseau est en mode « operate » doit être coché.
▪
Le DTM Maître PROFIBUS DP règle l’Offset d’état de l'appareil sur Statique et entre le nombre d'octets à laisser libre entre le dernier octet de données saisies et l'état de l’appareil. De cette manière, il est possible d'enregistrer des données d'entrée supplémentaires provenant d'appareils ou de modules esclaves nouvellement insérés dans le réseau en mode OPERATE (« Configuration in Run » activée) et en mode « Adressage automatique » activé.
▪
L’« Adresse » et le « Débit en bauds » de l'appareil Maître PROFIBUS DP ne peuvent pas être modifiés dans la nouvelle configuration.
▪
La configuration modifiée (nouvelle base de données) ne peut être acceptée que si :
–
les modifications des paramètres de la base de données sont « possibles »,
–
les Paramètres du Maître (Démarrage, Watchdog, Offset d’état, Paramètre du bus) n'ont « pas changé »" et
–
L’État du Maître est « OK » (= 0x000000000000).
▪
Les modifications de configuration ne peuvent être enregistrées dans le répertoire du pilote qu'à l'aide du Pilote cifX.
note | Remarque:
 | Si le Pilote cifX (ODMnetX) est utilisé, un stockage permanent de la base de données de configuration mise à jour ne fonctionnera que sur du matériel flash et UNIQUEMENT si aucune configuration n'est stockée dans le Pilote cifX / Toolkit distant.
Consignes de sécurité
Respecter les consignes de sécurité requises pour éviter les blessures corporelles et les dommages matériels. Pour plus de détails, se reporter à la section Messages de sécurité relatifs au téléchargement du firmware ou de la configuration.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Comment procéder

Configuration [image] Configuration en mode Run [image] Comment procéder
Comment procéder
Sous-thèmes
•
Préparation
•
Modifier la configuration via Configuration in Run


Préparation

Configuration [image] Configuration en mode Run [image] Comment procéder [image] Préparation
Préparation
En préparation d'une mise à jour de la configuration en mode OPERATE du réseau, vous devez exécuter les étapes 1 à 5.
1.
Activer « Configuration in Run ».
2.
Définir le nombre d'octets après l'entrée des données.
3.
Créer la configuration.
4.
Démarrer le téléchargement de la nouvelle configuration.
5.
Activer les modifications.
➢
Pour utiliser « Configuration in Run », vous devez d'abord activer Configuration in Run dans le DTM Maître PROFIBUS DP, définir le nombre d' octets après les dernières données saisies, créer la configuration, télécharger la configuration avec le logiciel de configuration et activer la nouvelle configuration dans le volet Configuration in Run . Pour plus de détails sur chaque étape, voir les sous-sections suivantes.


Modifier la configuration via Configuration in Run

Configuration [image] Configuration en mode Run [image] Comment procéder [image] Modifier la configuration via Configuration in Run
Modifier la configuration via Configuration in Run
Pour effectuer une mise à jour de configuration en mode OPERATE du réseau, vous devez effectuer les étapes 1 à 4.
1.
Développer ou modifier la configuration.
2.
Démarrer le téléchargement de la nouvelle configuration.
3.
Évaluer les données de configuration.
4.
Activer ou refuser les modifications.
➢
Si vous souhaitez modifier la configuration via la « Configuration in Run », rectifier d'abord votre configuration et redémarrer le téléchargement de la configuration.
➢
Vérifier dans le volet Configuration in Run, si l'évaluation des appareils Esclaves et de l'appareil Maître permet d'appliquer la nouvelle configuration (nouvelle base de données) en mode OPERATE du réseau et activer la nouvelle configuration ou la refuser. La nouvelle configuration est alors appliquée à l'appareil Maître ou ignorée. Pour plus de détails sur chaque étape, voir les sous-sections suivantes.
note | Remarque:
 | Si la nouvelle configuration ne peut pas être appliquée, il vous faudra peut-être augmenter le nombre d'octets après la saisie des données.


Activation de « Configuration in Run »

Configuration [image] Configuration en mode Run [image] Activation de « Configuration in Run »
Activation de « Configuration in Run »
➢
Ouvrir la boîte de dialogue de la configuration du DTM Maître (dans le volet netDevice en double-cliquant sur l'icône de l'appareil du Maître).
➢
Sélectionner Configuration > Paramètres du Maître (voir la section Avancé).
➢
Cocher Autoriser le téléchargement de la configuration lorsque le réseau est en mode « operate ».
Autoriser le téléchargement de la configuration lorsque le réseau est en mode « operate » - coché
➢
Cliquez sur Appliquer.
⇨
Le réglage effectué sera sauvegardé. La boîte de dialogue de configuration du DTM se fermera en cliquant sur OK.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Définition du nombre d'octets après l’entrée des données

Configuration [image] Configuration en mode Run [image] Définition du nombre d'octets après l’entrée des données
Définition du nombre d'octets après l’entrée des données
➢
Ouvrir la boîte de dialogue de la configuration du DTM Maître (dans le volet netDevice en double-cliquant sur l'icône de l'appareil du Maître).
➢
Sélectionner Configuration > Paramètres du Maître (voir la section Offset d'état de l'appareil).
➢
Régler l’Offset d’état de l’appareil sur Statique.
Paramètres du Maître > Offset d'état de l'appareil
➢
Entrer dans le champ octets après les dernières données saisies le nombre d'octets à laisser libre entre le dernier octet de données saisies et l'état de l'appareil.
➢
Cliquez sur Appliquer.
⇨
Le réglage effectué sera sauvegardé. La boîte de dialogue de configuration du DTM se fermera en cliquant sur OK.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Création de la configuration

Configuration [image] Configuration en mode Run [image] Création de la configuration
Création de la configuration
Créer la configuration des appareils esclaves (et éventuellement de l'appareil Maître). La configuration comprend la configuration réseau de l'appareil maître et des appareils esclaves ainsi que, pour les appareils esclaves, la configuration des données E/S et des paramétrages à effectuer dans le DTM Esclave PROFIBUS DP.
➢
Créer la configuration réseau de l’appareil esclave (et éventuellement de l’appareil maître).
▪
- Insérer l'appareil maître (y compris le téléchargement du firmware).
▪
Insérer de nouveaux appareils esclaves (y compris les données E/S).
➢
Effectuer le paramétrage de l'esclave dans le DTM Esclave PROFIBUS DP.
➢
Cliquez sur OK.
Ê
Le réglage effectué sera sauvegardé. La boîte de dialogue de configuration du DTM Esclave se fermera.
Si c'est le cas, effectuer le paramétrage de l’appareil maître dans le DTM Maître PROFIBUS DP.
note | Remarque:
 | L’« Adresse » et le « Débit en bauds » de l'appareil Maître PROFIBUS DP ne peuvent pas être modifiés dans la nouvelle configuration (nouvelle base de données).
➢
Cliquez sur OK.
Ê
Le réglage effectué sera sauvegardé. La boîte de dialogue de configuration du DTM Maître se fermera.
Voir les descriptions dans les sections Procédure de « Configuration in Run »or Vue d'ensemble: Configuration des paramètres de l’appareil.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Modification de la configuration

Configuration [image] Configuration en mode Run [image] Modification de la configuration
Modification de la configuration
Modifier la configuration des appareils esclaves (et éventuellement de l'appareil maître).
➢
Modifier la configuration réseau de l’appareil esclave.
▪
Insérer de nouveaux appareils esclaves (y compris les données E/S).
▪
Adapter les appareils esclaves existants (changer).
▪
Supprimer les appareils esclaves (désactiver).
➢
Rectifier le paramétrage de l'appareil esclave dans le DTM Esclave PROFIBUS DP.
➢
Cliquez sur OK.
Ê
Le réglage effectué sera sauvegardé. La boîte de dialogue de configuration du DTM Esclave se ferme.
➢
Si c'est le cas, effectuer le paramétrage de l’appareil maître dans le DTM Maître PROFIBUS DP.
note | Remarque:
 | L’« Adresse » et le « Débit en bauds » de l'appareil Maître PROFIBUS DP ne peuvent pas être modifiés dans la nouvelle configuration (nouvelle base de données).
➢
Cliquez sur OK.
Ê
Le réglage effectué sera sauvegardé. La boîte de dialogue de configuration du DTM Maître se fermera.
Voir les descriptions dans les sections Procédure de « Configuration in Run »or Vue d'ensemble: Configuration des paramètres de l’appareil.


Démarrage du téléchargement

Configuration [image] Configuration en mode Run [image] Démarrage du téléchargement
Démarrage du téléchargement
Consignes de sécurité
Respecter les consignes de sécurité requises pour éviter les blessures corporelles et les dommages matériels. Pour plus de détails, se reporter à la section Messages de sécurité relatifs au téléchargement du firmware ou de la configuration.
WarningPanel Configuration inadaptée du système, fonctionnement défectueux du système ou de l'appareil possible
➢
Pour l'appareil, utiliser uniquement une configuration adaptée au système.
Comment procéder
Démarrer le téléchargement de la configuration dans le logiciel de configuration SYCON.net. Procéder comme suit :
➢
Dans le container FDT netDevice , effectuer un clic droit sur l'icône de l’appareil pour le maître.
➢
Sélectionner Télécharger.
Ê
Le téléchargement s’effectue.
Ê
Le panneau Configuration in Run apparaît et affiche l'évaluation de la configuration par le DTM Maître PROFIBUS DP.
Lors du téléchargement dans le DTM Maître PROFIBUS DP, la valeur interne « pour le téléchargement du fichier devient valide ». Le DTM Maître PROFIBUS DP envoie la requête « Vérifier la base de données » au firmware PROFIBUS DP Maître. Le firmware PROFIBUS DP Maître compare la configuration nouvellement téléchargée (nouvelle base de données) avec la configuration précédemment valide (base de données précédente) et envoie la confirmation (réponse) à « vérifier la base de données » au DTM Maître PROFIBUS DP.
Entrée de glossaire: SYCON.net
logiciel de configuration et de diagnostic multi-protocoles Hilscher (application cadre FDT), qui permet de configurer des appareils de bus de terrain de différents fabricants ayant des capacités de communication dans le cadre d'un même projet
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Entrée de glossaire: FDT
Field Device Tool : FDT spécifie une interface, afin de pouvoir utiliser le DTM (Device Type Manager) dans différentes applications de différents fabricants


Évaluation des données de configuration

Configuration [image] Configuration en mode Run [image] Évaluation des données de configuration
Évaluation des données de configuration
➢
Évaluer les données de configuration affichées dans le volet Configuration in Run. Vérifier si la nouvelle configuration (nouvelle base de données) peut être appliquée ou non.
Volet de dialogue Configuration in Run (exemple)
Dans le volet de dialogue Configuration in Run pour les Appareils et le Maître, vous pouvez voir l'état des modifications de configuration et activer les modifications. Dans le volet de dialogue, vous trouvez :
▪
Dans la liste Appareils, tous les appareils esclaves affectés au statut.
▪
Dans la liste Maître, si l'un des Paramètres du Maître « Démarrage », « Watchdog », « Offset d’état » ou « Paramètre du bus » a été modifié et si l’État du Maître affiche des erreurs.
▪
Les évaluations sont représentées par des couleurs différentes.
Sous-thèmes
•
Liste « Appareils »
•
Liste « Maître »


Liste « Appareils »

Configuration [image] Configuration en mode Run [image] Évaluation des données de configuration [image] Liste « Appareils »
Liste « Appareils »
Volet de dialogue Configuration in Run (exemple) – « Appareils »
Dans la liste Appareils, tous les appareils esclaves contenus dans la base de données de l'appareil maître sont affichés, et pour chaque appareil l'état de la configuration réseau. Chaque appareil est identifié par son Adresse de station. Dans la colonne Appareil, est affiché le nom de l'appareil extrait du fichier de description de l'appareil et dans la colonne Nom, un nom symbolique supplémentaire.
Pour chaque appareil Esclave faisant l’objet d’une entrée dans la table d'états, une évaluation est affichée textuellement et par la couleur. L'évaluation indique l'état de l'appareil Esclave après mise à jour de la configuration ou si sa configuration (configuration réseau ou jeu de paramètres de l'appareil esclave) a changé. Les évaluations suivantes peuvent être affichées :
▪
(rouge) : Les modifications du jeu de paramètres de l’appareil Esclave ne peuvent pas être activées.
▪
(jaune) : Le jeu de paramètres de l'appareil Esclave a changé.
▪
(vert) : Le jeu de paramètres Appareil esclave n'a pas changé.
▪
CiR_New in Configuration (vert) : L'appareil a été nouvellement inséré dans la configuration réseau.
▪
(vert) : L'appareil a été supprimé de la configuration réseau (« n/a » = non disponible).
Signification des couleurs
Dans la liste Appareils, les couleurs ont les significations suivantes :
Volet de dialogue Configuration in Run - signification des couleurs
▪
Pour une entrée d'état de [image] configuration , vous ne pouvez pas activer le jeu de paramètres modifié de l'appareil esclave en mode OPERATE. Il n'est pas possible d'appliquer le jeu de paramètres modifié de l’appareil Esclave en mode OPERATE à l’appareil Esclave concerné.
▪
Pour une [image] entrée de l’état de la configuration, il est difficile de savoir si vous pouvez appliquer le jeu de paramètres modifié de l’appareil Esclave en mode OPERATE à l’appareil Esclave concerné. Si vous activez les modifications, les cas suivants peuvent se produire :
–
Des changements peuvent être appliqués : Le jeu de paramètres de l'appareil Esclave modifié peut être appliqué à l'appareil Esclave concerné en mode OPERATE. L'esclave restera dans l'échange cyclique de données avec le maître.
–
Les modifications ne peuvent PAS être appliquées. Le jeu de paramètres de l'appareil Esclave modifié ne peut pas être appliqué à l'appareil Esclave concerné en mode OPERATE. L'échange cyclique de données entre le Maître et cet appareil Esclave est brièvement interrompu. L'Esclave est reconfiguré, paramétré et remis dans l'échange cyclique de données. Ceci s'applique aux appareils esclaves, dans lesquels une modification de configuration ou des paramètres ne peut être effectuée que si la communication cyclique est interrompue.
▪
Pour les entrées d' [image] état , vous pouvez activer le jeu de paramètres modifié de l'appareil Esclave en mode OPERATE et l’appliquer à l'appareil Esclave concerné. Il est certain que le jeu de paramètres de l'appareil Esclave modifié peut être appliqué à l'appareil Esclave concerné en mode OPERATE.


Liste « Maître »

Configuration [image] Configuration en mode Run [image] Évaluation des données de configuration [image] Liste « Maître »
Liste « Maître »
Volet de dialogue Configuration in Run (exemple) - « Maître »
note | Remarque:
 | Si l'un des Paramètres du Maître « Démarrage », « Watchdog », « Offset d’état » ou « Paramètre du bus » a été modifié, tous les Paramètres du Maître ne peuvent pas être appliqués pour l'actualisation de la configuration.
De plus, l’État du Maître indique si la communication entre le maître et les appareils (esclaves) fonctionnent sans erreur. Ce n'est que dans ce cas que les Paramètres du Maître peuvent être appliqués.
Les données qui apparaissent sous Maître ont les significations suivantes :
▪
Si la ligne Paramètres du Maître OU État du Maître [image] est affichée en [image], les Paramètres du Maître ou les modifications de la configuration du Maître ne peuvent « pas être appliqués » au Maître en mode OPERATE.
–
La ligne Paramètres du Maître [image] et sous Modifié [image] et [image] : Les Paramètres du Maître ont été « modifiés » et ne peuvent « pas être appliqués ».
–
La ligne État du Maître [image] / 0x0000000, sous Modifié [image] : Une erreur s'est produite pendant la communication entre le Maître et l'Esclave. Les paramètres de la base de données modifiés ne peuvent pas être appliqués.
▪
Les Paramètres du Maître ou les modifications de la configuration du Maître peuvent être « appliqués » en mode OPERATE au Maître uniquement si la ligne Paramètres du Maître ET la ligne État du Maître [image] sont affichées en vert.
–
La ligne Paramètres du Maître [image] et sous Modifié [image] : Les Paramètres du Maître n'ont « pas » été « modifiés » et peuvent « être appliqués » si l’État du Maître est également exempt d'erreurs.
–
La ligne État du Maître [image] / 0x0000000, sous Modifié [image] : La communication entre l’appareil Maître et Esclave est « sans erreur ». Les Paramètres du Maître peuvent « être appliqués » si aucun des Paramètres du Maître « Démarrage », « Watchdog », « Offset d’état » ou « Paramètre du bus » n'a été modifié.


Activation ou refus des modifications

Configuration [image] Configuration en mode Run [image] Activation ou refus des modifications
Activation ou refus des modifications
note | Remarque:
 | La configuration modifiée (nouvelle base de données) ne peut être acceptée que si : - les modifications aux paramètres de la base de données sont possibles, - les Paramètres du Maître (« Démarrage », « Watchdog », « Offset d’état », « Paramètre du bus ») n’ont pas été modifiés et - l’État du Maître est « OK » (= 0x00000000).
Activer les modifications
Si la configuration affichée dans le volet de dialogue Configuration in Run donne pour résultat que la configuration mise à jour (nouvelle base de données) peut être appliquée, vous pouvez activer les paramètres de la base de données modifiés (mise à jour de configuration) :
➢
Pour cela, sélectionner dans le volet de dialogue Configuration in Run > Activer les modifications.
Volet de dialogue Configuration in Run - Activer les modifications, Annuler, Aide
Ê
La boîte de dialogue Configuration in Run se ferme. Le volet Informations avec le texte Les modifications apportées à la base de données ont été activées avec succès. s'affiche. La boîte de dialogue Configuration in Run se ferme.
En interne, le firmware PROFIBUS DP Maître active la nouvelle configuration (nouvelle base de données) et renvoie la confirmation (réponse) pour activer la base de données au DTM Maître PROFIBUS DP. Le DTM enregistre la nouvelle configuration. Les paramètres de la base de données modifiés (nouvelle base de données) sont téléchargés sur l'appareil, appliqués et utilisés comme nouvelle configuration pendant que le réseau est en mode OPERATE.
note | Remarque:
 | Si vous activez les changements alors que la configuration ne peut pas être appliquée, une erreur est détectée lors de la vérification de la base de données. La fenêtre Erreur s'affiche, par exemple avec le texte Erreur par activation de la base de données ! Un index de paquet n'avait pas le numéro de séquence prévu. .
OU Annuler - Refus des modifications
Refuser les paramètres de la base de données modifiés si la configuration affichée dans le volet de dialogue Configuration in Run donne pour résultat que la configuration mise à jour (nouvelle base de données) ne peut pas être appliquée :
➢
Pour cela, sélectionner dans le volet Configuration in Run > Annuler.
⇨
Les paramètres de la base de données modifiés sont supprimés. La boîte de dialogue Configuration in Run se ferme.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Augmenter le nombre d'octets après la saisie des données

Configuration [image] Configuration en mode Run [image] Augmenter le nombre d'octets après la saisie des données
Augmenter le nombre d'octets après la saisie des données
Si la nouvelle configuration ne peut pas être appliquée, il vous faudra peut-être augmenter le nombre d'octets après la saisie des données. Procéder comme décrit ci-dessous.
1.
Déconnexion de l’appareil
➢
Pour netDevice : Effectuer un clic droit sur l'icône de l'appareil Maître PROFIBUS DP.
➢
Sélectionner la commande Déconnecter dans le menu contextuel.
Ê
L'appareil Maître PROFIBUS DP est déconnecté du DTM Maître PROFIBUS DP.
2.
Désactiver « Configuration in Run ».
➢
Ouvrir la boîte de dialogue de configuration du DTM Maître (dans le volet netDevice en double-cliquant sur l'icône de l'appareil du Maître).
➢
Sélectionner Paramètres > Paramètres du Maître.
➢
Décocher Activer le téléchargement de la configuration en mode lorsque le réseau est en mode « operate ».
➢
Cliquez sur OK.
Ê
Le réglage effectué sera sauvegardé. La boîte de dialogue de configuration du DTM se fermera.
importantNote | Important:
 | Dans ce cas, l'option « Configuration in Run » n'est plus utilisable.
3.
Lancer le téléchargement de la configuration.
➢
Pour netDevice, effectuez un clic droit sur l'icône de l’appareil pour le Maître.
➢
Sélectionnez Télécharger.
Ê
Le téléchargement s’effectue.
4.
Augmentez le nombre d'octets après les dernières données saisies.
➢
Ouvrez la boîte de dialogue de configuration du DTM Maître (dans le volet netDevice en double-cliquant sur l'icône de l'appareil du Maître).
➢
Ouvrez Paramètres > Paramètres du Maître.
➢
Entrez dans le champ octets après les dernières données saisies le nombre d'octets à laisser libre entre le dernier octet de données saisies et l'état de l'appareil.
5.
Activez « Configuration in Run ».
➢
Cochez « Autoriser le téléchargement de la configuration » lorsque le réseau est en mode « operate » pour activer cette option.
➢
Cliquez sur OK.
Ê
Le réglage effectué sera sauvegardé. La boîte de dialogue de configuration du DTM Maître se fermera.
6.
Lancez le téléchargement de la configuration.
➢
Pour netDevice, effectuez un clic droit sur l'icône de l’appareil pour le Maître.
➢
Sélectionnez Télécharger.
Ê
Le téléchargement s’effectue.
⇨
La Configuration in Run peut maintenant être utilisée à nouveau. Le DTM Maître affiche l'évaluation de la configuration dans le volet de dialogue Configuration in Run.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Fenêtre de référence rapide « Configuration in Run »

Configuration [image] Configuration en mode Run [image] Fenêtre de référence rapide « Configuration in Run »
Fenêtre de référence rapide « Configuration in Run »
Appareil
▪
Adresse de station : Adresse de station de l’appareil Esclave affecté : L'adresse de la station PROFIBUS DP affiche les adresses des appareils (maître et esclave) dans un réseau PROFIBUS.
Plage d’adresse de station valide : 0 - 125
▪
Appareil : Nom réel de l'appareil esclave affecté extrait du fichier de description de l'appareil.
▪
Nom : Nom symbolique librement définissable de l’appareil esclave affecté.
Pour chaque appareil esclave, une évaluation est affichée et indique si les modifications de la configuration peuvent être appliquées. Les évaluations suivantes peuvent être affichées :
▪
(rouge) : Les modifications du jeu de paramètres de l’appareil esclave ne peuvent pas être activées.
▪
(jaune) : Le jeu de paramètres de l’appareil esclave a été modifié.
▪
(vert) : Le jeu de paramètres de l’appareil esclave n'a pas été modifié.
▪
CiR_New in Configuration (vert) : L'appareil a été nouvellement inséré dans la configuration réseau.
▪
(vert) : L'appareil a été supprimé de la configuration réseau (« n/a » = non disponible).
Dans la liste Appareils, les couleurs ont les significations suivantes :
▪
: En mode OPERATE, il est impossible d’activer le jeu de paramètres modifié de l'appareil esclave et de l’appliquer à l'appareil concerné.
▪
: En mode OPERATE, il est difficile de savoir si vous pouvez ou pas appliquer le jeu de paramètres modifié de l’appareil esclave à l’appareil concerné. Pour certains appareils esclaves, la configuration ne peut être modifiée que si la communication cyclique avec cet appareil esclave est déconnectée.
▪
: En mode OPERATE, le jeu de paramètres modifié de l'appareil esclave peut être activé et appliqué à l'appareil concerné.
Maître
Paramètres de la base de données
Modifié
Paramètres du maître
▪
Démarrage,
▪
Watchdog,
▪
Offset d’état,
▪
Paramètre du bus
▪
Les Paramètres du Maître ont été « modifiés » et ne peuvent « pas être appliqués ».
▪
La ligne Paramètres du Maître et sous Modifié : Les Paramètres du Maître n'ont « pas » été « modifiés » et peuvent « être appliqués » si l’État du Maître est également exempt d'erreurs.
Si l'un des Paramètres du Maître « Démarrage », « Watchdog », « Offset d’état » ou « Paramètre du bus » a été modifié, tous les Paramètres du Maître ne peuvent pas être appliqués pour l'actualisation de la configuration.
État du maître
= 0x0000000
・ 0x0000000
▪
La communication entre l’appareil maître et esclave est « sans erreur ».
Les Paramètres du Maître peuvent « être appliqués » si aucun des Paramètres du Maître « Démarrage », « Watchdog », « Offset d’état » ou « Paramètre du bus » n'a été modifié.
▪
Pendant la communication entre le maître et l'esclave, une « erreur » s'est produite. Les paramètres de la base de données modifiés ne peuvent pas être appliqués. Dans ce cas, refuser les modifications en cliquant sur Annuler.
Paramètres de la base de données « Paramètres du Maître » et « État du Maître »
Sous Maître, les couleurs ont les significations suivantes :
▪
En mode OPERATE, si la ligne Paramètres du Maître OU État du Maître [image] est affichée en rouge, vous ne pouvez ni activer les Paramètres du Maître ou les modifications de la configuration du Maître ni télécharger la configuration sur le Maître.
▪
En mode OPERATE, si la ligne Paramètres du Maître OU État du Maître [image] est affichée en vert, vous pouvez activer les Paramètres du Maître ou les modifications de la configuration du Maître et télécharger la configuration du maître.
Activer les modifications, Annuler, Aide
▪
En mode OPERATE, via Activer les modifications vous pouvez télécharger et appliquer les modifications éventuelles à la configuration des appareils et du maître (mise à jour de la configuration). Un message s'affiche, indiquant que la base de données a été activée avec succès ou respectivement, un message d'erreur.
▪
Annuler permet d'annuler les modifications de configuration. La boîte de dialogue Configuration in Run se ferme.
▪
En cliquant sur Aide, vous ouvrez la rubrique d’aide en ligne où vous trouverez les informations que vous recherchez.


Diagnostic

Diagnostic
Diagnostic
Sous-thèmes
•
Vue d’ensemble du diagnostic
•
Diagnostic général
•
Diagnostic du maître
•
Diagnostic du bus
•
Diagnostic des stations
•
Diagnostic du firmware
•
Live List
•
Mode débogage


Vue d’ensemble du diagnostic

Diagnostic [image] Vue d’ensemble du diagnostic
Vue d’ensemble du diagnostic
Le volet Diagnostic permet de diagnostiquer le comportement et les erreurs de communication de l’appareil. L’appareil doit être en ligne.
Zone de navigation - Diagnostic du DTM Maître PROFIBUS DP
Connexion en ligne à l’appareil
note | Remarque:
 | L’accès aux volets Diagnostic du DTM Maître PROFIBUS DP requiert une connexion en ligne entre le DTM Maître PROFIBUS DP et l'Appareil Maître PROFIBUS DP. Pour plus de détails, consultez la section Connexion/déconnexion de l’appareil.
Comment procéder
➢
Dans la boîte de dialogue de diagnostic du DTM maître, vérifiez si la communication est OK : Diagnostic > Diagnostic général > L’icône « Communication » de l’appareil doit être verte !
➢
L’icône « Communication » est verte : ouvrez le Moniteur d’IO et testez les données d’entrée ou de sortie.
➢
L’icône « Communication » n’est pas verte : utilisez les fonctions de diagnostic et de diagnostic étendu pour le dépannage.
Diagnostic étendu
Le Diagnostic étendu permet de détecter les erreurs de communication et de configuration lorsque le diagnostic par défaut échoue. Pour plus de détails, consultez la section Vue d’ensemble du diagnostic étendu.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Diagnostic général

Diagnostic [image] Diagnostic général
Diagnostic général
Les informations relatives à l’état de l’appareil et à d’autres paramètres de diagnostic général s’affichent dans la boîte de dialogue Diagnostic général.
Diagnostic général
LED | Définition | Couleur | État
 | État de l’appareil
Communication | Indique si l'appareil PROFIBUS DP exécute la communication réseau. | (vert) | En état COMMUNICATION
 |  | (gris) | Pas en état COMMUNICATION
Configuré | Indique si l'appareil PROFIBUS DP a été configuré correctement. | (vert) | Configuration OK
 |  | (gris) | Configuration pas OK
Prêt | Indique si l'appareil PROFIBUS DP a été démarré correctement. L'appareil PROFIBUS DP est en attente de configuration. | jaune | Appareil PRÊT
 |  | (gris) | Appareil pas PRÊT
Erreur | Indique si l'appareil PROFIBUS DP enregistre un état d’erreur. Pour plus d'informations au sujet des caractéristiques de l’erreur et du nombre d’erreurs comptées, reportez-vous au diagnostic étendu. | (rouge) | ERREUR
 |  | (gris) | Pas d’ERREUR
 | État du réseau
En cours d’exécution | Indique si l'appareil PROFIBUS DP est en cours d’échange de données. En cas d’échange de données cyclique, les données d’entrée ou de sortie du Maître PROFIBUS DP sont transmises à l'Esclave PROFIBUS DP. | (vert) | En état EXÉCUTION
 |  | (gris) | Pas en état EXÉCUTION
Inactif | Indique si l'appareil PROFIBUS DP est en cours d’échange de données. | (jaune) | En état INACTIF
 |  | (gris) | Pas en état INACTIF
Arrêt | Indique si l'appareil PROFIBUS DP est en état Arrêt : absence d’échange cyclique de données au niveau du Réseau PROFIBUS. L'appareil PROFIBUS DP a été arrêté par le programme d’application ou est passé en état Arrêt en raison d’une erreur de bus. | (rouge) | En état ARRÊT
 |  | (gris) | Pas en état ARRÊT
Hors ligne | Le Maître PROFIBUS DP reste hors ligne tant qu’il ne dispose pas d’une configuration valide. | (jaune) | En état HORS LIGNE
 |  | (gris) | Pas en état HORS LIGNE
 | État de la configuration
Configuration verrouillée | Indique si l’appareil PROFIBUS DP est verrouillé afin d’éviter l’écrasement des données de configuration. | (jaune) | Configuration VERROUILLÉE
 |  | (gris) | Configuration VERROUILLÉE
Nouvelle configuration en attente | Indique si une nouvelle configuration de l’appareil PROFIBUS DP est disponible. | jaune | Nouvelle configuration en attente
 |  | (gris) | Pas de nouvelle configuration en attente
Réinitialisation requise | Indique si une réinitialisation du firmware est nécessaire car une nouvelle configuration d'PROFIBUS DP a été chargée dans l’appareil. | jaune | RÉINITIALISATION requise
 |  | (gris) | Pas de RÉINITIALISATION requise
Bus ACTIVÉ | Indique si la communication du bus a été démarrée ou arrêtée, c’est-à-dire si l’appareil est actif sur le bus ou si aucune communication du bus avec l’appareil n’est possible et si aucun télégramme de réponse n’est envoyé. | (vert) | Bus ACTIVÉ
 |  | (gris) | Bus DÉSACTIVÉ
Indications de diagnostic général
Paramètre | Définition
Erreur de communication | Indique le nom de l’erreur de communication. Si la cause de l’erreur est résolue, la valeur sera remise à zéro.
Chien de garde | Indique le chien de garde en ms.
Nombre d’erreurs | Ce champ indique le nombre total d’erreurs détectées depuis la mise sous tension ou après la réinitialisation. La pile de protocoles inclut dans ce champ toutes les sortes d’erreurs, qu’elles soient liées au réseau ou causées en interne.
Indications de diagnostic général


Diagnostic du maître

Diagnostic [image] Diagnostic du maître
Diagnostic du maître
Les informations concernant l’état de l’esclave, les erreurs de l’esclave et les esclaves configurés, actifs ou en cours de diagnostic sont affichées dans la boîte de dialogue Diagnostic du maître.
Diagnostic du maître
Paramètre | Définition | Plage de valeurs / Valeur
État de l’esclave | Indique si l’état de l’esclave est OK ou pas. Le champ État de l’esclave indique si le maître est en cours d’échange cyclique de données avec tous les esclaves configurés. Si au moins un esclave est manquant ou si un esclave a une demande de diagnostic en cours, l’état passe sur ÉCHEC. Pour les protocoles supportant uniquement la communication non cyclique, l’état de l’esclave est réglé sur OK dès qu’une configuration valide est détectée. | INDÉFINI, OK, ÉCHEC
Indicateur du journal d’erreurs de l’esclave | Indique si l'indicateur du journal d’erreurs de l’esclave est disponible. Le champ Indicateur du journal d'erreurs contient le nombre d’entrées dans le journal d’erreurs interne. Il est remis à zéro lorsque toutes les entrées ont été lues dans le journal. | VIDE, DISPONIBLE
Esclaves configurés | Indique le nombre d’esclaves configurés. Le nombre d’esclaves configurés sur le réseau est extrait de la liste des esclaves dérivée de la base de données de configuration créée par le logiciel de configuration. La liste inclut les esclaves pour lesquels le maître doit ouvrir une connexion. |
Esclaves actifs | Indique le nombre d’esclaves actifs. Nombre d’esclaves en mode échange de données. La liste inclut les esclaves pour lesquels le maître a réussi à ouvrir une connexion. |
Esclaves avec diagnostic | Indique le nombre d’esclaves avec diagnostic. Nombre d’esclaves avec diagnostic ou d’esclaves en erreur. |
Paramètres de diagnostic du maître


Diagnostic du bus

Diagnostic [image] Diagnostic du bus
Diagnostic du bus
Diagnostic du bus - Surveillance du bus
Paramètre | Définition
Nombre de courts-circuits | Le Nombre de courts-circuits indique combien de courts-circuits ont été détectés par le maître sur le PROFIBUS. Plage de valeurs : 0 .. 65 535 (dépassement possible)
Nombre de transmissions rejetées | Le Nombre de transmissions rejetées indique combien de télégrammes ont été rejetés, par exemple parce que le maître ne peut plus recevoir le jeton lui-même. Plage de valeurs : 0 .. 65 535 (dépassement possible)
Paramètres de diagnostic du bus - Surveillance du bus


Diagnostic des stations

Diagnostic [image] Diagnostic des stations
Diagnostic des stations
État des stations
Diagnostic des stations - État des stations
État des stations affiche toutes les adresses de station disponibles (0-125) et leur état indiqué par des LED. Si l’appareil est connecté, le DTM met à jour cet affichage de manière cyclique.
Le tableau ci-dessous décrit les valeurs d'état possibles pour un appareil affecté à une adresse de station.
Couleur | Nom | Définition
(gris) | Non configurée | Cette adresse de station n’a pas été configurée avec un appareil.
vert | En marche | L’appareil associé à cette adresse de station est en cours d’exécution.
jaune | Diagnostic | Un diagnostic est disponible pour l’appareil associé à cette adresse de station.
bleu | Non trouvée | L’appareil associé à cette adresse de station a été paramétré, mais n’a pas été trouvé.
rouge | Erreur | Un message d’erreur est disponible pour l’appareil associé à cette adresse de station.
Valeurs d’état possibles
Réinitialiser l’état de la station dans un but de diagnostic (jaune) :
Pour vérifier si le diagnostic d'état de la station (jaune) persiste, l’État des stations peut être réinitialisé séparément pour chaque appareil, comme suit :
➢
Sélectionnez dans la liste État station l’adresse de station de l’appareil.
➢
Cliquez sur Réinitialiser.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Diagnostic du firmware

Diagnostic [image] Diagnostic du firmware
Diagnostic du firmware
La boîte de dialogue Diagnostic du firmware affiche les informations relatives aux tâches en cours du firmware.
Le nom et la version (date incluse) du firmware sont indiqués sous Firmware et Version.
Diagnostic du firmware
Informations sur la tâche :
Le tableau Informations sur la tâche contient les informations relatives aux tâches de chaque firmware.
Tâche | Définition
Tâche | Numéro de la tâche
Nom de la tâche | Nom de la tâche
Version | Numéro de version de la tâche
Priorité | Priorité de la tâche
Description | Description de la tâche
État | État actuel de la tâche
Description du tableau Informations sur la tâche


Live List

Diagnostic [image] Live List
Live List
La Live List offre une vue d’ensemble des appareils physiquement présents sur le réseau Réseau PROFIBUS réel. La Live List fonctionne en ligne.
Comment procéder
Pour travailler avec la Live List, procédez comme suit :
➢
Connectez l’appareil
note | Remarque:
 | L’accès à l’affichage de la Live List nécessite une connexion en ligne entre le DTM Maître PROFIBUS DP et l’Appareil Maître PROFIBUS DP. Pour plus de détails, consultez la section Connexion/déconnexion de l’appareil.
➢
Sélectionnez Fonctions supplémentaires > Live List dans le menu contextuel (clic droit de la souris).
Pour plus d'informations, rendez-vous en page suivante.
Live List
▪
Les appareils maîtres présents sont représentés en vert [image],
▪
les appareil esclaves présents en bleu [image],
▪
tous les autres appareils non présents sont en gris [image]. Le nombre indique l’adresse de station PROFIBUS de l’appareil. La signification des autres couleurs est indiquée sous la Live List.
L’affichage n’est pas actualisé automatiquement car cette fonction charge le Réseau PROFIBUS. Toutefois, la Live List peut être actualisée avec le bouton Actualiser.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Mode débogage

Diagnostic [image] Mode débogage
Mode débogage
note | Remarque:
 | La disponibilité du mode débogage dépend de la version logicielle de l’application.
Le mode débogage permet d'identifier l’état de la communication cyclique entre un appareil maître et ses esclaves sur un réseau en fonction de la couleur des lignes de bus et des icônes de débogage.
Les informations suivantes sont valides pour l’appareil maître ou la ligne de bus maître :
▪
Appareil maître en service, communication cyclique exécutée.
(ligne de bus « vert clair » [image] / icône de débogage « EN COURS » [image] à côté de l’icône de l’appareil maître)
▪
Appareil maître pas prêt au service.
(ligne de bus « bleue » [image] / icône de débogage « ATTENTION » [image] à côté de l’icône de l’appareil maître)
▪
Appareil maître en état ARRÊT.
(ligne de bus « rouge » [image] / icône de débogage « ARRÊT » [image] à côté de l’icône de l’appareil maître)
Les informations suivantes s’appliquent à l’appareil esclave ou à la ligne de bus entre l’appareil maître et l’appareil esclave :
▪
Appareil esclave en service, communication cyclique vers l’appareil maître en cours.
(ligne de bus « vert clair » [image] / icône de débogage « EN COURS » [image] à côté de l’icône de l’appareil esclave)
▪
Message de diagnostic disponible sur l’appareil maître.
(ligne de bus « jaune » [image] / icône de débogage « EN COURS » [image] à côté de l’icône de l’appareil esclave)
▪
Appareil esclave non détecté au démarrage de la communication cyclique.
(ligne de bus « bleue » [image] / icône de débogage « ATTENTION » [image] à côté de l’icône de l’appareil esclave)
▪
Erreur dans la communication esclave vers maître.
(ligne de bus « rouge » [image] / icône de débogage « ARRÊT » [image] à côté de l’icône de l’appareil esclave)
▪
Appareil esclave non configuré.
(ligne de bus « grise » [image])
Sous-thèmes
•
Exigences
•
Démarrer le mode débogage
•
Couleurs des lignes de bus et icônes en mode débogage
•
Réinitialisation des informations de diagnostic et de l’état des stations
•
Arrêter le mode débogage


Exigences

Diagnostic [image] Mode débogage [image] Exigences
Exigences
note | Remarque:
 | Vous devez : - affecter l’appareil maître au DTM maître, - configurer les paramètres de l’appareil maître ou esclave, - télécharger la configuration sur le maître, avant de pouvoir utiliser correctement le mode débogage.
Pour plus de détails sur l’affectation des appareils, consultez la section Vue d’ensemble des paramètres d’affectation des pilotes et des appareils.
readsymbol
 | Pour plus d'informations sur la manière de configurer l’appareil maître ou de télécharger la configuration, consultez ce manuel d’instructions d’utilisation et le manuel de netDevice. Pour plus d’informations sur la configuration de l’appareil esclave, consultez le manuel d’instructions d'utilisation du DTM esclave.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Démarrer le mode débogage

Diagnostic [image] Mode débogage [image] Démarrer le mode débogage
Démarrer le mode débogage
note | Remarque:
 | Les entrées de menu du mode débogage seront disponibles uniquement si le mode débogage est pris en charge par l’application cadre et le DTM maître.
Pour un seul réseau :
➢
Ouvrez le menu contextuel du maître en faisant un clic droit sur l’icône de l’appareil.
➢
Sélectionnez la commande Démarrer le mode débogage dans le menu contextuel.
Pour l’intégralité du projet :
➢
Cliquez sur Réseau > Démarrer le mode débogage de projet ou, dans la barre d’outils Débogage de netDevice, sur l’icône [image].
Ê
En mode débogage, les lignes de bus s’affichent dans différentes couleurs en vue réseau, en fonction de l’état de la communication cyclique. Plusieurs icônes peuvent aussi s’afficher à côté de l’icône de l’appareil.
Exemple : mode débogage avec diagnostic en cours, vue réseau d'un projet avec un seul réseau (maître et esclave)
Couleurs des lignes : ligne de bus racine : grise [image],
ligne de bus maître : vert clair [image], ligne de bus vers l’esclave : jaune
▪
Ligne de bus racine : cette ligne de bus est toujours affichée en gris [image].
▪
Ligne secondaire de l’appareil maître (ligne de bus allant de la racine à la ligne de bus maître) : Pendant le mode débogage, cette ligne de bus peut être vert clair [image], bleue [image] ou rouge [image]. Si le mode débogage n’est pas utilisé, elle est grise [image].
▪
Ligne de bus maître ou ligne secondaire de l’appareil esclave : Pendant le mode débogage, cette ligne de bus peut être vert clair [image], jaune [image], bleue [image] ou rouge [image]. Si le mode débogage n’est pas utilisé, cette ligne de bus s’affiche dans la couleur correspondant au bus de terrain ou au protocole (PROFIBUS : violet [image]).
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Couleurs des lignes de bus et icônes en mode débogage

Diagnostic [image] Mode débogage [image] Couleurs des lignes de bus et icônes en mode débogage
Couleurs des lignes de bus et icônes en mode débogage
Le tableau suivant présente les couleurs des lignes de bus et les icônes du mode débogage.
Couleurs de la ligne de bus maître | Icône (à côté de l’icône de l’appareil maître) | Définition
vert clair |  | L’appareil maître est en communication cyclique
bleue |  | L’appareil maître n’est pas utilisable. Les causes peuvent être diverses. Par exemple : - Pas de licence valide dans l’appareil maître. - Pas de firmware valide dans l’appareil maître.
rouge |  | L’appareil maître est en état ARRÊT. La communication cyclique a été arrêtée.
Couleurs des lignes de bus et icônes en mode débogage
Couleur de la ligne secondaire de l’appareil esclave | Icône (à côté de l’icône de l’appareil esclave) | Définition
vert clair |  | L’appareil maître est en communication cyclique avec cet appareil esclave.
jaune |  | L’appareil maître est en communication cyclique avec cet appareil esclave, mais la mémoire tampon de diagnostic de l’appareil maître contient une information de diagnostic non résolue à propos de cet appareil esclave.
bleue |  | L’appareil n’a pas été détecté. Les causes peuvent être diverses. Par exemple : - La configuration n’a toujours pas été téléchargée sur l’appareil maître. - L’appareil esclave n’est pas disponible sur le réseau. - Pas de firmware valide dans l’appareil maître. - Erreur de paramètre ou de configuration au niveau de l’appareil maître. - La communication cyclique vers cet appareil esclave a été interrompue (sans information de diagnostic au niveau du maître).
rouge |  | En raison d'une erreur de communication, la communication cyclique entre l’appareil maître et cet appareil esclave n’est pas possible. Les causes peuvent être diverses. Par exemple : - La communication cyclique vers cet appareil esclave a été interrompue. - Erreur de paramètre ou de configuration au niveau de l’appareil esclave. - Le processus de validation de l’identifiant fabricant ou de l’identifiant de l’appareil montre des valeurs différentes. - La mémoire tampon de diagnostic de l’appareil maître contient toujours une information de diagnostic non résolue et la communication cyclique vers cet appareil esclave a été interrompue.
gris | - | L’appareil esclave n’est pas configuré : aucun paramètre de configuration de cet esclave n’est disponible dans la configuration de l’appareil maître.
Couleurs de la ligne secondaire de l’appareil esclave et icônes de débogage


Réinitialisation des informations de diagnostic et de l’état des stations

Diagnostic [image] Mode débogage [image] Réinitialisation des informations de diagnostic et de l’état des stations
Réinitialisation des informations de diagnostic et de l’état des stations
Pour analyser les informations de diagnostic :
➢
Sélectionnez la fenêtre de diagnostic dans la boîte de dialogue du DTM Maître PROFIBUS DP.
➢
Sélectionnez Diagnostic > [fenêtre de diagnostic] dans la zone de navigation.
Pour lire la mémoire tampon de diagnostic de l’appareil maître et réinitialiser l’appareil :
➢
Sélectionnez Diagnostic > Diagnostic des stations dans la zone de navigation.
➢
Dans la fenêtre Diagnostic des stations, faites un clic droit sur la LED d’état de la station de l’appareil (jaune).
➢
Dans le menu contextuel, sélectionnez Réinitialiser ou Réinitialiser tout.
⇨
Dans la fenêtre Diagnostic des stations, la LED d’état de station correspondant à l’appareil s’affiche en vert et, en vue réseau, la ligne de bus entre l’icône de l’appareil Maître PROFIBUS DP et l'icône de l'appareil Esclave PROFIBUS DP est vert clair.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Arrêter le mode débogage

Diagnostic [image] Mode débogage [image] Arrêter le mode débogage
Arrêter le mode débogage
Pour un seul réseau :
➢
Ouvrez le menu contextuel du maître en faisant un clic droit sur l’icône de l’appareil.
➢
Sélectionnez la commande Arrêter le mode débogage dans le menu contextuel.
Pour l’intégralité du projet :
➢
Cliquez sur Réseau > Arrêter le mode débogage de projet ou, dans la barre d’outils Débogage de netDevice, sur l’icône [image].


Diagnostic étendu

Diagnostic étendu
Diagnostic étendu
Sous-thèmes
•
Vue d’ensemble du diagnostic étendu
•
Informations sur la tâche :
•
État IniBatch
•
PROFIBUS_DL
•
PROFIBUS_FSPMM
•
PROFIBUS_FSPMM2
•
PROFIBUS_APM


Vue d’ensemble du diagnostic étendu

Diagnostic étendu [image] Vue d’ensemble du diagnostic étendu
Vue d’ensemble du diagnostic étendu
Le Diagnostic étendu du DTM Maître PROFIBUS DP permet de détecter les erreurs de communication et de configuration lorsque le diagnostic par défaut échoue. Il propose divers mécanismes (compteurs en ligne...), états et paramètres de diagnostic.
Le tableau ci-dessous présente brièvement les volets de dialogue Diagnostic étendu du DTM Maître PROFIBUS DP :
Nom du dossier/section | Sous-section
Différents dossiers | Informations sur la tâche :
RX-SYSTEM | État IniBatch
PROFIBUS_DL | Paramètres du bus
 | Compteur
PROFIBUS_FSPMM | Commandes d’application
 | Commandes DataLink
 | Compteur DMPMM
 | Compteur MMAC1
 | Minuteur
PROFIBUS_FSPMM2 | Ressources de la tâche
 | Commandes d’application
PROFIBUS_APM | État commun
 | État global
 | Commandes d’application
 | Compteur d’échange IO
 | Routeur de paquets
Description des volets de dialogue Diagnostic étendu
note | Remarque:
 | L’accès aux volets Diagnostic étendu du DTM Maître PROFIBUS DP requiert une connexion en ligne entre le DTM Maître PROFIBUS DP et l'Appareil Maître PROFIBUS DP. Pour plus de détails, consultez la section Connexion/déconnexion de l’appareil.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Informations sur la tâche :

Diagnostic étendu [image] Informations sur la tâche :
Informations sur la tâche :
Exemple de page Diagnostic étendu > [nom du dossier] > Informations sur la tâche
Nom | Description
Identifiant | Numéro d’identification de la tâche
Version majeure | Version de la tâche, contient des modifications incompatibles
Version mineure | Version de la tâche, contient des modifications compatibles
Taille maximale du paquet | Taille maximale du paquet envoyé par la tâche
File d’attente par défaut | Identification de file d’attente accessible via DPM par boîte aux lettres électronique.
UUID | Identifiant utilisateur unique, indicateur 16 octets utilisé pour l’identification de la tâche et son affiliation, par exemple à une pile (différentes données d’identification sont codées).
Résultat Init | Code d’erreur, 0= pas d’erreur La description des codes d’erreur est disponible dans ce manuel ou dans les manuels de référence du logiciel correspondant.
Diagnostic étendu > [nom du dossier] > Informations sur la tâche


État IniBatch

Diagnostic étendu [image] État IniBatch
État IniBatch
Exemple de page Diagnostic étendu > [nom du dossier] > État IniBatch
Nom
Description
Canal de communication
Numéro du canal de communication utilisé par l’appareil.
État actuel
En veille ;
Paquets IniBatch en cours ;
Nouvelle tentative d’envoi du dernier paquet ;
Erreur
Résultat IniBatch
Ok ;
Pas de fichier DBM ;
Pas de table de paquets ;
Pas d’ensemble de données disponible ;
L’ensemble de données est plus court que la longueur du paquet ;
La mémoire tampon du paquet est plus courte que la longueur du paquet ;
Destination du paquet invalide ;
File d’attente logique non définie, échec d’envoi du paquet ;
Trop de nouvelles tentatives ;
Erreur de confirmation de l’état du paquet
Résultat OpenDbm
Erreur d’ouverture de la base de données IniBatch
Un code d’erreur s’affiche si « Résultat IniBatch » = « Pas de fichier DBM » (1).
Résultat d’envoi du paquet
Erreur d’envoi d'un paquet
Un code d’erreur s’affiche si « Résultat IniBatch » = « Échec d’envoi du paquet » (8).
Résultat de confirmation
Erreur de confirmation lors de l’envoi de paquets
Le code d’erreur propre au paquet renvoyé par la variable ulSta s’affiche si « Résultat IniBatch » = « Erreur de confirmation de l'état du paquet » (10).
Numéro du dernier paquet
La valeur dépend du système de communication.
Commande du dernier paquet
La valeur dépend du système de communication.
Longueur du dernier paquet
La valeur dépend du système de communication.
Destination du dernier paquet
La valeur dépend du système de communication.
Diagnostic étendu > [nom du dossier] > État IniBatch
L’état de la tâche « Résultat de confirmation » dépend du bus. L’état des autres tâches correspond à des codes d’erreur liés au rcx.


PROFIBUS_DL

Diagnostic étendu [image] PROFIBUS_DL
PROFIBUS_DL
Sous-thèmes
•
Paramètres du bus
•
Compteur


Paramètres du bus

Diagnostic étendu [image] PROFIBUS_DL [image] Paramètres du bus
Paramètres du bus
Diagnostic étendu > PROFIBUS_DL > Paramètres du bus affiche les valeurs des paramètres du bus configuré et actives au niveau du bus. Cette fonction est également décrite à la section Paramètres du bus.
Diagnostic étendu > PROFIBUS_DL > Paramètres du bus
Paramètres du bus | Définition
Adresse de station | L'Adresse de station est l'adresse de l'appareil qui sert de Maître sur le bus. Plage de valeurs : 0 .. 125
Débit en bauds | Le Débit en bauds est la vitesse de transfert des données : nombre de bits par seconde. Le Débit en bauds doit être identique pour tous les appareils du bus. Le résultat d’une modification de la vitesse de transfert est que tous les autres paramètres doivent être recalculés.
 | Débit en bauds | Temps bit (tBit) | Longueur de câble maxi (type A)
 | 9,6 kbit/s 19,2 kbit/s 31,25 kbit/s 45,45 kbit/s 93,75 kbit/s 187,5 kbit/s 500 kbit/s 1500 kbit/s 3000 kbit/s 6000 kbit/s 12000 kbit/s | 104,2 µs 52,1 µs 32 µs 22 µs 10,7 µs 5,3 µs 2 µs 666,7 ns 333,3 ns 166,7 ns 83,3 ns | 1200 m 1200 m 1200 m 1200 m 1200 m 1000 m 400 m 200 m 100 m 100 m 100 m
Slot Time (tBit) | « Attente de réception » - Temps de contrôle de l'expéditeur (Demandeur) du télégramme pour l'accusé de réception du destinataire (Répondeur). Après expiration, un nouvel essai est effectué en fonction de la valeur du « Délai maxi pour nouvelle tentative d’envoi » Plage de valeurs : 37 .. 16383 (la valeur par défaut dépend du débit en bauds.)
Min. Station Delay Time (tBit) | Il s'agit du délai le plus court qui doit s'écouler avant qu'un destinataire distant (Responder) puisse envoyer un accusé de réception d'un télégramme de requête. Période la plus courte entre la réception du dernier bit d'un télégramme et l'envoi du premier bit d'un télégramme suivant. Plage de valeurs : 1 .. 11 . 65535
Max. Station Delay Time (tBit) | Il s'agit du délai le plus long qui doit s'écouler avant qu'un Expéditeur (Requestor) puisse envoyer un accusé de réception d'un télégramme de requête. Période la plus longue entre la réception du dernier bit d'un télégramme et l'envoi du premier bit d'un télégramme suivant. L'expéditeur (Requestor, Master) doit attendre au moins ce délai après l'envoi d'un télégramme non acquitté (p. ex. Diffusion seulement) avant qu'un nouveau télégramme soit envoyé. Plage de valeurs : 1 .. 65535 (la valeur par défaut dépend du débit en bauds.)
Quiet Time (tBit) | C'est le laps de temps qui s’écoule des modulateurs (temps de déclenchement) aux répéteurs (temps de commutation) lors du passage de l'émission à la réception. Plage de valeurs : 0 .. 127 (la valeur par défaut dépend du débit en bauds.)
Setup Time (tBit) | « Temps de réaction » minimal entre la réception d'un accusé de réception et l'envoi d'un nouveau télégramme d'interrogation (Réaction) par l'expéditeur (Requestor). Plage de valeurs : 1 .. 255 (la valeur par défaut dépend du débit en bauds.)
Target Rotation Time (tBit) | Le temps de cycle nominal du jeton préréglé pour que l'autorisation de l'Expéditeur (Token) fasse le tour de l'anneau. Le temps dont dispose encore le Maître pour envoyer des télégrammes de données aux Esclaves dépend de la différence entre le temps de cycle nominal et réel du jeton. Le Target rotation time (TTR) est affiché en Temps bit (tBit) comme les autres Paramètres du bus. En dessous du Temps Bit affiché, le Target rotation time est également affiché en millisecondes (ms). Plage de valeurs : 1 .. 224-1 (= 16.777.215) (la valeur par défaut dépend du nombre d'esclaves connectés au maître et de leur configuration module)
Facteur GAP | Facteur permettant de déterminer après combien de cycles un participant ajouté est accepté dans l'anneau à jeton. Après l'expiration du délai G*TTR, la Station recherche si un autre participant souhaite être accepté dans l'anneau logique. Plage de valeurs : 0 .. 10 .. 255
Adresse de station la plus élevée (HSA) | L'Adresse de station la plus élevée est l'adresse de bus la plus élevée à laquelle un maître recherche un autre maître sur le bus afin de transmettre le jeton. Cette adresse de station ne doit en aucun cas être inférieure à l'adresse de station maître. Plage de valeurs : 1 .. 126
Nombre maxi. de tentatives | Nombre maximal de répétitions pour atteindre une station. Plage de valeurs : 1 .. 15 (la valeur par défaut dépend du débit en bauds.)
Diagnostic étendu > PROFIBUS_DL > Paramètres du bus


Compteur

Diagnostic étendu [image] PROFIBUS_DL [image] Compteur
Compteur
Diagnostic étendu > PROFIBUS_DL > Paramètres du bus
Les valeurs du compteur Trames reçues et Trames transmises indiquent généralement si le bus est actif ou non.
Nom | Description
Trames reçues | Compteur du nombre de trames reçues
Trames transmises | Compteur du nombre de trames transmises
Erreur de transmission | Compteur du nombre d’erreurs de transmission
Erreur de réception | Compteur du nombre d’erreurs de réception
Target Rotation Timeout | Compteur du nombre de Target Rotation Timeout
Diagnostic étendu > PROFIBUS_DL > Compteur


PROFIBUS_FSPMM

Diagnostic étendu [image] PROFIBUS_FSPMM
PROFIBUS_FSPMM
Sous-thèmes
•
Commandes d’application
•
Commandes DataLink
•
Compteur DMPMM
•
Compteur MMAC1
•
Minuteur


Commandes d’application

Diagnostic étendu [image] PROFIBUS_FSPMM [image] Commandes d’application
Commandes d’application
Diagnostic étendu > PROFIBUS_FSPMM > Commandes d’application
Nom | Description
[Service] | Compteur de diagnostic de la couche FSPMM pour les commandes d’application. Indique les services traités. (Les services de chaque paquet sont décrits dans le manuel API).
Diagnostic étendu > PROFIBUS_FSPMM > Commandes d’application


Commandes DataLink

Diagnostic étendu [image] PROFIBUS_FSPMM [image] Commandes DataLink
Commandes DataLink
Diagnostic étendu > PROFIBUS_FSPMM > Commandes DataLink
Nom | Description
[Service] | Compteur de diagnostic de la couche FSPMM pour les commandes DataLink. Indique les services traités. (Les services de chaque paquet sont décrits dans le manuel API).
Diagnostic étendu > PROFIBUS_FSPMM > Commandes DataLink


Compteur DMPMM

Diagnostic étendu [image] PROFIBUS_FSPMM [image] Compteur DMPMM
Compteur DMPMM
Diagnostic étendu > PROFIBUS_FSPMM > Compteur DMPMM
Nom | Description
[Service] | Compteur DMPMM de la couche FSPMM. Indique les services [2] traités.
Diagnostic étendu > PROFIBUS_FSPMM > Compteur DMPMM


Compteur MMAC1

Diagnostic étendu [image] PROFIBUS_FSPMM [image] Compteur MMAC1
Compteur MMAC1
Diagnostic étendu > PROFIBUS_FSPMM > Compteur MMAC1
Nom | Description
[Service] | Compteur MMAC1 de la couche FSPMM : compteur des services [2] de communication Maître-Maître. Indique quels services de ce maître ont été demandés par un maître de classe 2. Le compteur est incrémenté d’1 unité si ce maître a fait l’objet d’une requête d’un maître de classe 2.
Diagnostic étendu > PROFIBUS_FSPMM > Compteur MMAC1


Minuteur

Diagnostic étendu [image] PROFIBUS_FSPMM [image] Minuteur
Minuteur
Diagnostic étendu > PROFIBUS_FSPMM > Minuteur
Nom | Description
Compteur Data Control Time | Compteur de rapports d’expiration du Data Control Time. (Pour plus d'informations, consultez la section Surveillance du bus.)
Compteur Min Slave Interval | Compteur du nombre de cycles Min Slave Interval, c’est-à-dire du nombre de cycles de la liste des esclaves. (Pour plus d'informations, consultez la section Surveillance du bus.)
Expiration du minuteur C1 | Délai d’expiration des services C1* (* services acycliques pour tous les esclaves). Ce compteur est incrémenté si un esclave ne répond pas à un service DPV1C1.
Diagnostic étendu > PROFIBUS_FSPMM > Minuteur


PROFIBUS_FSPMM2

Diagnostic étendu [image] PROFIBUS_FSPMM2
PROFIBUS_FSPMM2
Sous-thèmes
•
Ressources de la tâche
•
Commandes d’application


Ressources de la tâche

Diagnostic étendu [image] PROFIBUS_FSPMM2 [image] Ressources de la tâche
Ressources de la tâche
Diagnostic étendu > PROFIBUS_FSPMM2 > Ressources de la tâche
Nom | Description
Mémoire statique utilisée (octets) | Mémoire statique utilisée par la tâche FSPMM2 en octets
Mémoire dynamique utilisée (octets) | Mémoire dynamique utilisée par la tâche FSPMM2 en octets
Nbre maxi. de connexions DPV1C2 supportées | Nombre maximum de connexions DPV1C2 pouvant être gérées via la tâche FSPMM2
Connexions DPV1C2 utilisées | Nombre de connexions DPV1C2 utilisées et gérées via la tâche FSPMM2
Diagnostic étendu > PROFIBUS_FSPMM2 > Ressources de la tâche


Commandes d’application

Diagnostic étendu [image] PROFIBUS_FSPMM2 [image] Commandes d’application
Commandes d’application
Diagnostic étendu > PROFIBUS_FSPMM2 > Commandes d’application
Nom | Description
[Service] | Compteur de diagnostic de la couche FSPMM2 pour les commandes d’application. compteur de services DPV1 acycliques de classe 2 (services DPV1 C2). Ce compteur indique les services traités. (Les services de chaque paquet sont décrits dans le manuel API).
Diagnostic étendu > PROFIBUS_FSPMM2 > Commandes d’application


PROFIBUS_APM

Diagnostic étendu [image] PROFIBUS_APM
PROFIBUS_APM
Sous-thèmes
•
État commun
•
État global
•
Commandes d’application
•
Compteur d’échange IO
•
Routeur de paquets


État commun

Diagnostic étendu [image] PROFIBUS_APM [image] État commun
État commun
Diagnostic étendu > PROFIBUS_APM > État commun
Les valeurs indiquées sous État commun correspondent au Diagnostic général (consultez la section Diagnostic général ).
Les valeurs de Nombre d’esclaves configurés, Nombre d’esclaves actifs et Nombre d’esclaves en diagnostic représentent le nombre total d’esclaves configurés, actifs ou en diagnostic. La section État global spécifie ces valeurs en bits pour chaque esclave.
Nom | Description
État du réseau | L’État du réseau est un état de diagnostic général. Les états possibles sont : En cours d’exécution : indique que la pile PROFIBUS est en cours d’échange de données. Inactif : indique que la pile PROFIBUS est en mode inactif. Arrêt : indique que la pile PROFIBUS est en mode arrêt. Hors ligne : le Maître PROFIBUS DP est hors ligne tant qu’il ne dispose pas d’une configuration valide. Pour plus d'informations, consultez la section Diagnostic général.
Erreur de communication | Code d’erreur unique dépendant de la pile de protocole. Ce champ indique le code d’erreur actif du canal de communication. Si la cause de l’erreur est résolue, sa valeur est remise à zéro (= RCX_S_OK).
Chien de garde | Indique le chien de garde en ms.
Nombre total d’erreurs | Ce champ indique le nombre total d’erreurs détectées depuis la mise sous tension ou après la réinitialisation. La pile de protocoles inclut dans ce champ toutes les sortes d’erreurs, qu’elles soient liées au réseau ou causées en interne.
Nombre d’erreurs enregistrées | Ce champ indique le nombre d’entrées du journal d’erreurs interne. Il est remis à zéro lorsque toutes les entrées ont été lues dans le journal.
Nombre d’esclaves configurés | Indique le nombre d’esclaves configurés. Le nombre d’esclaves configurés sur le réseau est extrait de la liste des esclaves dérivée de la base de données de configuration créée par le logiciel de configuration. La liste inclut les esclaves pour lesquels le maître doit ouvrir une connexion.
Nombre d’esclaves actifs | Indique le nombre d’esclaves actifs. Nombre d’esclaves en mode échange de données. La liste inclut les esclaves pour lesquels le maître a réussi à ouvrir une connexion.
Nombre d’esclaves en diagnostic | Indique le nombre d’esclaves avec diagnostic. Nombre d’esclaves avec diagnostic ou d’esclaves en erreur.
Diagnostic étendu > PROFIBUS_APM > État commun


État global

Diagnostic étendu [image] PROFIBUS_APM [image] État global
État global
Diagnostic étendu > PROFIBUS_APM > État global
Dans la fenêtre État global, les valeurs de chaque esclave configuré, actif ou en diagnostic sont spécifiées en bits.
Nom
Description
Bits globaux
Les erreurs principales du bus et du maître s’affichent. Les « bits d'état global » sont :
▪
ERREUR DE CONTRÔLE
▪
ERREUR D’AUTO-CLEAR
▪
ERREUR DE NON ÉCHANGE
▪
ERREUR FATALE
▪
HÔTE PAS PRÊT
▪
ERREUR DE TEMPORISATION
Erreur de contrôle
L’ERREUR DE CONTRÔLE indique qu’une erreur de paramétrage s’est produite.
Erreur d’auto-clear
L’ERREUR D’AUTO-CLEAR indique que le maître PROFIBUS DP a cessé la communication vers tous les esclaves et a atteint l’état final d’auto-clear.
Erreur de non échange
L’ERREUR DE NON ÉCHANGE indique qu’au moins un esclave n’est pas en cours d’échange de données cyclique avec le maître PROFIBUS DP.
Erreur fatale
Une ERREUR FATALE s’est produite. En raison d'une grave erreur du bus, aucune autre communication n’est possible.
État de l’application
HÔTE PAS PRÊT indique que le programme d’application n’a pas encore démarré ou arrêté le maître DP (PRÊT/PAS PRÊT).
Erreur de temporisation
L’ERREUR DE TEMPORISATION indique que l’appareil a détecté qu’un délai de supervision de TEMPORISATION a été ignoré en raison de télégrammes PROFIBUS rejetés. Cela indique la présence de courts-circuits du bus poussant le maître à interrompre la communication. Le nombre de temporisations détectées est indiqué dans le champ Surveillance du bus (voir section Diagnostic du bus). Le bit est défini au moment de la détection de la première temporisation et peut uniquement être supprimé via une réinitialisation de l’appareil.
État du maître
Cette variable représente l’état principal du système maître. Les valeurs suivantes sont possibles :
EN COURS D’EXÉCUTION : le maître PROFIBUS DP est en cours d’échange de données. Dans le cadre du processus d’échange de données, les entrées des esclaves PROFIBUS DP sont lues et les informations de sortie sont transférées à tous les esclaves PROFIBUS DP.
PRÊT : le maître PROFIBUS DP lit les informations d’entrée des esclaves PROFIBUS DP et veille à ce que les sorties des esclaves PROFIBUS DP soient sécurisées.
ARRÊT : le maître est à l’arrêt. Aucun échange de données ne se produit entre le maître PROFIBUS DP et les esclaves PROFIBUS DP. Le maître a été arrêté par le programme d’application ou est passé en mode Arrêt en raison d’une erreur de bus.
HORS LIGNE : le maître PROFIBUS DP n’existe pas sur le bus. Il n’est pas en ligne. Cela peut se produire si aucun paramètre ou des paramètres de bus défectueux sont définis pour le maître PROFIBUS DP, ou si les bons paramètres de bus ont été définis, mais que le programme d’application n’a pas autorisé le maître PROFIBUS DP à échanger des données sur le bus.
Adresse d’erreur
ADRESSE DISTANTE D’ERREUR Indique l’adresse de station la plus basse qui signale le diagnostic.
Pour plus d'informations, consultez la section Diagnostic des stations.
Événement d'erreur
ÉVÉNEMENT D'ERREUR : Indique l’erreur signalée par l’« adresse d’erreur » sous forme de code d’erreur. Tous les numéros possibles sont indiqués en [3].
Pour plus d'informations, consultez la section Diagnostic des stations.
Compteur d’erreurs du bus
COMPTEUR D’ERREURS DU BUS Compteur des graves événements d'erreur du bus, comme par exemple les courts-circuits du bus.
Le « Compteur d’erreurs du bus » est incrémenté dès qu’une augmentation du nombre de trames PROFIBUS défectueuses est détectée.
Pour plus d'informations, consultez la section Diagnostic du bus.
Compteur de temporisations du bus
COMPTEUR DE TEMPORISATIONS Compteur de temporisations du bus.
Ce compteur détecte le nombre d'événements de coupure du bus signalés, c’est-à-dire le nombre de télégrammes PROFIBUS rejetés en raison d’une grave erreur du bus.
Pour plus d'informations, consultez la section Diagnostic du bus.
Esclaves configurés 7 - 0
État de configuration 8 bits de l’esclave 0-7
Esclaves configurés 15 - 8
État de configuration 8 bits de l’esclave 8-15
…
…
Esclaves configurés 127 - 120
État de configuration 8 bits de l’esclave 127-120
Esclaves actifs
7- 0
État actif 8 bits de l’esclave 0-7
Esclaves actifs
15- 8
État actif 8 bits de l’esclave 8-15
…
…
Esclaves actifs 127- 120
État actif 8 bits de l’esclave 127-120
Esclaves en diagnostic 7- 0
État de diagnostic 8 bits de l’esclave 0-7
Esclaves en diagnostic 15- 8
État de diagnostic 8 bits de l’esclave 8-15
…
…
Esclaves en diagnostic 127- 120
État de diagnostic 8 bits de l’esclave 127-120
Diagnostic étendu > PROFIBUS_APM > État global


Commandes d’application

Diagnostic étendu [image] PROFIBUS_APM [image] Commandes d’application
Commandes d’application
Diagnostic étendu > PROFIBUS_APM > Commandes d’application
Nom | Description
[Service] | Compteur de diagnostic de la couche PROFIBUS_APM pour les commandes d’application. Nombre de services demandés de la couche FSPMM. Indique les services traités. Remarque : la somme des services énumérés doit inclure le nombre de services comptés positivement et négativement.
Diagnostic étendu > PROFIBUS_APM > Commandes d’application


Compteur d’échange IO

Diagnostic étendu [image] PROFIBUS_APM [image] Compteur d’échange IO
Compteur d’échange IO
Diagnostic étendu > PROFIBUS_APM > Compteur d'échange IO
Nom | Description
Req. d’actualisation des entrées de l’hôte | Compteur indiquant à quelle fréquence l’hôte a lu les données d’entrée.
Actualisation des entrées | Compteur indiquant à quelle fréquence les données d’entrée ont été actualisées sur le bus.
Req. d’actualisation des sorties de l’hôte | Compteur indiquant à quelle fréquence l’hôte a écrit les données de sortie.
Actualisation des sorties | Compteur indiquant à quelle fréquence les données de sortie ont été actualisées sur le bus.
Diagnostic étendu > PROFIBUS_APM > Compteur d'échange IO


Routeur de paquets

Diagnostic étendu [image] PROFIBUS_APM [image] Routeur de paquets
Routeur de paquets
Diagnostic étendu > PROFIBUS_APM > Routeur de paquets
Nom | Description
[Service] | Compteur de diagnostic de la couche PROFIBUS_APM utilisé par l’utilisateur pour les commandes de routage de tâches. Indique les services traités.
Diagnostic étendu > PROFIBUS_APM > Routeur de paquets


Outils

Outils
Outils
Sous-thèmes
•
Vue d’ensemble des outils
•
Moniteur de paquets
•
Moniteur d’IO
•
Moniteur d'images de process


Vue d’ensemble des outils

Outils [image] Vue d’ensemble des outils
Vue d’ensemble des outils
Le dossier « Outils » contient le Moniteur de paquets et le Moniteur d’IO, qui permettent d’effectuer des tests et des diagnostics.
▪
Dans le Moniteur de paquets, des paquets de données sont utilisés pour communiquer avec le firmware et sont échangés entre l'application (logiciel de configuration) et le firmware de l'appareil.
▪
Le Moniteur d’IO offre un moyen simple d’afficher les données de l’image de process et de modifier les données de sortie.
Zone de navigation - Outils (exemple)
Connexion en ligne à l’appareil
note | Remarque:
 | L’accès aux volets Outils du DTM Maître PROFIBUS DP requiert une connexion en ligne entre le DTM Maître PROFIBUS DP et l'Appareil Maître PROFIBUS DP. Pour plus de détails, consultez la section Connexion/déconnexion de l’appareil.
Entrée de glossaire: Paquet de données
Les paquets de données, c'est-à-dire les messages sont des blocs de données autonomes de longueur définie. Les paquets sont utilisés pour communiquer avec le firmware et sont échangés entre l'application (logiciel de configuration) et le firmware de l'appareil.
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Moniteur de paquets

Outils [image] Moniteur de paquets
Moniteur de paquets
Le Moniteur de paquets est employé dans un but de test et de diagnostic.
Les paquets de données, c'est-à-dire les messages, sont des blocs de données autonomes de longueur définie. Ils sont utilisés pour communiquer avec le firmware et sont échangés entre l'application (logiciel de configuration) et le firmware de l'appareil. Les paquets peuvent être envoyés une seule fois ou de manière cyclique à l’appareil connecté contrôlé par l’utilisateur et les paquets reçus peuvent être affichés.
Les paquets de données sont constitués d’un En-tête de paquet et de Données d’envoi ou d'un En-tête de paquet et de Données de réception. L’en-tête de paquet peut être évalué par le destinataire du paquet. Il peut contenir l’adresse de l’expéditeur et du destinataire, la longueur des données, un numéro d’identification, des messages d’état et d’erreur et le code de commande ou de réponse. La taille minimum des paquets est de 40 octets, correspondant à l’en-tête du paquet, auxquels s’ajoutent les données d’envoi et de réception.
readsymbol
 | Pour plus d’informations sur la description du paquet, consultez le manuel de l’API.
➢
Ouvrez le Moniteur de paquets via Outils > Moniteur de paquets.
Moniteur de paquets
Le Mode d’affichage permet de choisir de représenter les données d’envoi et de réception sous forme décimale ou hexadécimale.
➢
Sélectionnez Réinitialiser le compteur pour réinitialiser le compteur de paquets.
Sous-thèmes
•
Envoi de paquets
•
Réception de paquets
•
Exemple – Lecture de données via DPV1 Classe1
•
Exemple – Écriture de données via DPV1 Classe1
Entrée de glossaire: Paquet de données
Les paquets de données, c'est-à-dire les messages sont des blocs de données autonomes de longueur définie. Les paquets sont utilisés pour communiquer avec le firmware et sont échangés entre l'application (logiciel de configuration) et le firmware de l'appareil.


Envoi de paquets

Outils [image] Moniteur de paquets [image] Envoi de paquets
Envoi de paquets
Envoi > En-tête de paquet et Données d’envoi
En-tête de paquet
Envoi > En-tête de paquet affiche les éléments d’en-tête du paquet d’envoi transmis par l’application (logiciel de configuration) à l’appareil. L’en-tête des paquets d’envoi contient les éléments décrits dans le tableau suivant.
Élément |  | Description
Dest | Identification de file d’attente de destination | Contient l’identifiant du destinataire du paquet (file d’attente de destination de la tâche du firmware).
Src | Identification de file d’attente de source | Contient l’identifiant de l’expéditeur du paquet (tâche d’envoi).
ID Dest | Référence de la file d’attente de destination | Contient l’identifiant du destinataire des paquets envoyés sans sollicitation par le firmware à l’application (logiciel de configuration).
ID Src | Référence de la file d’attente de source | Contient l’identifiant de l’expéditeur.
Lon | Longueur du paquet de données (en octets) | Longueur des données d’envoi ou de réception.
Identifiant | Identifiant du paquet Numéro unique | Permet d’identifier les paquets de données identiques.
État | Code d’état/d’erreur | Transmet des codes d’état ou d’erreur à l’expéditeur du paquet.
Cmd | Code de commande/réponse | Code de commande ou de réponse.
Ext | Extension | Champ destiné aux extensions (réservé).
Rout | Informations de routage | Valeur interne du firmware.
Description de l’en-tête de paquet
➢
Sous Dest, sélectionnez le destinataire (file d’attente de destination de la tâche).
➢
Sous Cmd, sélectionnez l’identifiant de la commande (requête).
Auto-incrémenter ID incrémente d’1 unité l’identifiant des paquets de données à chaque nouveau paquet envoyé.
Données d’envoi
➢
Sous Envoi > Données d’envoi, saisissez les données d’envoi du paquet, qui seront transmises par l’application (logiciel de configuration) à la boîte aux lettres de l’appareil. La signification des données transmises dépend du code de commande ou de réponse.
Envoi unique ou cyclique des paquets
➢
Pour envoyer le paquet « une seule fois », sélectionnez Envoi unique.
➢
Pour envoyer le paquet de manière « cyclique », sélectionnez Envoi cyclique.


Réception de paquets

Outils [image] Moniteur de paquets [image] Réception de paquets
Réception de paquets
En-tête de paquet et Données de réception
En-tête de paquet
Réception > En-tête de paquet affiche les éléments d’en-tête du paquet de réception transmis par l’appareil à l’application (logiciel de configuration). L’en-tête des paquets de réception contient les éléments décrits dans le tableau suivant.
Élément |  | Description
Dest | Identification de file d’attente de destination | Contient l’identifiant du destinataire du paquet (file d’attente de destination de la tâche du firmware).
Src | Identification de file d’attente de source | Contient l’identifiant de l’expéditeur du paquet (tâche d’envoi).
ID Dest | Référence de la file d’attente de destination | Contient l’identifiant du destinataire des paquets envoyés sans sollicitation par le firmware à l’application (logiciel de configuration).
ID Src | Référence de la file d’attente de source | Contient l’identifiant de l’expéditeur.
Lon | Longueur du paquet de données (en octets) | Longueur des données d’envoi ou de réception.
Identifiant | Identifiant du paquet Numéro unique | Permet d’identifier les paquets de données identiques.
État | Code d’état/d’erreur | Transmet des codes d’état ou d’erreur à l’expéditeur du paquet.
Cmd | Code de commande/réponse | Code de commande ou de réponse.
Ext | Extension | Champ destiné aux extensions (réservé).
Rout | Informations de routage | Valeur interne du firmware.
Description de l’en-tête de paquet
Données de réception
Réception > Données de réception affiche les données de réception du paquet transmis par l’appareil à l’application (logiciel de configuration).


Exemple – Lecture de données via DPV1 Classe1

Outils [image] Moniteur de paquets [image] Exemple – Lecture de données via DPV1 Classe1
Exemple – Lecture de données via DPV1 Classe1
Pour lire les données d’un appareil esclave via DPV1 Classe1 à l’aide du moniteur de paquets, procéder comme suit. Chaque étape est expliquée à l’aide de données choisies en exemple. Pour plus d’informations sur les étapes de paramétrage et de configuration, consultez les chapitres correspondants de ce manuel. Les informations requises sont faciles à trouver via le tableau de la section Étapes de configuration.
Exigences
La fonction Lecture DPV1 Classe1 peut être utilisée uniquement si :
▪
L’appareil utilisé prend en charge la lecture DPV1 Classe1 et répond aux requêtes DPV1 Classe1.
▪
Les appareils maître et esclave utilisés sont configurés, c’est-à-dire que dans la configuration de l’esclave, DPV1 > Autoriser DPV1 doit être coché.
▪
Les appareils maître et esclave utilisés sont opérationnels.
Comment procéder
➢
Dans le DTM maître, sous Paramètres : Sélectionnez cifX Device Driver et affectez l’appareil maître.
Il est également possible d’utiliser une connexion USB, série ou TCP via netX Driver.
➢
Dans l’esclave DTM, sous Configuration : Cochez le paramètre DPV1.
importantNote | Important:
 | DPV1 > Autoriser DPV1 doit être coché.
Requête de lecture de la description du paquet
Requête de lecture de la description du paquet PROFIBUS_FSPMM_CMD_READ_REQ – V1 Classe 1
readsymbol
 | Pour plus d’informations sur la description du paquet utilisé dans cet exemple, consultez le manuel de l’API protocole maître PROFIBUS DP, section Requête de lecture PROFIBUS_FSPMM_CMD_READ_REQ/CNF – V1 Classe 1 (ex. : version 22 du manuel API, section 6.1.9.) .
1.
Ouvrez le moniteur de paquets.
➢
Ouvrez Outils > Moniteur de paquets.
2.
Sous Envoi > En-tête de paquet, saisissez les données d’en-tête du paquet.
➢
Sous Dest (Dest = Destination), saisissez ou sélectionnez le destinataire.
➢
Sous Cmd (Cmd = Commande), saisissez l’identifiant de la commande de lecture.
 |  | Exemple de données |
A | Destinataire | 0x20 | (identification de file d’attente de destination)
C | Identifiant de la commande de lecture | 00002210 | PROFIBUS_FSPMM_ PACKET_READ_REQ_T (Requête)
Exemple - Lecture de données via DPV1 Classe 1 - FSPMM_QUE – Envoi > En-tête de paquet
3.
Saisissez les données d’envoi.
➢
Sous Envoi > Données d’envoi : saisissez les données d’envoi.
readsymbol
 | Pour l’emplacement et l’index de l’appareil esclave, reportez-vous à la description du fabricant de l’équipement.
 |  | Plage de valeurs | Exemple de données |
D | Adresse de l’esclave | 0 … 125 | 02 00 00 00* | (pour l’esclave 2)
E | Numéro d’emplacement | 0 … 254 | 0A 00 00 00* | (pour l’emplacement 10)
F | Index | 0 … 254 | 04 00 00 00* | (pour l’index 4)
G | Indication de longueur | 1 … 240 (UINT32 = 4 octets) | 06 00 00 00* *Format Intel, ex. LSB en premier | (pour l’indication de longueur 6 octets)
Exemple - Lecture de données via DPV1 Classe 1 - FSPMM_QUE – Envoi > Données d’envoi
4.
Envoyer/recevoir des paquets
➢
Pour envoyer le paquet une seule fois, sélectionnez Envoi unique.
Ê
Les valeurs saisies sont envoyées par le moniteur de paquets à l’appareil esclave connecté et les paquets reçus s’affichent.
Confirmation de lecture de la description du paquet
Confirmation de la requête de lecture de la description du paquet PROFIBUS_FSPMM_CMD_READ_REQ - V1 Classe 1
readsymbol
 | Pour plus d’informations sur la description du paquet utilisé dans cet exemple, consultez le manuel de l’API protocole maître PROFIBUS DP, section Requête de lecture PROFIBUS_FSPMM_CMD_READ_REQ/CNF – V1 Classe 1 (ex. : version 22 du manuel API, section 6.1.9.) .
5.
Évaluez le paquet reçu.
➢
Sous Réception > En-tête de paquet : Évaluez le paquet reçu.
Ê
Sous Dest, le destinataire s’affiche.
Ê
Sous État, le code d'état ou un code d’erreur s’affiche.
Ê
Sous Cmd, la requête de lecture de l’identifiant de réponse s’affiche.
Exemple - Lecture de données via DPV1 Classe 1 - FSPMM_QUE – Réception > En-tête de paquet
 | Exemple de données |
Destinataire | 0x20 | (identification de file d’attente de destination)
État | 00000000 | Indique que la requête de lecture a pu être exécutée sans erreur. Si une erreur a été détectée pendant l’exécution de la requête de lecture, un code d’erreur s’affiche.
Requête de lecture de l’identifiant de réponse | 00002211 | PROFIBUS_ FSPMM_PACKET_READ_CNF_T (Confirmation)
Codes d’erreur
readsymbol
 | Tous les codes d’état et d’erreur sont disponibles dans le manuel API « Hilscher status and error codes ».
6.
Sous Réception > Données de réception :
➢
Affichez les données de réception.
Ê
Les données du paquet reçu s’affichent sous Données de réception.
Exemple - Lecture de données via DPV1 Classe 1 - FSPMM_QUE – Réception > Données de réception
 | Plage de valeurs | Exemple de données |
Adresse de l’esclave | 0 … 125 | 02 00 00 00* | (pour l’esclave 2)
Numéro d’emplacement | 0 … 254 | 0A 00 00 00* | (pour l’emplacement 10)
Index | 0 … 254 | 04 00 00 00* | (pour l’index 4)
Données de réception | (UINT32 = 4 octets) | 00 01 02 03 04 05 *Format Intel, ex. LSB en premier | (6 octets)
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Exemple – Écriture de données via DPV1 Classe1

Outils [image] Moniteur de paquets [image] Exemple – Écriture de données via DPV1 Classe1
Exemple – Écriture de données via DPV1 Classe1
Pour écrire les données sur un appareil esclave via DPV1 Classe1 à l’aide du moniteur de paquets, procédez comme suit. Chaque étape est expliquée à l’aide de données choisies en exemple. Pour plus d’informations sur les étapes de paramétrage et de configuration, consultez les chapitres correspondants de ce manuel. Les informations requises sont faciles à trouver via le tableau de la section Étapes de configuration.
Exigences
La fonction Écriture DPV1 Classe1 peut être utilisée uniquement si :
▪
L’appareil utilisé prend en charge l’écriture DPV1 Classe1 et répond aux requêtes DPV1 Classe1.
▪
Les appareils maître et esclave utilisés sont configurés, c’est-à-dire que dans la configuration de l’esclave, DPV1 > Autoriser DPV1 doit être coché.
▪
Les appareils maître et esclave utilisés sont opérationnels.
Comment procéder
➢
Dans le DTM maître, sous Paramètres : Sélectionnez cifX Device Driver et affectez l’appareil maître.
Il est également possible d’utiliser une connexion USB, série ou TCP via netX Driver.
➢
Dans l’esclave DTM, sous Configuration : Cochez le paramètre DPV1.
importantNote | Important:
 | Sous DPV1 > Autoriser DPV1 doit être coché.
Requête d’écriture de la description de paquet
Requête d'écriture de la description de paquet PROFIBUS_FSPMM_CMD_WRITE_REQ – V1 Classe 1
readsymbol
 | Pour plus d’informations sur la description du paquet utilisé dans cet exemple, consultez le manuel de l’API protocole maître PROFIBUS DP, section Requête d'écriture PROFIBUS_FSPMM_CMD_WRITE_REQ/CNF – V1 Classe 1 (ex. : version 22 du manuel API, section 6.1.10).
1.
Ouvrez le moniteur de paquets.
➢
Ouvrez Outils > Moniteur de paquets.
2.
Sous Envoi > En-tête de paquet, saisissez les données d’en-tête du paquet.
➢
Sous Dest (Dest = Destination), saisissez ou sélectionnez le destinataire.
➢
Sous Cmd (Cmd = Commande), saisissez l’identifiant de la commande d’écriture.
 |  | Exemple de données |
A | Destinataire | 0x20 | (identification de file d’attente de destination)
C | Identifiant de la commande d'écriture | 00002212 | PROFIBUS_FSPMM_ PACKET_WRITE_REQ_T (Requête)
Exemple - Écriture de données via DPV1 Classe 1 - FSPMM_QUE – Envoi > En-tête de paquet
3.
Saisissez les données d’envoi.
➢
Sous Envoi > Données d’envoi : saisissez les données d’envoi.
readsymbol
 | Pour l’emplacement et l’index de l’appareil esclave, reportez-vous à la description du fabricant de l’équipement.
 |  | Plage de valeurs | Exemple de données |
D | Adresse de l’esclave | 0 … 125 | 02 00 00 00* | (pour l’esclave 2)
E | Numéro d’emplacement | 0 … 254 | 0A 00 00 00* | (pour l’emplacement 10)
F | Indice | 0 … 254 | 04 00 00 00* | (pour l’index 4)
G | Écriture des données | (UINT32 = 4 octets) | 01 02 *Format Intel, ex. LSB en premier | (2 octets)
Exemple - Écriture de données via DPV1 Classe 1 - FSPMM_QUE – Envoi > Envoi des données
4.
Envoyer/recevoir des paquets
➢
Pour envoyer le paquet « une seule fois », sélectionnez Envoi unique.
Ê
Les valeurs saisies sont envoyées par le moniteur de paquets à l’appareil esclave connecté et les paquets reçus s’affichent.
Confirmation de la requête d’écriture de la description du paquet
Confirmation de la requête d'écriture de la description du paquet PROFIBUS_FSPMM_CMD_WRITE_REQ – V1 Classe 1
readsymbol
 | Pour plus d’informations sur la description du paquet utilisé dans cet exemple, consultez le manuel de l’API protocole maître PROFIBUS DP, section Requête d'écriture PROFIBUS_FSPMM_CMD_WRITE_REQ/CNF – V1 Classe 1 (ex. : version 22 du manuel API, section 6.1.10).
5.
Évaluez le paquet reçu.
➢
Sous Réception > En-tête de paquet : Évaluez le paquet reçu.
Ê
Sous Dest, le destinataire s’affiche.
Ê
Sous État, le code d'état ou un code d’erreur s’affiche.
Ê
Sous Cmd, la requête d'écriture de l’identifiant de réponse s’affiche.
Exemple - Écriture de données via DPV1 Classe 1 - FSPMM_QUE – Réception > En-tête de paquet
 | Exemple de données |
Destinataire : | 0x20 | (identification de file d’attente de destination)
État | 00000000 | Indique que la requête de lecture a pu être exécutée sans erreur. Si une erreur a été détectée pendant l’exécution de la requête de lecture, un code d’erreur s’affiche.
Identifiant de réponse de la requête d’écriture | 00002213 | PROFIBUS_ FSPMM_PACKET_WRITE_CNF_T (Confirmation)
Codes d’erreur
readsymbol
 | Tous les codes d’état et d’erreur sont disponibles dans le manuel API « Hilscher status and error codes ».
6.
Sous Réception > Données de réception :
➢
Affichez les données de réception.
Ê
Les données du paquet reçu s’affichent sous Données de réception.
Exemple - Écriture de données via DPV1 Classe 1 - FSPMM_QUE – Réception > Réception de données
 | Plage de valeurs | Exemple de données |
Adresse de l’esclave | 0 … 125 | 02 00 00 00* | (pour l’esclave 2)
Numéro d’emplacement | 0 … 254 | 0A 00 00 00* | (pour l’emplacement 10)
Indice | 0 … 254 | 04 00 00 00* | (pour l’index 4)
 | (UINT32 = 4 octets) | Format Intel, ex. LSB en premier |
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils


Moniteur d’IO

Outils [image] Moniteur d’IO
Moniteur d’IO
Le Moniteur d’IO est employé dans un but de test et de diagnostic. Il permet de visualiser les données de l’image de données process et de modifier facilement les données de sortie. L’affichage est toujours en octets.
note | Remarque:
 | Les données de sortie doivent être modifiées et écrites uniquement si vous savez que cela ne perturbera pas l’installation. Toutes les données de sortie écrites par le Moniteur d’IO sont transmises sur le bus et impactent les lecteurs subordonnés, les IO, etc.
Moniteur d’IO
Colonnes modifie le nombre de colonnes.
Le Mode d’affichage permet de choisir de représenter les données d’envoi et de réception sous forme décimale ou hexadécimale.
Offset / Appliquer déplace l’indicateur de données sur la valeur d’offset saisie.
➢
Saisissez la valeur de sortie et sélectionnez Actualiser.
⇨
Les données de l’image de process sont toujours affichées, même si ces octets n’ont pas été réservés par la configuration.


Moniteur d'images de process

Outils [image] Moniteur d'images de process
Moniteur d'images de process
La fenêtre Moniteur d'images de process répertorie les appareil esclave connectés au maître, ainsi que les modules configurés ou les signaux d'entrée ou de sortie des appareils. Elle permet ainsi de visualiser la structure du bus de terrain et la structure des données d’entrée et sortie de l’appareil transmises sur le bus. Par ailleurs, les valeurs des données de signalisation envoyées au serveur OPC sont affichées ici.
➢
Ouvrez Outils > Moniteur d’images de process.
Fenêtre « Moniteur d'images de process »
Paramètre | Définition | Plage de valeurs / valeur
Mode d’affichage | Affiche les valeurs dans la colonne Valeur sous forme décimale ou hexadécimale. | Décimal (par défaut), Hexadécimal
 | L’arborescence montre la structure des appareils (1), des modules (2) et des données d’entrée (3) et de sortie (4). |
 | S’affiche tant que les données d’entrée et de sortie ne sont pas complètement lues et analysées. |
 | S’affiche quand les données d’entrée et de sortie ne sont pas valides. |
 | S’affiche quand les données d’entrée et de sortie sont valides. |
Type | Désignation de l’appareil communiquée par le matériel et description des modules ou des signaux d'entrée ou de sortie configurés sur l'appareil. |
Tag | Nom de l’appareil communiqué par le matériel (non modifiable dans le conteneur FDT) ou nom symbolique des modules configurés dans l’appareil ou des signaux d’entrée ou de sortie (modifiable dans la fenêtre Configuration > Données process). |
Valeur | Affiche les valeurs valides des données d’entrée et de sortie. |
Dernière erreur | Dernière erreur s’étant produite (pour la description, consultez le manuel de programmation de l’application correspondante). |
Remarques relatives à la fenêtre « Moniteur d'images de process »
Entrée de glossaire: FDT
Field Device Tool : FDT spécifie une interface, afin de pouvoir utiliser le DTM (Device Type Manager) dans différentes applications de différents fabricants


Annexe

Annexe
Annexe
Sous-thèmes
•
Références
•
Droits d’utilisation


Références

Annexe [image] Références
Références
[1] Guide de style Device Type Manager (DTM), Version 1.0 ; FDT-JIG - Réf. <0001-0008-000>
[2] CEI 61158 troisième édition, 2003
[3] Manuel de l’API protocole maître PROFIBUS DP, Révision 22, Hilscher GmbH 2017
[4] Manuel de l’API protocole esclave PROFIBUS DP, Révision 19, Hilscher GmbH 2017
[5] Manuel API « Hilscher status and error codes », Révision 02, Hilscher GmbH 2018


Droits d’utilisation

Annexe [image] Droits d’utilisation
Droits d’utilisation
Les droits d’utilisation sont définis dans le conteneur FDT et indiquent, selon leur niveau, si la configuration est accessible par l’utilisateur ou en lecture seule.
Pour accéder aux volets Paramètres, Configuration et Diagnostic du DTM Maître PROFIBUS DP, aucun droit d’utilisation spécial n’est nécessaire. Tous les utilisateurs peuvent également sélectionner le mode d’affichage Décimal ou Hexadécimal ou trier les entrées des tableaux.
note | Remarque:
 | Pour éditer, définir ou configurer les paramètres des volets Paramètres et Configuration, les droits d’utilisation « Maintenance », « Ingénieur de planification » ou « Administrateur » sont nécessaires.
Les tableaux suivants indiquent les différents droits d’utilisation, notamment associés à la configuration des paramètres.
Sous-thèmes
•
Paramètres
•
Configuration
Entrée de glossaire: DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Entrée de glossaire: FDT
Field Device Tool : FDT spécifie une interface, afin de pouvoir utiliser le DTM (Device Type Manager) dans différentes applications de différents fabricants


Paramètres

Annexe [image] Droits d’utilisation [image] Paramètres
Paramètres
 |  | Observateur | Opérateur | Maintenance | Ingénieur de planification | Adminis- trateur
Pilote | Vérification ou adaptation des paramètres du pilote | A | A | X | X | X
 | Configuration de netX Driver | A | A | X | X | X
Affectation des appareils | Recherche d’appareils | A | A | X | X | X
 | Sélection de l’appareil (avec ou sans firmware) | A | A | X | X | X
 | Nouvelle sélection de l’appareil (avec firmware) | A | A | X | X | X
 | Sélection et téléchargement du firmware | A | A | X | X | X
Licen- ce | Licence | A | A | X | X | X
Droits d’utilisation associés aux paramètres (A = affichage, X = édition, configuration)


Configuration

Annexe [image] Droits d’utilisation [image] Configuration
Configuration
 | Observateur | Opérateur | Maintenance | Ingénieur de planification | Adminis- trateur
Paramètres du bus | A | A | X | X | X
Données process | A | A | X | X | X
Table des stations | A | A | X | X | X
Table d’adresse | A | A | X | X | X
Paramètres du maître | A | A | X | X | X
Droits d’utilisation associés à la configuration (A = affichage, X = édition, configuration)


Glossaire

Glossaire
Glossaire
Hardware ou composant logique d'un appareil physique
Adresse IP
Définie dans l’Internet Protocol version 4 (IPv4) sous forme de nombre 32 bits, elle identifie un appareil ou un ordinateur au sein d’un réseau IP. Afin de simplifier la notation, l’adresse est généralement divisée en quatre chaînes 8 bits représentées sous forme décimale et séparées par des points : a.b.c.d. Chaque lettre correspond à une valeur entière comprise entre 0 et 255, ex. : 192.168.30.16. Toutes les combinaisons ne sont toutefois pas autorisées, certaines étant réservées à un usage spécifique. L’adresse IP 0.0.0.0 est invalide.
CODESYS
COntroller DEvelopment SYStem : environnement de développement pour les automates programmables industriels (API) selon la norme internationale CEI 61131-3.
DPV0
PROFIBUS DP avec communication cyclique
DPV1
PROFIBUS DP avec communication acyclique
DPV2
PROFIBUS DP avec communication cyclique et acyclique et configuration avec synchronisation de l’esclave
DTM
Device Type Manager : Module logiciel avec interface utilisateur graphique pour la configuration et/ou le diagnostic des appareils
Emplacement
Adresse d'une unité structurelle dans un appareil PROFINET IO
Esclave
Type d’appareil configuré par le maître et exécutant la communication.
Esclave PROFIBUS DP
Périphérique (par exemple appareil IO ou lecteur) ou participant passif sans autorisation d’accès au bus, qui peut uniquement accepter les messages reçus ou demandés par un maître, et peut transmettre des messages à ce dernier.
Ethernet
Technologie réseau utilisée pour la communication de bureau et industrielle via des connexions électriques et optiques. Développée et spécifiée par Intel, DEC et XEROX, elle permet de transmettre des données avec détection de collision et supporte différents protocoles. Ethernet n’étant pas forcément adapté aux applications temps réel, différentes extensions temps réel ont été développées (Ethernet industriel, Ethernet temps réel).
FDT
Field Device Tool : FDT spécifie une interface, afin de pouvoir utiliser le DTM (Device Type Manager) dans différentes applications de différents fabricants
IP
Internet Protocol: appartenant à la famille de protocoles TCP/IP et défini dans le document RFC791, ce protocole est basé sur la couche 3 du modèle de réseau ISO/OSI à 7 couches. Il s’agit d’un protocole sans connexion, ce qui signifie qu’il n’est pas nécessaire d’ouvrir une connexion avec un ordinateur avant de lui envoyer un paquet de données IP. L’IP n’est donc pas capable de garantir que les paquets de données IP parviennent réellement au destinataire. Au niveau IP, ni l’exactitude des données, ni leur cohérence ou leur exhaustivité ne sont vérifiées. L’IP définit des mécanismes d’adressage spéciaux, voir Adresse IP.
Maître
Type d’appareil initiant et contrôlant la communication sur le bus.
Maître PROFIBUS DP
Appareil qui initie le transfert des données sur le bus et qui constitue un nœud de réseau actif, ayant l’autorisation et la capacité d’envoyer des données sans requête externe.
Module
Hardware ou composant logique d'un appareil physique
ODMV3
Online-Data-Manager Version 3 : interface d’application servant également de serveur et pouvant être exécutée comme un serveur out-proc ou un service de système. Elle a pour objectif de fournir à différentes applications (ex. : SYCON.net) un accès à plusieurs appareils ou de partager un même appareil entre plusieurs applications.
Paquet de données
Les paquets de données, c'est-à-dire les messages sont des blocs de données autonomes de longueur définie. Les paquets sont utilisés pour communiquer avec le firmware et sont échangés entre l'application (logiciel de configuration) et le firmware de l'appareil.
PROFIBUS DP
PROFIBUS Decentralized Peripherals (périphériques décentralisés)
SCADA
Supervisory Control and Data Acquisition (outil de visualisation) : un concept pour le contrôle et l'acquisition de données des processus techniques
SYCON.net
logiciel de configuration et de diagnostic multi-protocoles Hilscher (application cadre FDT), qui permet de configurer des appareils de bus de terrain de différents fabricants ayant des capacités de communication dans le cadre d'un même projet